webpackJsonp([18],{

/***/ 762:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StoresPageModule", function() { return StoresPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__stores__ = __webpack_require__(804);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var StoresPageModule = /** @class */ (function () {
    function StoresPageModule() {
    }
    StoresPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__stores__["a" /* StoresPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__stores__["a" /* StoresPage */]),
            ],
        })
    ], StoresPageModule);
    return StoresPageModule;
}());

//# sourceMappingURL=stores.module.js.map

/***/ }),

/***/ 804:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StoresPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__city_city__ = __webpack_require__(171);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_GlobalData__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the StoresPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var StoresPage = /** @class */ (function () {
    function StoresPage(navCtrl, navParams, modelCtrl, cd, globalData, commonService, nativeService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modelCtrl = modelCtrl;
        this.cd = cd;
        this.globalData = globalData;
        this.commonService = commonService;
        this.nativeService = nativeService;
        this.isMap = true;
        this.isInit = false;
        this.queryText = "";
        this.mapIsComplete = false; // 地图是否加载完成
        this.current = 0;
        this.show = false;
    }
    StoresPage.prototype.ionViewDidLoad = function () {
        this.infoWindow = new AMap.InfoWindow({ isCustom: true, offset: new AMap.Pixel(15, -35) });
    };
    StoresPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        if (this.mapIsComplete) {
            return;
        }
        __WEBPACK_IMPORTED_MODULE_5_rxjs_Observable__["Observable"].create((function (observer) {
            _this.nativeService.getUserLocation().subscribe(function (pos) {
                observer.next(pos);
            }, function () {
                observer.next(null);
            });
        })).subscribe(function (pos) {
            _this.startPoint = pos;
            _this.globalData.pos = pos;
            try {
                _this.map = new AMap.Map(_this.mapContainer.nativeElement, {
                    resizeEnable: true,
                    center: pos ? [pos.lng, pos.lat] : '',
                    zoom: 12
                });
                _this.map.on('complete', function () {
                    _this.mapIsComplete = true;
                });
                _this.map.on('click', function () {
                    _this.map.clearInfoWindow();
                });
                _this.map.getCity(function (data) {
                    if (data['province'] && typeof data['province'] === 'string') {
                        var cityName_1 = data['district'].indexOf('市') > 0 ? data['district'] : data['city'] || data['province'];
                        cityName_1 = cityName_1.slice(0, -1);
                        _this.commonService.getCityByName(cityName_1).subscribe(function (data) {
                            if (data.length > 0) {
                                _this.city = {
                                    id: +data[0].number,
                                    names: cityName_1
                                };
                                _this.getStores();
                            }
                        });
                        // this.city = {
                        //   id: +data['citycode'],
                        //   names: (data['city'] || data['province']).slice(0,-1)
                        // }
                        // this.getStores();
                    }
                });
            }
            catch (_a) {
                _this.city = {
                    id: 310100,
                    names: '上海'
                };
                _this.mapIsComplete = false;
                _this.nativeService.showToast('地图加载失败,请检查网络或稍后再试.');
            }
        });
    };
    StoresPage.prototype.ngAfterViewChecked = function () {
        if (!this.isMap && !this.isInit) {
            var divH = this.myCity._elementRef.nativeElement.offsetHeight;
            var scrollH = this.myScrollL._scrollContent.nativeElement.offsetHeight;
            this.myScrollL._scrollContent.nativeElement.parentElement.style.height = (scrollH - divH) + 'px';
            this.myScrollR._scrollContent.nativeElement.parentElement.style.height = (scrollH - divH) + 'px';
            this.isInit = true;
        }
        this.cd.detectChanges();
    };
    StoresPage.prototype.gotoDetail = function (store) {
        if (!store) {
            return;
        }
        this.navCtrl.push('StoreDetailPage', { "store": store });
        this.queryResult && (this.queryResult.length = 0, this.queryText = '');
    };
    StoresPage.prototype.getStores = function () {
        var _this = this;
        this.commonService.getStoreList(this.city.id, this.startPoint.lng, this.startPoint.lat).subscribe(function (data) {
            _this.stores = _this.normalizeStore(data);
            for (var i = 0, len = data.length; i < len; i++) {
                var marker = new AMap.Marker({
                    icon: "./assets/imgs/store.png",
                    position: [data[i].lon, data[i].lat],
                    draggable: false
                });
                marker.store = data[i];
                marker.setMap(_this.map);
                marker.on('click', function (e) {
                    _this.markerClick(e);
                });
            }
        });
    };
    /**
     * 处理系统返回的数据
     * @param {Array<any>} list
     */
    StoresPage.prototype.normalizeStore = function (list) {
        var map = {};
        list.forEach(function (item, index) {
            var key = item.areaName;
            if (!map[key]) {
                map[key] = {
                    title: key,
                    code: item.area,
                    stores: []
                };
            }
            map[key].stores.push(item);
        });
        var arr = [];
        for (var key in map) {
            arr.push(map[key]);
        }
        return arr;
    };
    StoresPage.prototype.selectMenu = function (index) {
        var element = document.getElementById(index.code);
        if (element) {
            element.scrollIntoView();
            this.current = index.code;
        }
    };
    StoresPage.prototype.markerClick = function (e) {
        this.selectStore = e.target.store;
        this.endPoint = { lng: this.selectStore.lon, lat: this.selectStore.lat };
        this.show = true;
        this.infoWindow.setContent(this.myInfo.nativeElement);
        this.infoWindow.open(this.map, e.target.getPosition());
        this.cd.detectChanges();
    };
    StoresPage.prototype.navigation = function () {
        var _this = this;
        if (!this.startPoint || !this.endPoint || !this.startPoint.lng
            || !this.startPoint.lat || !this.endPoint.lng || !this.endPoint.lat) {
            this.nativeService.showToast('无法获取您的精确位置，请打开定位再试!');
            return;
        }
        this.nativeService.navigation(this.startPoint, this.endPoint, 0).subscribe(function (message) {
            _this.map.clearInfoWindow();
            _this.show = false;
        });
    };
    StoresPage.prototype.doQuery = function () {
        var _this = this;
        if (!this.queryText) {
            return;
        }
        this.commonService.getStoreList(this.city.id).subscribe(function (list) {
            _this.queryResult = list;
        });
    };
    StoresPage.prototype.doClear = function () {
        this.queryResult.length = 0;
    };
    StoresPage.prototype.selectCity = function () {
        var _this = this;
        var modal = this.modelCtrl.create(__WEBPACK_IMPORTED_MODULE_4__city_city__["a" /* CityPage */]);
        modal.present();
        modal.onDidDismiss(function (city) {
            city && (_this.city = city,
                _this.getStores());
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('container'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], StoresPage.prototype, "mapContainer", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('myScrollL'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* Scroll */])
    ], StoresPage.prototype, "myScrollL", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('myScrollR'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* Scroll */])
    ], StoresPage.prototype, "myScrollR", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('myCity'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["e" /* Button */])
    ], StoresPage.prototype, "myCity", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('myInfo'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], StoresPage.prototype, "myInfo", void 0);
    StoresPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-stores',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/store/stores/stores.html"*/'<!--\n  Generated template for the StoresPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>附近</ion-title>\n    <ion-buttons end>\n      <button ion-button small clear (click)="isMap = !isMap">{{isMap?\'列表\':\'地图\'}}</button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <div class="map" [hidden]="!isMap">\n    <ion-searchbar #query\n                   placeholder="搜索周边门店"\n                   [(ngModel)]="queryText"\n                   (ionInput)="doQuery($event)"\n                   (ionClear)="doClear()">\n    </ion-searchbar>\n\n    <div #container class="container">\n    </div>\n\n    <ion-scroll [hidden]="!queryResult || queryResult.length==0" scrollY="true" style="width: 100%;position: absolute;top:3.8rem;left: 0;bottom:0;z-index: 999;">\n      <ion-list style="margin-bottom: 0 !important;">\n        <ion-item (click)="gotoDetail(item)" *ngFor="let item of queryResult">\n          <h3>{{item.name}}</h3>\n          <p text-wrap>{{item.address}}</p>\n        </ion-item>\n      </ion-list>\n    </ion-scroll>\n\n    <!--<map-marker #myMarker [hidden]="!selectStore" (click)="gotoDetail(selectStore)" [marker]="selectStore?.name"></map-marker>-->\n  </div>\n  <div class="list" [hidden]="isMap">\n    <button #myCity ion-item no-lines class="city-name" (click)="selectCity()">\n      <h3>用车城市</h3>\n      <ion-note color="dark" item-end>\n        <h3>{{city?.names}}</h3>\n      </ion-note>\n    </button>\n    <div class="stores">\n      <ion-scroll #myScrollL scrollY="true" class="left">\n        <ion-list>\n          <ion-item class="city-title" (click)="selectMenu(item)" [class.active]="item.code==current" no-padding *ngFor="let item of stores,let i = index">\n            <h3 padding-left>{{item.title}}</h3>\n          </ion-item>\n        </ion-list>\n      </ion-scroll>\n      <ion-scroll #myScrollR scrollY="true" style="width: 70%;float: right;position: absolute;top:4.6rem;right: 0; height: 100%;">\n        <ion-list>\n          <ion-item-group *ngFor="let item of stores">\n            <ion-item-divider no-margin [id]="item.code">\n              <p>{{item.title}}</p>\n            </ion-item-divider>\n            <ion-item *ngFor="let store of item.stores" (click)="gotoDetail(store)">\n              <h3>{{store.name}}</h3>\n              <p>{{store.address}}</p>\n            </ion-item>\n          </ion-item-group>\n        </ion-list>\n      </ion-scroll>\n    </div>\n  </div>\n  <div #myInfo [hidden]="!show" class="store-title">\n    <i class="icon iconfont ion-md-lujing nav-icon" (click)="navigation()"></i>\n    <a class="txt" (click)="gotoDetail(selectStore)">{{selectStore?.name}}</a>\n    <span class="right-icon"></span>\n    <span class="triangle-down"></span>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/store/stores/stores.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["k" /* ChangeDetectorRef */],
            __WEBPACK_IMPORTED_MODULE_6__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_3__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__["a" /* NativeService */]])
    ], StoresPage);
    return StoresPage;
}());

//# sourceMappingURL=stores.js.map

/***/ })

});
//# sourceMappingURL=18.js.map