webpackJsonp([22],{

/***/ 757:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PositionPickerPageModule", function() { return PositionPickerPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__position_picker__ = __webpack_require__(797);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PositionPickerPageModule = /** @class */ (function () {
    function PositionPickerPageModule() {
    }
    PositionPickerPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__position_picker__["a" /* PositionPickerPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__position_picker__["a" /* PositionPickerPage */]),
            ],
        })
    ], PositionPickerPageModule);
    return PositionPickerPageModule;
}());

//# sourceMappingURL=position-picker.module.js.map

/***/ }),

/***/ 797:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PositionPickerPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the PositionPickerPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PositionPickerPage = /** @class */ (function () {
    function PositionPickerPage(navCtrl, viewCtrl, cd, navParams, nativeService) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.cd = cd;
        this.navParams = navParams;
        this.nativeService = nativeService;
        this.pos = navParams.get('pos');
    }
    PositionPickerPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad PositionPickerPage');
    };
    PositionPickerPage.prototype.ionViewDidEnter = function () {
        this.initMap();
    };
    PositionPickerPage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    PositionPickerPage.prototype.confirm = function () {
        this.viewCtrl.dismiss(this.pickAddress);
    };
    PositionPickerPage.prototype.initMap = function () {
        try {
            var that_1 = this;
            AMapUI.loadUI(['misc/PositionPicker'], function (PositionPicker) {
                var map = new AMap.Map(that_1.mapContainer.nativeElement, {
                    zoom: 16,
                    center: that_1.pos ? [that_1.pos.lng, that_1.pos.lat] : '',
                    scrollWheel: false
                });
                var positionPicker = new PositionPicker({
                    mode: 'dragMap',
                    map: map
                });
                positionPicker.start(map.getBounds().getSouthWest());
                positionPicker.on('success', function (result) {
                    that_1.pickAddress = {
                        address: result.regeocode.addressComponent.province + result.regeocode.addressComponent.city
                            + result.regeocode.addressComponent.district + result.nearestJunction,
                        pos: result.position
                    };
                    that_1.cd.detectChanges();
                });
                positionPicker.on('fail', function () {
                    that_1.pickAddress = null;
                });
            });
        }
        catch (e) {
            console.log(e);
            this.nativeService.showToast('地图加载失败,请检查网络或稍后再试.');
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('container'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], PositionPickerPage.prototype, "mapContainer", void 0);
    PositionPickerPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-position-picker',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/position-picker/position-picker.html"*/'<!--\n  Generated template for the PositionPickerPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-buttons start>\n      <button ion-button small clear (click)="cancel()">\n        <ion-icon name="ios-arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n    <ion-title>选择位置</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <div #container class="container">\n  </div>\n  <div ion-fixed class="result">\n    <ion-item no-lines>\n      <h3 text-wrap>{{pickAddress?.address}}</h3>\n      <ion-note item-end>\n        <button ion-button outline small (click)="confirm()">确认</button>\n      </ion-note>\n    </ion-item>\n    <!--<ion-row align-items-center>-->\n      <!--<ion-col col-9>-->\n        <!--<p>{{pickAddress?.address}}</p>-->\n      <!--</ion-col>-->\n      <!--<ion-col>-->\n        <!--<button ion-button outline small (click)="confirm()">确认</button>-->\n      <!--</ion-col>-->\n    <!--</ion-row>-->\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/position-picker/position-picker.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["k" /* ChangeDetectorRef */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__["a" /* NativeService */]])
    ], PositionPickerPage);
    return PositionPickerPage;
}());

//# sourceMappingURL=position-picker.js.map

/***/ })

});
//# sourceMappingURL=22.js.map