webpackJsonp([23],{

/***/ 756:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PaymentPageModule", function() { return PaymentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__payment__ = __webpack_require__(796);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PaymentPageModule = /** @class */ (function () {
    function PaymentPageModule() {
    }
    PaymentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__payment__["a" /* PaymentPage */]),
            ],
        })
    ], PaymentPageModule);
    return PaymentPageModule;
}());

//# sourceMappingURL=payment.module.js.map

/***/ }),

/***/ 796:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PaymentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__tabs_tabs__ = __webpack_require__(102);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_wechat_chenyu__ = __webpack_require__(386);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Helper__ = __webpack_require__(100);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the PaymentPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PaymentPage = /** @class */ (function () {
    function PaymentPage(navCtrl, navParams, alertCtrl, wechatChenyu, helper, nativeService, orderService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.wechatChenyu = wechatChenyu;
        this.helper = helper;
        this.nativeService = nativeService;
        this.orderService = orderService;
        this.payMethods = [{
                code: 1,
                icon: 'zhifubao',
                title: '支付宝支付',
                desc: '数亿用户都在用，安全可托付'
            }, {
                code: 2,
                icon: 'weixin',
                title: '微信支付',
                desc: ''
            }];
        this.current = {
            code: 1,
            title: '支付宝支付'
        };
        this.canLeave = false;
        this.done = false;
        this.orderInfo = this.navParams.get('order');
        if (!this.orderInfo) {
            this.canLeave = true;
            this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_5__tabs_tabs__["a" /* TabsPage */]);
            return;
        }
    }
    PaymentPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad PaymentPage');
        // this.navCtrl.swipeBackEnabled = false;
    };
    PaymentPage.prototype.ionViewCanLeave = function () {
        var _this = this;
        if (!this.canLeave) {
            this.alertCtrl.create({
                title: '确认离开支付中心?',
                message: '您的订单在1个小时内未支付将被取消,请尽快完成支付。',
                buttons: [
                    {
                        text: '继续支付',
                        role: 'cancel',
                        cssClass: 'full-btn',
                        handler: function () {
                            _this.canLeave = false;
                        }
                    },
                    {
                        text: '确认离开',
                        cssClass: 'full-btn-foucs',
                        handler: function () {
                            _this.canLeave = true;
                            _this.navCtrl.parent.select(2);
                            _this.navCtrl.popToRoot();
                        }
                    }
                ],
                enableBackdropDismiss: false
            }).present();
        }
        return this.canLeave;
    };
    PaymentPage.prototype.getData = function () {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_3_rxjs_Observable__["Observable"].create(function (observer) {
            if (!_this.orderInfo) {
                observer.error("请求参数为空");
            }
            if (_this.current.code == 1) {
                _this.orderService.getSignForAlipay(_this.orderInfo).subscribe(function (res) {
                    _this.html = res.data;
                    observer.next(res.data);
                    observer.complete();
                });
            }
            else if (_this.current.code == 2) {
                _this.orderService.getSignForWeixin(_this.orderInfo).subscribe(function (res) {
                    observer.next(res.data);
                    observer.complete();
                });
            }
        });
    };
    PaymentPage.prototype.goToPay = function () {
        var _this = this;
        this.getData().subscribe({
            next: function (html) {
                if (_this.current.code == 1) {
                    cordova.plugins.alipay.payment(html, function (success) {
                        if (success.resultStatus == "9000") {
                            _this.done = true;
                            _this.nativeService.showToast('支付成功！');
                            _this.helper.orderChangedHandle();
                            setTimeout(function () {
                                _this.canLeave = true;
                                _this.navCtrl.parent.select(2);
                                _this.navCtrl.popToRoot();
                            }, 1000);
                        }
                    }, function (error) {
                        //支付失败
                        var msg = '支付失败';
                        switch (error.resultStatus) {
                            case "4000":
                                msg = '订单支付失败';
                                break;
                            case "5000":
                                msg = '重复请求';
                                break;
                            case "6001":
                                msg = '用户中途取消';
                                break;
                            case "6002":
                                msg = '网络连接出错';
                                break;
                            case "8000":
                                msg = '正在处理中，如果已支付请到订单管理查看支付结果';
                                break;
                            default:
                                msg = '未知支付错误';
                                break;
                        }
                        _this.helper.orderChangedHandle();
                        _this.nativeService.showToast(msg);
                    });
                }
                else if (_this.current.code == 2) {
                    _this.wechatChenyu.sendPaymentRequest(html).then(function (data) {
                        _this.done = true;
                        _this.helper.orderChangedHandle();
                        _this.nativeService.showToast('支付成功！');
                        setTimeout(function () {
                            _this.canLeave = true;
                            _this.navCtrl.parent.select(2);
                            _this.navCtrl.popToRoot();
                        }, 1000);
                    }, function (err) {
                        _this.helper.orderChangedHandle();
                        _this.nativeService.showToast('支付失败!');
                        console.log(err);
                    });
                }
            },
            error: function (err) {
                _this.nativeService.alert('失败', '获取支付参数失败!');
            }
        });
    };
    PaymentPage.prototype.changeMode = function (mode) {
        this.current = mode;
    };
    PaymentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-payment',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/payment/payment.html"*/'<!--\n  Generated template for the PaymentPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>支付中心</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n  <ion-list>\n    <ion-item text-center>\n      <p>需支付</p>\n      <h1>{{orderInfo?.prePay}} <span style="font-size: 1.4rem;">元</span></h1>\n      <p class="notice">请在1小时内完成支付,否则订单将自动取消。</p>\n    </ion-item>\n    <ion-item-divider>\n      <p>支付方式</p>\n    </ion-item-divider>\n    <ion-item *ngFor="let pay of payMethods"  (click)="changeMode(pay)">\n      <ion-label>\n        <ion-icon [name]="pay.icon"  [class.zhifubao]="pay.code==1" [class.weixin]="pay.code==2"></ion-icon>\n        <div style="vertical-align: middle;display: inline-block;">\n          <h3>{{pay.title}}</h3>\n          <p style="font-size: 1.3rem;">{{pay.desc}}</p>\n        </div>\n      </ion-label>\n      <ion-note item-end>\n        <div item-end class="checkbox-icon" [class.checkbox-checked]="pay.code==current.code">\n          <div class="checkbox-inner"></div>\n        </div>\n      </ion-note>\n      <!--<ion-checkbox [checked]="pay.code==current.code" (ionChange)="updateCucumber($event)" (click)="changeMode(pay)"></ion-checkbox>-->\n    </ion-item>\n  </ion-list>\n\n</ion-content>\n\n<ion-footer>\n  <button ion-button full no-margin (click)="goToPay()">\n    <!--<ion-spinner color="light" name="bubbles"></ion-spinner>-->\n    <ion-icon *ngIf="done" name="checkmark-circle"></ion-icon>\n    {{current.title}}{{orderInfo?.prePay}}元\n  </button>\n</ion-footer>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/payment/payment.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_6_wechat_chenyu__["a" /* WechatChenyu */],
            __WEBPACK_IMPORTED_MODULE_7__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_4__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_2__service_OrderService__["a" /* OrderService */]])
    ], PaymentPage);
    return PaymentPage;
}());

//# sourceMappingURL=payment.js.map

/***/ })

});
//# sourceMappingURL=23.js.map