webpackJsonp([24],{

/***/ 755:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrdersPageModule", function() { return OrdersPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__orders__ = __webpack_require__(795);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OrdersPageModule = /** @class */ (function () {
    function OrdersPageModule() {
    }
    OrdersPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__orders__["a" /* OrdersPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__orders__["a" /* OrdersPage */]),
            ],
        })
    ], OrdersPageModule);
    return OrdersPageModule;
}());

//# sourceMappingURL=orders.module.js.map

/***/ }),

/***/ 795:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrdersPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Helper__ = __webpack_require__(100);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the OrdersPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OrdersPage = /** @class */ (function () {
    function OrdersPage(navCtrl, navParams, events, globalData, helper, orderService, nativeService) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.events = events;
        this.globalData = globalData;
        this.helper = helper;
        this.orderService = orderService;
        this.nativeService = nativeService;
        this.page = 1;
        this.limit = 5;
        this.count = 0;
        this.loaded = false;
        this.events.subscribe('order:change', function () {
            _this.page = 1;
            _this.loadData();
        });
    }
    OrdersPage.prototype.ionViewDidLoad = function () {
    };
    OrdersPage.prototype.ionViewDidEnter = function () {
        this.helper.setIosIconBadgeNumber(0);
        if (this.loaded) {
            return;
        }
        this.loadData();
    };
    OrdersPage.prototype.showDetail = function (order) {
        this.navCtrl.push('OrderDetailPage', { order: order });
    };
    OrdersPage.prototype.gotoStore = function (storeId, $event) {
        this.navCtrl.push('StoreDetailPage', { id: storeId });
        $event.stopPropagation();
    };
    OrdersPage.prototype.pay = function (order, $event) {
        this.navCtrl.push('PaymentPage', { 'order': order });
        $event.stopPropagation();
    };
    OrdersPage.prototype.buy = function (order, $event) {
        this.navCtrl.push('AddOrderPage', { 'store': {
                cityId: order.pickCity,
                cityName: order.pickCityName,
                id: order.pickShop,
                name: order.pickShopName
            } });
        $event.stopPropagation();
    };
    OrdersPage.prototype.relet = function (order, $event) {
        this.navCtrl.push('ReletPage', { 'order': order });
        $event.stopPropagation();
    };
    /**
     * 下拉刷新
     */
    OrdersPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        // console.log('Begin async operation', refresher);
        this.page = 1;
        this.globalData.showLoading = false;
        this.orderService.getOrderList({
            page: this.page,
            limit: this.limit
        }).subscribe(function (res) {
            _this.orders = res.list;
            _this.count = res.totalCount;
            _this.page++;
            refresher.complete();
        });
        this.nativeService.hideLoading();
    };
    /**
     * 上拉加载更多订单
     * @param infiniteScroll
     */
    OrdersPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.orders && this.orders.length >= this.count) {
            infiniteScroll.enable(false);
            return;
        }
        this.orderService.getOrderList({
            page: this.page,
            limit: this.limit
        }).subscribe(function (data) {
            infiniteScroll.complete(); //当数据请求完成调用
            data.list.map(function (item) {
                _this.orders.push(item);
            });
            _this.page++;
            if (_this.orders.length >= _this.count) {
                infiniteScroll.enable(false); //没有数据的时候隐藏 ion-infinate-scroll
            }
        });
    };
    OrdersPage.prototype.loadData = function () {
        var _this = this;
        this.orderService.getOrderList({
            page: this.page,
            limit: this.limit
        }).subscribe(function (res) {
            _this.orders = res.list;
            _this.count = res.totalCount;
            _this.page++;
            _this.loaded = true;
        });
    };
    OrdersPage.prototype.getStatusText = function (id, prePayType) {
        var msg = '已提交';
        if (id == 1) {
            msg = '已提交';
        }
        else if (id == 2) {
            if (prePayType == 1) {
                msg = '待支付';
            }
            else {
                msg = '成功';
            }
        }
        else if (id == 10) {
            msg = '待支付';
        }
        else if (id == 3 || id == 4) {
            msg = '成功';
        }
        else if (id == 5 || id == 9) {
            msg = '租赁中';
        }
        else if (id == 6 || id == 7) {
            msg = '已完成';
        }
        else if (id == 8) {
            msg = '已取消';
        }
        else if (id == 11) {
            msg = '退款失败';
        }
        return msg;
    };
    OrdersPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-orders',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/orders/orders.html"*/'<!--\n  Generated template for the OrdersPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>订单中心</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <!-- 下拉刷新 -->\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content\n      pullingIcon="arrow-down"\n      pullingText="下拉刷新"\n      pullMin="120"\n      pullMax="180"\n      refreshingSpinner="circles"\n      refreshingText="努力加载中...">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-list margin-top *ngFor="let order of orders" (click)="showDetail(order)">\n    <!-- 状态信息 -->\n    <ion-item padding-left no-lines>\n      <h3 (click)="gotoStore(order?.pickShop, $event)">\n        <ion-icon name="shop" color="disable"></ion-icon>\n        <span>{{order?.pickCityName}} {{order?.pickShopName}}</span>\n        <ion-icon name="arrow-forward"></ion-icon>\n      </h3>\n      <ion-note item-end [color]="order?.ordersStatus==8?\'disable\':\'danger\'">\n        <h4>{{getStatusText(order?.ordersStatus, order?.ordersType)}}</h4>\n      </ion-note>\n    </ion-item>\n    <!-- 车辆信息 -->\n    <ion-item padding-horizontal no-lines class="product">\n      <ion-row>\n        <ion-col col-4>\n          <img width="100%" height="100%" [src]="order?.vehiclePhoto"/>\n        </ion-col>\n        <ion-col>\n          <h3>{{order?.vehicleTypeName}}</h3>\n          <p>{{order?.command}}</p>\n          <span *ngIf="order.hotCarDesc" class="tag" [class.hot]="order.hotCarDesc">{{order.hotCarDesc}}</span>\n          <span *ngIf="order.newCarDesc" class="tag" [class.new]="order.newCarDesc">{{order.newCarDesc}}</span>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n    <!-- 付款信息 -->\n    <ion-item>\n      <h3 text-start style="float: left;" *ngIf="order.ordersStatus == 5">\n        <span>还车时间: {{order.returnTime | date: \'MM-dd\'}}</span>\n      </h3>\n      <h3 text-start style="float: left;" *ngIf="order.ordersStatus == 2 || order.ordersStatus == 3 || order.ordersStatus == 4">\n        <span>取车时间: {{order.pickTime | date: \'MM-dd\'}}</span>\n      </h3>\n      <h3 text-end>\n        <span>共{{order.period}}天</span>\n        <span>总费用:</span>\n        <span style="font-size: 1.6rem">¥{{order.allPrice}}</span>.00\n      </h3>\n      <ion-note item-end>\n        <button ion-button color="secondary" small outline *ngIf="order.ordersStatus == 5" (click)="relet(order, $event)">续租</button>\n        <button ion-button color="secondary" small outline *ngIf="(order.ordersStatus == 2 || order.ordersStatus == 10) && order?.ordersType == 1" (click)="pay(order, $event)">去支付</button>\n        <button ion-button color="secondary" small outline *ngIf="order.ordersStatus == 6 || order.ordersStatus == 7 || order.ordersStatus == 6" (click)="buy(order, $event)">再次下单</button>\n      </ion-note>\n    </ion-item>\n\n  </ion-list>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" threshold="100px">\n    <ion-infinite-scroll-content\n      loadingSpinner="bubbles"\n      loadingText="加载更多...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/orders/orders.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_5__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_3__service_OrderService__["a" /* OrderService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__["a" /* NativeService */]])
    ], OrdersPage);
    return OrdersPage;
}());

//# sourceMappingURL=orders.js.map

/***/ })

});
//# sourceMappingURL=24.js.map