webpackJsonp([27],{

/***/ 752:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LongRentPageModule", function() { return LongRentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__long_rent__ = __webpack_require__(792);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LongRentPageModule = /** @class */ (function () {
    function LongRentPageModule() {
    }
    LongRentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__long_rent__["a" /* LongRentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__long_rent__["a" /* LongRentPage */]),
            ],
        })
    ], LongRentPageModule);
    return LongRentPageModule;
}());

//# sourceMappingURL=long-rent.module.js.map

/***/ }),

/***/ 792:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LongRentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__store_city_city__ = __webpack_require__(171);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__home_home__ = __webpack_require__(173);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the LongRentPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LongRentPage = /** @class */ (function () {
    function LongRentPage(navCtrl, navParams, modalCtrl, nativeService, orderService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.nativeService = nativeService;
        this.orderService = orderService;
        this.order = {
            city: {
                id: 0,
                value: ''
            },
            useTime: {
                id: Date.now(),
                value: __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].dateFormat(new Date(), 'yyyy年MM月dd日 EE')
            },
            rent: {
                id: 12,
                value: '一年'
            },
            mode: {
                id: 0,
                value: ''
            },
            company: '',
            contact: '',
            phone: '',
            desc: ''
        };
    }
    LongRentPage.prototype.ionViewDidLoad = function () {
    };
    LongRentPage.prototype.selectCity = function () {
        var _this = this;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__store_city_city__["a" /* CityPage */]);
        modal.present();
        modal.onDidDismiss(function (city) {
            city && (_this.order.city = {
                id: city.id,
                value: city.names
            });
        });
    };
    /**
     * 选择用车时间
     */
    LongRentPage.prototype.selectDate = function () {
        var _this = this;
        var formatDate = function () {
            var arr = [], date = new Date();
            for (var i = 0; i < 60; i++) {
                arr.push({
                    id: date.getTime(),
                    value: __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].dateFormat(date, "yyyy年MM月dd日 EE")
                });
                date.setDate(date.getDate() + 1);
            }
            return arr;
        };
        var dateDate = function (callback) {
            callback(formatDate());
        };
        var iosSelect = new IosSelect(1, [dateDate], {
            title: '选择取车时间',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: this.order.useTime.id,
            showLoading: true,
            callback: function (selectDate) {
                _this.order.useTime = {
                    id: +selectDate.id,
                    value: selectDate.value
                };
            }
        });
    };
    /**
     * 选择租期
     */
    LongRentPage.prototype.selectRent = function () {
        var _this = this;
        var rents = [{ id: 3, value: '三个月' }, { id: 4, value: '四个月' }, { id: 5, value: '五个月' }, { id: 6, value: '六个月' }, { id: 7, value: '七个月' },
            { id: 8, value: '八个月' }, { id: 9, value: '九个月' }, { id: 10, value: '十个月' }, { id: 11, value: '十一个月' }, { id: 12, value: '一年' }, { id: 13, value: '两年' },
            { id: 14, value: '三年' }];
        var iosSelect = new IosSelect(1, [rents], {
            title: '选择取车时间',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: 12,
            showLoading: true,
            callback: function (selectDate) {
                _this.order.rent = selectDate;
            }
        });
    };
    /**
     * 选择车型
     */
    LongRentPage.prototype.selectMode = function () {
        var _this = this;
        if (!this.order.city.id) {
            this.nativeService.showToast('请先选择用车城市!');
            return;
        }
        this.orderService.getLongOrderCarList(this.order.city.id).subscribe(function (data) {
            if (data.length == 0) {
                return;
            }
            var formatData = function () {
                var arr = [];
                data.map(function (mode) {
                    arr.push({
                        id: mode.id,
                        value: mode.names
                    });
                });
                return arr;
            };
            var modeData = function (callback) {
                callback(formatData());
            };
            new IosSelect(1, [modeData], {
                title: '选择车型',
                itemHeight: 35,
                itemShowCount: 5,
                oneLevelId: _this.order.mode.id,
                showLoading: true,
                callback: function (selected) {
                    _this.order.mode = {
                        id: +selected.id,
                        value: selected.value
                    };
                }
            });
        });
    };
    LongRentPage.prototype.save = function () {
        var _this = this;
        if (!this.order.city.id) {
            this.nativeService.showToast('请选择用车城市');
            return;
        }
        if (!this.order.mode.id) {
            this.nativeService.showToast('请选择车型');
            return;
        }
        if (!this.order.rent.id) {
            this.nativeService.showToast('请选择租期');
            return;
        }
        if (!this.order.useTime.id) {
            this.nativeService.showToast('请选择用车时间');
            return;
        }
        if (!this.order.contact) {
            this.nativeService.showToast('请填写联系人姓名');
            return;
        }
        if (!__WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].checkCellphone(this.order.phone)) {
            this.nativeService.showToast('请填写正确的手机号');
            return;
        }
        this.orderService.addLongOrder({
            pickCity: this.order.city.id,
            vehicleType: this.order.mode.id,
            leaseTime: this.order.rent.id,
            pickTime: this.order.useTime.id,
            name: this.order.contact,
            company: this.order.company,
            phone: this.order.phone,
            comments: this.order.desc
        }).subscribe(function () {
            _this.nativeService.showToast('感谢您的预定，我们将在1个工作日联系您！', 3000);
            if (_this.navCtrl.canGoBack()) {
                _this.navCtrl.pop();
            }
            else {
                _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_6__home_home__["a" /* HomePage */]);
            }
        });
    };
    LongRentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-long-rent',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/long-rent/long-rent.html"*/'<!--\n  Generated template for the LongRentPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>长租预定</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n  <!--<form>-->\n    <!-- 预定信息 -->\n    <ion-list margin-top>\n      <button ion-item (click)="selectCity()">\n        <ion-label>\n          <h3>用车城市</h3>\n        </ion-label>\n        <ion-note item-end color="disable">{{order.city.id?order.city.value:\'请选择\'}}</ion-note>\n      </button>\n      <button ion-item (click)="selectDate()">\n        <ion-label>\n          <h3>用车时间</h3>\n        </ion-label>\n        <ion-note item-end color="disable">{{order.useTime.id?order.useTime.value:\'请选择\'}}</ion-note>\n      </button>\n      <button ion-item (click)="selectRent()">\n        <ion-label>\n          <h3>租期</h3>\n        </ion-label>\n        <ion-note item-end color="disable">{{order.rent.id?order.rent.value:\'请选择\'}}</ion-note>\n      </button>\n      <button ion-item (click)="selectMode()">\n        <ion-label>\n          <h3>车型</h3>\n        </ion-label>\n        <ion-note item-end color="disable">{{order.mode.id?order.mode.value:\'请选择\'}}</ion-note>\n      </button>\n    </ion-list>\n\n    <!-- 联系信息 -->\n    <ion-list margin-top>\n      <ion-item>\n        <ion-label style="width: 20%">\n          <h3>企业名称</h3>\n        </ion-label>\n        <ion-input type="text" name="company" placeholder="请输入企业名称" [(ngModel)]="order.company"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label style="width: 20%">\n          <h3>联系人</h3>\n        </ion-label>\n        <ion-input type="text" name="contact" placeholder="请输入联系人姓名" [(ngModel)]="order.contact"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label style="width: 20%">\n          <h3>手机号</h3>\n        </ion-label>\n        <ion-input type="tel" name="phone" placeholder="请输入手机号" [(ngModel)]="order.phone"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-textarea autosize name="desc" rows="4" placeholder="补充信息" [(ngModel)]="order.desc"></ion-textarea>\n      </ion-item>\n    </ion-list>\n\n    <div padding-horizontal>\n      <button ion-button block (click)="save()">提交需求</button>\n    </div>\n  <!--</form>-->\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/long-rent/long-rent.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_4__service_OrderService__["a" /* OrderService */]])
    ], LongRentPage);
    return LongRentPage;
}());

//# sourceMappingURL=long-rent.js.map

/***/ })

});
//# sourceMappingURL=27.js.map