webpackJsonp([29],{

/***/ 750:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CarPageModule", function() { return CarPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__car__ = __webpack_require__(790);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CarPageModule = /** @class */ (function () {
    function CarPageModule() {
    }
    CarPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__car__["a" /* CarPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__car__["a" /* CarPage */]),
            ],
        })
    ], CarPageModule);
    return CarPageModule;
}());

//# sourceMappingURL=car.module.js.map

/***/ }),

/***/ 790:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CarPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__tabs_tabs__ = __webpack_require__(102);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CarPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CarPage = /** @class */ (function () {
    function CarPage(navCtrl, navParams, orderService, nativeService) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.orderService = orderService;
        this.nativeService = nativeService;
        this.count = 0;
        this.showPrice = false;
        this.page = 1;
        this.limit = 30;
        this.order = this.navParams.get('order');
        if (!this.order) {
            this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_4__tabs_tabs__["a" /* TabsPage */]);
            return;
        }
        this.orderService.getCarList({
            fromCityId: this.order.pickUp.city.id,
            toCityId: this.order.return.city.id,
            fromStoreId: this.order.pickUp.store.id,
            toStoreId: this.order.return.store.id,
            fromDateTime: this.order.pickUp.pickUpDate,
            toDateTime: this.order.return.returnDate,
            page: this.page,
            limit: this.limit
        }).subscribe(function (data) {
            _this.items = data.list;
            _this.count = data.totalCount;
            _this.page++;
        });
    }
    CarPage.prototype.ionViewDidLoad = function () {
    };
    CarPage.prototype.showCar = function (vehicle, $event) {
        this.navCtrl.push('CarDetailPage', { car: vehicle, order: this.order });
        $event.stopPropagation();
    };
    CarPage.prototype.changeStore = function (vehicle, $event) {
        this.navCtrl.push('CarDetailPage', { car: vehicle, order: this.order });
        $event.stopPropagation();
    };
    CarPage.prototype.gotoConfirm = function (mode) {
        if (!mode.hasVehicle) {
            return;
        }
        this.current = mode;
        this.order["mode"] = mode;
        if (mode.feeType.length > 1) {
            this.showPrice = true;
            return;
        }
        else if (mode.feeType.length == 1) {
            this.order.orderType = mode.feeType[0].orderType;
        }
        else {
            this.nativeService.showToast('没有可选价格');
            return;
        }
        this.navCtrl.push('ConfirmPage', { order: this.order });
    };
    CarPage.prototype.selectOrderType = function (type) {
        if (!type) {
            return;
        }
        this.showPrice = false;
        this.order.orderType = type.orderType;
        this.navCtrl.push('ConfirmPage', { order: this.order });
    };
    CarPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        this.orderService.getCarList({
            fromCityId: this.order.pickUp.city.id,
            toCityId: this.order.return.city.id,
            fromStoreId: this.order.pickUp.store.id,
            toStoreId: this.order.return.store.id,
            fromDateTime: this.order.pickUp.pickUpDate,
            toDateTime: this.order.return.returnDate,
            page: this.page,
            limit: this.limit
        }).subscribe(function (data) {
            infiniteScroll.complete(); //当数据请求完成调用
            data.list.map(function (item) {
                _this.items.push(item);
            });
            _this.page++;
            if (_this.items.length >= _this.count) {
                infiniteScroll.enable(false); //没有数据的时候隐藏 ion-infinate-scroll
            }
        });
    };
    CarPage.prototype.close = function () {
        this.showPrice = false;
    };
    CarPage.prototype.stop = function ($event) {
        $event.cancelBubble = true;
        $event.stopPropagation();
        $event.preventDefault();
    };
    CarPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-car',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/car/car.html"*/'<!--\n  Generated template for the CarPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>全部车型</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n  <ion-list class="car-list">\n\n    <ion-item margin-top no-lines *ngFor="let vehicle of items" (click)="gotoConfirm(vehicle)">\n      <ion-row>\n        <ion-col col-4>\n          <img width="100%" [src]="vehicle.photo"/>\n          <div class="has" *ngIf="!vehicle.hasVehicle"></div>\n        </ion-col>\n        <ion-col col-8>\n          <h3>{{vehicle.names}}</h3>\n          <p class="car-type">{{vehicle.comment}}</p>\n          <ion-row align-items-center no-padding>\n            <ion-col col-6 no-padding class="car-bt" [hidden]="!vehicle.avgFee">\n              <span class="price">￥{{vehicle.avgFee}}</span>/日均\n            </ion-col>\n            <ion-col col-6 no-padding class="car-bt" [hidden]="vehicle.hasVehicle">\n              <span>已租满</span>\n            </ion-col>\n            <ion-col col-6 no-padding>\n              <button float-end ion-button small clear icon-end color="disable" *ngIf="vehicle.hasVehicle" (click)="showCar(vehicle,$event)">\n                每日租金\n                <ion-icon name="md-arrow-dropdown"></ion-icon>\n              </button>\n              <button float-end ion-button small clear icon-end *ngIf="!vehicle.hasVehicle" (click)="changeStore(vehicle, $event)">\n                查看详情\n                <ion-icon name="ios-arrow-forward"></ion-icon>\n              </button>\n            </ion-col>\n          </ion-row>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n\n  </ion-list>\n\n  <div padding-horizontal class="more">\n    <ion-row justify-content-center>\n      <ion-col>\n        <div class="line"></div>\n      </ion-col>\n      <ion-col col-5 ion-text text-center color="disable">更多车型，敬请期待</ion-col>\n      <ion-col>\n        <div class="line"></div>\n      </ion-col>\n    </ion-row>\n  </div>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n    <ion-infinite-scroll-content\n      loadingSpinner="bubbles"\n      loadingText="加载更多...">\n    </ion-infinite-scroll-content>\n  </ion-infinite-scroll>\n\n</ion-content>\n\n<div [hidden]="!showPrice" (click)="close()" class="animated fadeIn prices" ontouchmove="event.preventDefault();event.stopPropagation();">\n  <div class="price-detail" (click)="stop($event)">\n    <ion-list style="margin-bottom: 0 !important;">\n      <ion-item text-center>\n        <img *ngIf="current" width="207" height="121" style="width: 90%;" [src]="current.photo" alt="">\n        <h3>{{current?.names}}</h3>\n        <p>{{current?.comment}}</p>\n        <p>租期 <span class="primary-color">{{order?.days}}</span> 天</p>\n      </ion-item>\n      <ion-item detail-push *ngFor="let price of current?.feeType" (click)="selectOrderType(price)">\n        <h3>{{price.k}}</h3>\n        <ion-note item-end>\n          <span class="primary-color">￥{{price.v}}</span>\n          <span class="txt">/日均</span>\n        </ion-note>\n      </ion-item>\n    </ion-list>\n  </div>\n</div>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/car/car.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__service_OrderService__["a" /* OrderService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__["a" /* NativeService */]])
    ], CarPage);
    return CarPage;
}());

//# sourceMappingURL=car.js.map

/***/ })

});
//# sourceMappingURL=29.js.map