webpackJsonp([34],{

/***/ 746:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AccidentPageModule", function() { return AccidentPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__accident__ = __webpack_require__(786);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AccidentPageModule = /** @class */ (function () {
    function AccidentPageModule() {
    }
    AccidentPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__accident__["a" /* AccidentPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__accident__["a" /* AccidentPage */]),
            ],
        })
    ], AccidentPageModule);
    return AccidentPageModule;
}());

//# sourceMappingURL=accident.module.js.map

/***/ }),

/***/ 786:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AccidentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_gallery_modal__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_Observable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the AccidentPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AccidentPage = /** @class */ (function () {
    function AccidentPage(navCtrl, navParams, modalCtrl, nativeService, commonService, orderService, actionSheetCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.nativeService = nativeService;
        this.commonService = commonService;
        this.orderService = orderService;
        this.actionSheetCtrl = actionSheetCtrl;
        this.accident = {
            addr: {
                address: '',
                pos: {
                    lng: 0,
                    lat: 0
                }
            },
            order: {},
            degree: {},
            insurance: {},
            photos: [],
            needBackup: false,
            desc: ''
        };
        this.images = [];
        this.degree = [];
    }
    AccidentPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        // console.log('ionViewDidLoad AccidentPage');
        this.nativeService.getUserLocation().subscribe(function (pos) {
            _this.geocoder(pos);
        }, function () {
            _this.accident.addr['address'] = '定位失败';
        });
    };
    AccidentPage.prototype.ionViewDidEnter = function () {
    };
    AccidentPage.prototype.gotoPicker = function () {
        var _this = this;
        var modal = this.modalCtrl.create('PositionPickerPage', { 'pos': this.accident.addr.pos });
        modal.onDidDismiss(function (data) {
            data && (_this.accident.addr = data);
        });
        modal.present();
    };
    AccidentPage.prototype.selectOrder = function () {
        var _this = this;
        var modal = this.modalCtrl.create('OrderModalPage', {
            'status': '5,6,7,9'
        });
        modal.onDidDismiss(function (data) {
            if (!data) {
                return;
            }
            _this.accident.order = data;
            _this.orderService.getInsurance({
                vehicleID: data.vehicleId,
                useable: true
            }).subscribe(function (insurance) {
                insurance && (_this.accident.insurance = insurance);
            });
        });
        modal.present();
    };
    /**
     * 选择严重程度
     */
    AccidentPage.prototype.selectDegree = function () {
        var _this = this;
        if (this.degree.length === 0) {
            this.commonService.getDicList('accident_degree').subscribe(function (data) {
                if (data.length == 0) {
                    return;
                }
                data.map(function (item) {
                    _this.degree.push({
                        id: item.itemId,
                        value: item.itemName
                    });
                });
                _this.initSelect();
            });
        }
        else {
            this.initSelect();
        }
    };
    AccidentPage.prototype.initSelect = function () {
        var _this = this;
        new IosSelect(1, [this.degree], {
            title: '选择严重程度',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: this.accident.degree.id,
            showLoading: true,
            callback: function (selected) {
                _this.accident.degree = {
                    id: +selected.id,
                    value: selected.value
                };
            }
        });
    };
    AccidentPage.prototype.getPicture = function () {
        var _this = this;
        if (this.images.length > 4) {
            this.nativeService.showToast('最多上传5张');
            return;
        }
        var options = {
            targetWidth: 600,
            targetHeight: 800,
            quality: 80
        };
        var actionSheet = this.actionSheetCtrl.create({
            buttons: [
                {
                    text: '拍照',
                    role: 'destructive',
                    handler: function () {
                        _this.nativeService.getPictureByCamera(options).subscribe(function (imageBase64) {
                            _this.getPictureSuccess(imageBase64);
                        });
                    }
                }, {
                    text: '从手机相册选择',
                    handler: function () {
                        _this.nativeService.getPictureByPhotoLibrary(options).subscribe(function (imageBase64) {
                            _this.getPictureSuccess(imageBase64);
                        });
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        // console.log('Cancel clicked');
                    }
                }
            ]
        });
        actionSheet.present();
    };
    AccidentPage.prototype.call = function () {
        if (!this.accident.insurance.tel) {
            return;
        }
        window.location.href = 'tel:' + this.accident.insurance.tel;
    };
    AccidentPage.prototype.showPhoto = function (imgs, index) {
        var arr = [];
        imgs.map(function (item, index) {
            arr.push({
                title: index + 1 + "/" + imgs.length,
                url: item
            });
        });
        this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5_ionic_gallery_modal__["a" /* GalleryModal */], {
            photos: arr,
            initialSlide: index
        }).present();
    };
    AccidentPage.prototype.getPictureSuccess = function (imageBase64) {
        this.images.push(imageBase64);
    };
    // 根据经纬坐标获取对应的地址
    AccidentPage.prototype.geocoder = function (position) {
        var that = this;
        AMap.plugin('AMap.Geocoder', function () {
            var geocoder = new AMap.Geocoder({
                // city 指定进行编码查询的城市，支持传入城市名、adcode 和 citycode
                radius: 1000,
                extensions: 'all'
            });
            var lnglat = [position.lng, position.lat];
            geocoder.getAddress(lnglat, function (status, result) {
                if (status === 'complete' && result.info === 'OK') {
                    // result为对应的地理位置详细信息
                    that.accident.addr['address'] = result.regeocode.formattedAddress;
                }
                else {
                    that.accident.addr['address'] = '定位失败';
                }
                that.accident.addr.pos = position;
            });
        });
    };
    // 上传图片并上报事故
    AccidentPage.prototype.commit = function () {
        var _this = this;
        if (!this.accident.order.id) {
            this.nativeService.showToast('请选择一个有效订单');
            return;
        }
        if (!this.accident.degree.id) {
            this.nativeService.showToast('请选择事故严重程度');
            return;
        }
        if (this.accident.needBackup && this.images.length == 0) {
            this.nativeService.showToast('请至少上传一张照片');
            return;
        }
        var images$ = __WEBPACK_IMPORTED_MODULE_6_rxjs_Observable__["Observable"].create(function (observer) {
            if (_this.images.length == 0) {
                observer.next(-1);
            }
            else {
                _this.images.map(function (item, index) {
                    _this.commonService.upload(item).subscribe(function (res) {
                        _this.accident.photos.push(res.url);
                        observer.next(index);
                    }, function () {
                        _this.nativeService.showToast('上传失败！');
                        observer.error(index);
                    });
                });
            }
        });
        images$.subscribe(function (index) {
            if (index === _this.images.length - 1) {
                _this.orderService.reportAccident({
                    address: _this.accident.addr.address,
                    lng: _this.accident.addr.pos.lng,
                    lat: _this.accident.addr.pos.lat,
                    orderId: _this.accident.order.id,
                    vehicleId: _this.accident.order.vehicleId,
                    degree: _this.accident.degree.id,
                    isBackup: _this.accident.needBackup ? 1 : 0,
                    desc: _this.accident.desc,
                    photos: _this.accident.photos
                }).subscribe(function () {
                    _this.nativeService.showToast('提交成功，工作人员会尽快联系您！');
                    _this.navCtrl.pop();
                });
            }
        });
    };
    AccidentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-accident',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/home/accident/accident.html"*/'<!--\n  Generated template for the AccidentPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>事故上报</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list>\n    <ion-item detail-push (click)="gotoPicker()">\n      <p>\n        <ion-icon name="pin" style="color: #999;"></ion-icon>\n        {{accident.addr.address}}\n      </p>\n    </ion-item>\n    <button ion-item (click)="selectOrder()">\n      <p>选择订单</p>\n      <ion-note item-end>\n        <p>{{accident.order.vehicleNumber}}</p>\n      </ion-note>\n    </button>\n    <ion-item (click)="call()">\n      <p>保险公司</p>\n      <ion-note item-end>\n        <p>\n          <span>{{accident.insurance.insuranceCompany}}</span>\n          <span>{{accident.insurance.relationTel}}</span>\n        </p>\n      </ion-note>\n    </ion-item>\n    <ion-item>\n      <p [hidden]="accident.insurance.photos?.length>0">保单</p>\n      <img *ngFor="let photo of accident.insurance.photos;let i = index" (click)="showPhoto(accident.insurance.photos, i)" class="photo" width="25%" height="60" [src]="photo"/>\n    </ion-item>\n    <button ion-item (click)="selectDegree()">\n      <p>严重程度</p>\n      <ion-note item-end>\n        <p>{{accident.degree.value}}</p>\n      </ion-note>\n    </button>\n    <ion-item>\n      <ion-label>\n        <p>提供备用车辆</p>\n      </ion-label>\n      <ion-checkbox item-end color="secondary" [(ngModel)]="accident.needBackup"></ion-checkbox>\n    </ion-item>\n    <ion-item no-lines>\n      <ion-label color="primary" stacked>详情描述（选填）</ion-label>\n      <ion-textarea class="desc" autosize rows="3" [(ngModel)]="accident.desc" placeholder="请描述事故占用车道，通行情况等">\n      </ion-textarea>\n    </ion-item>\n    <ion-item>\n      <div class="photo-wrapper">\n        <img class="thumb" *ngFor="let photo of images;let i = index;" (click)="showPhoto(images, i)" width="48" height="48" [src]="photo" alt="">\n        <div class="btn-wrapper">\n          <div class="btn-icon" tappable (click)="getPicture()">\n            <ion-icon name="camera"></ion-icon>\n          </div>\n        </div>\n      </div>\n    </ion-item>\n  </ion-list>\n  <div padding-horizontal>\n    <button ion-button block (click)="commit()">上报</button>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/home/accident/accident.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_4__service_OrderService__["a" /* OrderService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */]])
    ], AccidentPage);
    return AccidentPage;
}());

//# sourceMappingURL=accident.js.map

/***/ })

});
//# sourceMappingURL=34.js.map