webpackJsonp([5],{

/***/ 777:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignUpPageModule", function() { return SignUpPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__sign_up__ = __webpack_require__(819);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SignUpPageModule = /** @class */ (function () {
    function SignUpPageModule() {
    }
    SignUpPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__sign_up__["a" /* SignUpPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__sign_up__["a" /* SignUpPage */]),
            ],
        })
    ], SignUpPageModule);
    return SignUpPageModule;
}());

//# sourceMappingURL=sign-up.module.js.map

/***/ }),

/***/ 819:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignUpPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__sign_in_sign_in__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__service_UserService__ = __webpack_require__(170);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_NativeService__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the SignUpPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SignUpPage = /** @class */ (function () {
    function SignUpPage(navCtrl, viewCtrl, navParams, commonService, userService, nativeService, formBuilder) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.commonService = commonService;
        this.userService = userService;
        this.nativeService = nativeService;
        this.formBuilder = formBuilder;
        this.backgroundImage = 'assets/imgs/background-5.jpg';
        //验证码倒计时
        this.verifyCode = {
            verifyCodeTips: "获取验证码",
            countdown: __WEBPACK_IMPORTED_MODULE_5__providers_Constants__["i" /* COUNTDOWN_SMS */],
            disable: true
        };
        this.registerForm = this.formBuilder.group({
            verificationCode: ['', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required]],
            phone: ['', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].minLength(11)]],
            password: ['', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].minLength(6)]],
            greement: [true, [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].requiredTrue]]
        });
    }
    SignUpPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad SignUpPage');
    };
    SignUpPage.prototype.getSmsCode = function ($event) {
        var _this = this;
        //点击按钮后开始倒计时
        this.verifyCode.disable = false;
        this.settime();
        setTimeout(function () {
            _this.commonService.getSmsCode({
                mobile: _this.registerForm.controls.phone.value,
                codeType: 0
            }).subscribe(function () {
                _this.nativeService.showToast('验证发送成功!');
            }, function () {
                clearTimeout(_this.timer);
                _this.verifyCode.countdown = __WEBPACK_IMPORTED_MODULE_5__providers_Constants__["i" /* COUNTDOWN_SMS */];
                _this.verifyCode.disable = true;
            });
        }, 500);
        $event.preventDefault();
    };
    SignUpPage.prototype.confirm = function ($event) {
        var _this = this;
        this.userService.signUp(this.registerForm.controls.phone.value, this.registerForm.controls.password.value, this.registerForm.controls.verificationCode.value).subscribe(function (data) {
            _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_3__sign_in_sign_in__["a" /* SignInPage */]);
        });
        $event.stopPropagation();
    };
    /**
     * 倒计时
     */
    SignUpPage.prototype.settime = function () {
        var _this = this;
        if (this.verifyCode.countdown == 1) {
            this.verifyCode.countdown = __WEBPACK_IMPORTED_MODULE_5__providers_Constants__["i" /* COUNTDOWN_SMS */];
            this.verifyCode.verifyCodeTips = "获取验证码";
            this.verifyCode.disable = true;
            return;
        }
        else {
            this.verifyCode.countdown--;
        }
        this.verifyCode.verifyCodeTips = this.verifyCode.countdown + "s\u540E\u91CD\u65B0\u83B7\u53D6";
        this.timer = setTimeout(function () {
            _this.verifyCode.verifyCodeTips = _this.verifyCode.countdown + "s\u540E\u91CD\u65B0\u83B7\u53D6";
            _this.settime();
        }, 1000);
    };
    SignUpPage.prototype.showPolicy = function ($event) {
        this.nativeService.openUrlByBrowser('http://m.zuche.com/html5/newversion/info/policy.html');
        $event.stopPropagation();
    };
    SignUpPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    SignUpPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-sign-up',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/sign-up/sign-up.html"*/'<!--\n  Generated template for the SignUpPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>注册</ion-title>\n    <ion-buttons>\n      <button ion-button (click)="dismiss()">关闭</button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content class="transparent-header">\n  <form margin-top [formGroup]="registerForm">\n    <ion-list>\n      <ion-item>\n        <ion-icon name="shoujihao" item-start></ion-icon>\n        <ion-input type="tel" formControlName="phone" placeholder="请输入手机号"></ion-input>\n        <button ion-button item-end color="secondary" (click)="getSmsCode($event)" [disabled]="!registerForm.controls.phone.valid||!verifyCode.disable">{{verifyCode.verifyCodeTips}}</button>\n      </ion-item>\n      <ion-item>\n        <ion-icon name="yanzhengma" item-start></ion-icon>\n        <ion-input type="number" formControlName="verificationCode" placeholder="请输入验证码"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-icon name="mima" item-start></ion-icon>\n        <ion-input type="password" formControlName="password" placeholder="请输入至少6位密码"></ion-input>\n      </ion-item>\n    </ion-list>\n    <div padding-horizontal>\n      <button ion-button block type="submit" [disabled]="!registerForm.valid" (click)="confirm($event)">注 册</button>\n    </div>\n    <div padding-horizontal margin-top class="greement">\n      <ion-checkbox small formControlName="greement" color="secondary"></ion-checkbox>\n      <span>已阅读并同意<a href="javascript:;" (click)="showPolicy($event)">《租车服务条款》</a></span>\n    </div>\n  </form>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/sign-up/sign-up.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_6__service_UserService__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_7__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */]])
    ], SignUpPage);
    return SignUpPage;
}());

//# sourceMappingURL=sign-up.js.map

/***/ })

});
//# sourceMappingURL=5.js.map