webpackJsonp([6],{

/***/ 776:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ResetPasswordPageModule", function() { return ResetPasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__reset_password__ = __webpack_require__(818);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ResetPasswordPageModule = /** @class */ (function () {
    function ResetPasswordPageModule() {
    }
    ResetPasswordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__reset_password__["a" /* ResetPasswordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__reset_password__["a" /* ResetPasswordPage */]),
            ],
        })
    ], ResetPasswordPageModule);
    return ResetPasswordPageModule;
}());

//# sourceMappingURL=reset-password.module.js.map

/***/ }),

/***/ 818:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ResetPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_forms__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__sign_in_sign_in__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__service_UserService__ = __webpack_require__(170);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the ResetPasswordPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ResetPasswordPage = /** @class */ (function () {
    function ResetPasswordPage(navCtrl, viewCtrl, navParams, nativeService, commonService, userService, formBuilder) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.nativeService = nativeService;
        this.commonService = commonService;
        this.userService = userService;
        this.formBuilder = formBuilder;
        //验证码倒计时
        this.verifyCode = {
            verifyCodeTips: "获取验证码",
            countdown: __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["i" /* COUNTDOWN_SMS */],
            disable: true
        };
        this.resetForm = this.formBuilder.group({
            code: ['', [__WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required]],
            mobile: ['', [__WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].minLength(11)]],
            password: ['', [__WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].minLength(6)]],
            xpassword: ['', [__WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required]]
        });
    }
    ResetPasswordPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad ResetPasswordPage');
    };
    ResetPasswordPage.prototype.getSmsCode = function ($event) {
        var _this = this;
        //点击按钮后开始倒计时
        this.verifyCode.disable = false;
        this.settime();
        setTimeout(function () {
            _this.commonService.getSmsCode({
                mobile: _this.resetForm.controls.mobile.value,
                codeType: 2
            }).subscribe(function () {
                _this.nativeService.showToast('验证发送成功!');
            });
        }, 500);
        $event.preventDefault();
    };
    ResetPasswordPage.prototype.confirm = function () {
        var _this = this;
        if (this.resetForm.controls.password.value !== this.resetForm.controls.xpassword.value) {
            this.nativeService.showToast('两次密码不一致!');
            return;
        }
        this.userService.resetPassword(this.resetForm.controls.mobile.value, this.resetForm.controls.code.value, this.resetForm.controls.password.value, this.resetForm.controls.xpassword.value).subscribe(function () {
            _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_6__sign_in_sign_in__["a" /* SignInPage */]);
        });
    };
    ResetPasswordPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    /**
     * 倒计时
     */
    ResetPasswordPage.prototype.settime = function () {
        var _this = this;
        if (this.verifyCode.countdown == 1) {
            this.verifyCode.countdown = __WEBPACK_IMPORTED_MODULE_2__providers_Constants__["i" /* COUNTDOWN_SMS */];
            this.verifyCode.verifyCodeTips = "获取验证码";
            this.verifyCode.disable = true;
            return;
        }
        else {
            this.verifyCode.countdown--;
        }
        this.verifyCode.verifyCodeTips = this.verifyCode.countdown + "s\u540E\u91CD\u65B0\u83B7\u53D6";
        setTimeout(function () {
            _this.verifyCode.verifyCodeTips = _this.verifyCode.countdown + "s\u540E\u91CD\u65B0\u83B7\u53D6";
            _this.settime();
        }, 1000);
    };
    ResetPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-reset-password',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/reset-password/reset-password.html"*/'<!--\n  Generated template for the ResetPasswordPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>忘记密码</ion-title>\n    <ion-buttons>\n      <button ion-button (click)="dismiss()">关闭</button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <form margin-top [formGroup]="resetForm">\n    <ion-list>\n      <ion-item>\n        <ion-icon name="shoujihao" item-start></ion-icon>\n        <ion-input type="tel" formControlName="mobile" placeholder="请输入手机号"></ion-input>\n        <button ion-button item-end color="secondary" (click)="getSmsCode($event)" [disabled]="!resetForm.controls.mobile.valid||!verifyCode.disable">{{verifyCode.verifyCodeTips}}</button>\n      </ion-item>\n      <ion-item>\n        <ion-icon name="yanzhengma" item-start></ion-icon>\n        <ion-input type="number" formControlName="code" placeholder="请输入验证码"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-icon name="mima" item-start></ion-icon>\n        <ion-input type="password" formControlName="password" placeholder="请输入至少6位密码"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-icon name="mima" item-start></ion-icon>\n        <ion-input type="password" formControlName="xpassword" placeholder="请再次输入密码"></ion-input>\n      </ion-item>\n    </ion-list>\n    <div padding-horizontal>\n      <button ion-button block type="submit" [disabled]="!resetForm.valid" (click)="confirm($event)">提交</button>\n    </div>\n  </form>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/reset-password/reset-password.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_5__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_7__service_UserService__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_3__angular_forms__["a" /* FormBuilder */]])
    ], ResetPasswordPage);
    return ResetPasswordPage;
}());

//# sourceMappingURL=reset-password.js.map

/***/ })

});
//# sourceMappingURL=6.js.map