webpackJsonp([8],{

/***/ 774:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ProfilePageModule", function() { return ProfilePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__profile__ = __webpack_require__(816);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ProfilePageModule = /** @class */ (function () {
    function ProfilePageModule() {
    }
    ProfilePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__profile__["a" /* ProfilePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__profile__["a" /* ProfilePage */]),
            ],
        })
    ], ProfilePageModule);
    return ProfilePageModule;
}());

//# sourceMappingURL=profile.module.js.map

/***/ }),

/***/ 816:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ProfilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__sign_in_sign_in__ = __webpack_require__(101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_Helper__ = __webpack_require__(100);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the ProfilePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ProfilePage = /** @class */ (function () {
    function ProfilePage(navCtrl, navParams, modalCtrl, commonService, helper, storage, globalData) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.commonService = commonService;
        this.helper = helper;
        this.storage = storage;
        this.globalData = globalData;
        this.userInfo = this.globalData.user;
    }
    ProfilePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        if (!this.userInfo) {
            var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__sign_in_sign_in__["a" /* SignInPage */]);
            modal.present();
            modal.onDidDismiss(function (userInfo) {
                userInfo && (_this.userInfo = userInfo);
            });
        }
        else {
            this.commonService.getUserInfo().subscribe(function (userInfo) {
                userInfo && (_this.userInfo = userInfo);
            });
        }
    };
    ProfilePage.prototype.ionViewDidEnter = function () {
        var _this = this;
        // 变速箱
        this.helper.getDicItem(__WEBPACK_IMPORTED_MODULE_7__providers_Constants__["l" /* ID_TYPE_KEY */]).subscribe(function (list) {
            list.map(function (item) {
                if (item.itemValue == _this.userInfo.identype) {
                    _this.userInfo.identype = item.itemName;
                }
            });
        });
    };
    ProfilePage.prototype.logout = function () {
        var _this = this;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__sign_in_sign_in__["a" /* SignInPage */]);
        modal.present();
        modal.onDidDismiss(function (userInfo) {
            userInfo && (_this.userInfo = userInfo);
        });
        this.globalData.user = null;
        this.userInfo = null;
        this.storage.set('token', '');
    };
    ProfilePage.prototype.gotoRealName = function () {
        this.navCtrl.push('RealNamePage');
    };
    ProfilePage.prototype.updateInfo = function (type, title) {
        this.navCtrl.push('ProfileEditPage', { "type": type, "title": title });
    };
    ProfilePage.prototype.getLevelText = function (level) {
        return __WEBPACK_IMPORTED_MODULE_6__providers_Utils__["a" /* Utils */].getLevelText(level);
    };
    ProfilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-profile',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/profile/profile.html"*/'<!--\n  Generated template for the ProfilePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>个人资料</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list margin-top>\n    <ion-item *ngIf="userInfo?.status > 1">\n      <h3>\n        <ion-icon item-start name="ios-me-outline"></ion-icon>\n        姓名\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{userInfo?.membername}}</h3>\n      </ion-note>\n    </ion-item>\n    <ion-item *ngIf="userInfo?.status > 1">\n      <h3>\n        <ion-icon item-start name="zhengjianhao"></ion-icon>\n        证件\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{userInfo?.identype}}</h3>\n      </ion-note>\n    </ion-item>\n    <ion-item *ngIf="userInfo?.status > 1">\n      <h3>\n        <ion-icon item-start name="ios-card-outline"></ion-icon>\n        证件号\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{userInfo?.idennumber}}</h3>\n      </ion-note>\n    </ion-item>\n    <button (click)="gotoRealName()" ion-item *ngIf="userInfo?.status < 2">\n      <h3>\n        <ion-icon item-start name="zhengjianhao"></ion-icon>\n        实名认证\n      </h3>\n    </button>\n\n    <ion-item>\n      <h3>\n        <ion-icon item-start name="zhengjianhao"></ion-icon>\n        驾照认证\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{userInfo?.drivingLicenceStatus==2?\'已通过\':\'未认证\'}}</h3>\n      </ion-note>\n    </ion-item>\n\n  </ion-list>\n\n  <ion-list>\n    <button ion-item>\n      <h3>\n        <ion-icon item-start name="huiyuan"></ion-icon>\n        会员等级\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{getLevelText(userInfo?.level)}}会员</h3>\n      </ion-note>\n    </button>\n    <button ion-item>\n      <h3>\n        <ion-icon item-start name="shoujihao"></ion-icon>\n        手机号\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{userInfo?.mobile}}</h3>\n      </ion-note>\n    </button>\n    <button ion-item (click)="updateInfo(1, \'修改邮箱\')">\n      <h3>\n        <ion-icon item-start name="mail"></ion-icon>\n        邮箱\n      </h3>\n      <ion-note item-end color="disable">\n        <h3>{{userInfo?.email?userInfo.email:\'接收电子账单\'}}</h3>\n      </ion-note>\n    </button>\n    <button ion-item (click)="updateInfo(2, \'修改登录密码\')">\n      <h3>\n        <ion-icon item-start name="mima"></ion-icon>\n        修改密码\n      </h3>\n    </button>\n\n  </ion-list>\n\n  <div margin-bottom>\n    <button ion-button full color="light" class="logout" (click)="logout()">退出登录</button>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/profile/profile.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_8__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_4__providers_GlobalData__["a" /* GlobalData */]])
    ], ProfilePage);
    return ProfilePage;
}());

//# sourceMappingURL=profile.js.map

/***/ })

});
//# sourceMappingURL=8.js.map