webpackJsonp([25],{

/***/ 754:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderModalPageModule", function() { return OrderModalPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__order_modal__ = __webpack_require__(794);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OrderModalPageModule = /** @class */ (function () {
    function OrderModalPageModule() {
    }
    OrderModalPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__order_modal__["a" /* OrderModalPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__order_modal__["a" /* OrderModalPage */]),
            ],
        })
    ], OrderModalPageModule);
    return OrderModalPageModule;
}());

//# sourceMappingURL=order-modal.module.js.map

/***/ }),

/***/ 794:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_OrderService__ = __webpack_require__(385);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the OrderModalPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OrderModalPage = /** @class */ (function () {
    function OrderModalPage(navCtrl, navParams, viewCtrl, orderService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.orderService = orderService;
        this.page = 1;
        this.limit = 10;
        this.status = '0';
        this.status = navParams.get('status');
    }
    OrderModalPage.prototype.ionViewDidLoad = function () {
    };
    OrderModalPage.prototype.ionViewDidEnter = function () {
        this.loadData();
    };
    OrderModalPage.prototype.loadData = function () {
        var _this = this;
        this.orderService.getOrderList({
            page: this.page,
            limit: this.limit,
            status: this.status
        }).subscribe(function (res) {
            _this.orders = res.list;
        });
    };
    OrderModalPage.prototype.select = function (order) {
        if (!order) {
            return;
        }
        this.viewCtrl.dismiss(order);
    };
    OrderModalPage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    OrderModalPage.prototype.getStatusText = function (id) {
        var msg = '已提交';
        switch (id) {
            case 1:
                msg = '已提交';
                break;
            case 2:
            case 10:
                msg = '待支付';
                break;
            case 3:
            case 4:
                msg = '成功';
                break;
            case 5:
            case 9:
                msg = '租赁中';
                break;
            case 6:
            case 7:
                msg = '已完成';
                break;
            case 8:
                msg = '已取消';
                break;
            case 11:
                msg = '退款失败';
                break;
            default:
                msg = '未知';
                break;
        }
        return msg;
    };
    OrderModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-order-modal',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/order-modal/order-modal.html"*/'<!--\n  Generated template for the OrderModalPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-buttons start>\n      <button ion-button small clear (click)="cancel()">\n        <ion-icon name="ios-arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n    <ion-title>选择订单</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n  <ion-list margin-top *ngFor="let order of orders">\n    <!-- 状态信息 -->\n    <ion-item padding-left no-lines>\n      <h3>{{order?.vehicleNumber}}</h3>\n      <ion-note item-end color="danger">\n        <h4>{{getStatusText(order?.ordersStatus)}}</h4>\n      </ion-note>\n    </ion-item>\n    <!-- 车辆信息 -->\n    <ion-item padding-horizontal no-lines class="product">\n      <ion-row>\n        <ion-col col-4>\n          <img width="100%" height="100%" [src]="order?.vehiclePhoto"/>\n        </ion-col>\n        <ion-col>\n          <h3>{{order?.vehicleTypeName}}</h3>\n          <p>{{order?.command}}</p>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n    <!-- 付款信息 -->\n    <ion-item>\n      <h3 text-start style="float: left;">\n        <span>取车时间: {{order.pickTime | date: \'MM-dd\'}}</span>\n        <span style="margin-left: 1rem;">还车时间: {{order.returnTime | date: \'MM-dd\'}}</span>\n      </h3>\n      <ion-note item-end>\n        <button ion-button small outline (click)="select(order)">选择</button>\n      </ion-note>\n    </ion-item>\n\n  </ion-list>\n\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/order-modal/order-modal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__service_OrderService__["a" /* OrderService */]])
    ], OrderModalPage);
    return OrderModalPage;
}());

//# sourceMappingURL=order-modal.js.map

/***/ })

});
//# sourceMappingURL=25.js.map