webpackJsonp([26],{

/***/ 753:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OrderDetailPageModule", function() { return OrderDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__order_detail__ = __webpack_require__(793);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OrderDetailPageModule = /** @class */ (function () {
    function OrderDetailPageModule() {
    }
    OrderDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__order_detail__["a" /* OrderDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__order_detail__["a" /* OrderDetailPage */]),
            ],
        })
    ], OrderDetailPageModule);
    return OrderDetailPageModule;
}());

//# sourceMappingURL=order-detail.module.js.map

/***/ }),

/***/ 793:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Helper__ = __webpack_require__(100);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the OrderDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OrderDetailPage = /** @class */ (function () {
    function OrderDetailPage(navCtrl, navParams, helper, modalCtrl, orderService, nativeService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.helper = helper;
        this.modalCtrl = modalCtrl;
        this.orderService = orderService;
        this.nativeService = nativeService;
        this.isShowDetail = false;
        this.orderIcon = 'ios-checkmark-circle-outline';
        this.order = this.navParams.get('order');
        if (!this.order) {
            return;
        }
        this.formatFeeList(this.order.feeList);
        switch (this.order.status) {
            case 3:
                this.orderIcon = 'ios-warning-outline';
                break;
            case 5:
                this.orderIcon = 'ios-navigate-outline';
                break;
            case 6:
                this.orderIcon = 'ios-checkmark-circle-outline';
                break;
            case 7:
                this.orderIcon = 'ios-alert-outline';
                break;
            default:
                this.orderIcon = 'shijian';
                break;
        }
    }
    OrderDetailPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad OrderDetailPage');
    };
    OrderDetailPage.prototype.showDetail = function () {
        var _this = this;
        this.isShowDetail = !this.isShowDetail;
        setTimeout(function () {
            _this.content.scrollToBottom(200);
        }, 100);
    };
    OrderDetailPage.prototype.relet = function () {
        this.navCtrl.push('ReletPage', { 'order': this.order });
    };
    OrderDetailPage.prototype.contact = function () {
        window.location.href = 'tel:0512-80660585';
    };
    OrderDetailPage.prototype.buy = function () {
        this.navCtrl.push('AddOrderPage', { 'store': {
                cityId: this.order.pickCity,
                cityName: this.order.pickCityName,
                id: this.order.pickShop,
                name: this.order.pickShopName
            } });
    };
    OrderDetailPage.prototype.pay = function () {
        this.navCtrl.push('PaymentPage', { 'order': this.order });
    };
    OrderDetailPage.prototype.deleteOrder = function () {
        var _this = this;
        this.orderService.delete({ id: this.order.id }).subscribe(function () {
            _this.nativeService.showToast('删除成功!');
            _this.navCtrl.pop();
        });
    };
    OrderDetailPage.prototype.cancel = function () {
        var _this = this;
        var modal = this.modalCtrl.create('CancelOrderPage', {}, {
            enterAnimation: 'modal-from-bottom-enter',
            leaveAnimation: 'modal-from-bottom-leave'
        });
        modal.onDidDismiss(function (reason) {
            if (reason) {
                _this.orderService.cancel({ orderId: _this.order.id, reasonId: reason.key }).subscribe(function () {
                    _this.nativeService.showToast('取消成功!');
                    _this.helper.orderChangedHandle();
                    _this.navCtrl.goToRoot({ id: 'Order' });
                });
            }
        });
        modal.present();
    };
    OrderDetailPage.prototype.getStatusText = function (id, prePayType) {
        var msg = '已提交';
        if (id == 1) {
            msg = '已提交';
        }
        else if (id == 2) {
            if (prePayType == 1) {
                msg = '待支付';
            }
            else {
                msg = '成功';
            }
        }
        else if (id == 10) {
            msg = '待支付';
        }
        else if (id == 3 || id == 4) {
            msg = '成功';
        }
        else if (id == 5 || id == 9) {
            msg = '租赁中';
        }
        else if (id == 6 || id == 7) {
            msg = '已完成';
        }
        else if (id == 8) {
            msg = '已取消';
        }
        else if (id == 11) {
            msg = '退款失败';
        }
        return msg;
    };
    OrderDetailPage.prototype.formatFeeList = function (list) {
        if (this.order.format) {
            return;
        }
        var arr = [], map = {};
        list.forEach(function (item) {
            var key = item.orderFeeId;
            if (!map[key]) {
                map[key] = {
                    code: key,
                    title: key == 0 ? '车辆租金' : item.orderFeeName,
                    amount: item.allPrice,
                    price: item.price,
                    number: item.quantity,
                    fees: [item]
                };
            }
            else {
                map[key].amount += item.allPrice;
                map[key].number += item.quantity;
                map[key].fees.push(item);
            }
        });
        for (var key in map) {
            if (key === "0") {
                console.log(map[key]);
                map[key].price = (map[key].amount / map[key].number).toFixed(0);
            }
            arr.push(map[key]);
        }
        this.order.format = true;
        this.order.feeList = arr;
    };
    OrderDetailPage.prototype.getPayChannel = function (payType) {
        var index = payType;
        if (payType > __WEBPACK_IMPORTED_MODULE_4__providers_Constants__["p" /* PAYTYPE */].length - 1) {
            index = 0;
        }
        return __WEBPACK_IMPORTED_MODULE_4__providers_Constants__["p" /* PAYTYPE */][index];
    };
    OrderDetailPage.prototype.navigation = function () {
        var _this = this;
        if (!this.order.shopLon && !this.order.shopLat) {
            this.nativeService.showToast('该门店无法导航');
            return;
        }
        this.nativeService.getUserLocation().subscribe(function (pos) {
            if (pos) {
                _this.nativeService.navigation(pos, { lng: _this.order.shopLon, lat: _this.order.shopLat }, 0).subscribe(function () {
                });
            }
        }, function () {
            console.log('获取位置失败！');
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Content */])
    ], OrderDetailPage.prototype, "content", void 0);
    OrderDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-order-detail',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/order-detail/order-detail.html"*/'<!--\n  Generated template for the OrderDetailPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>订单详情</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n<ion-content>\n  <!-- 订单状态 -->\n  <ion-list>\n    <ion-list-header text-center>\n      <h3>\n        <ion-icon [name]="orderIcon"></ion-icon>\n        {{ getStatusText(order?.ordersStatus, order?.ordersType)}}\n      </h3>\n    </ion-list-header>\n    <ion-item no-padding>\n      <h3 padding-left float-left class="txt">取车证件</h3>\n      <h3>身份证+驾驶证+信用卡</h3>\n    </ion-item>\n    <!--<ion-item no-padding>-->\n      <!--<h3 padding-left float-left class="txt">预授权&#160;&#160;&#160;&#160;</h3>-->\n      <!--<h3>需刷信用预授权 ¥3000</h3>-->\n    <!--</ion-item>-->\n    <ion-item no-padding>\n      <h3 padding-left float-left class="txt">订单金额</h3>\n      <h3>预计订单总额 ¥{{order?.allPrice}}</h3>\n    </ion-item>\n  </ion-list>\n\n  <!-- 订单内容 -->\n  <ion-list margin-top>\n    <!-- 车辆信息 -->\n    <ion-item padding-horizontal>\n      <ion-row>\n        <ion-col col-4 text-center>\n          <ion-img width="90" height="50" [src]="order?.vehiclePhoto"></ion-img>\n        </ion-col>\n        <ion-col>\n          <h3>{{order?.vehicleTypeName}}</h3>\n          <p>{{order?.vehicleDesc}}</p>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n    <!-- 取还车时间 -->\n    <ion-item padding-horizontal>\n      <ion-row text-center>\n        <ion-col>\n          <p>取车时间</p>\n          <h2 class="time">{{order?.pickTime | date: \'HH:mm\'}}</h2>\n          <h3>{{order?.pickTime | date: \'MM-dd\'}}</h3>\n        </ion-col>\n        <ion-col align-self-center>\n          <h2 class="total">{{order?.period}}</h2>\n          <p>天</p>\n        </ion-col>\n        <ion-col>\n          <p>还车时间</p>\n          <h2 class="time">{{order?.returnTime | date: \'HH:mm\'}}</h2>\n          <h3>{{order?.returnTime | date: \'MM-dd\'}}</h3>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n    <!-- 取车门店 -->\n    <ion-item padding-horizontal (click)="navigation()">\n      <h3 float-left class="txt">取车门店</h3>\n      <h3>{{order?.pickCityName}} {{order?.pickShopName}}</h3>\n      <ion-note item-end>\n        <ion-icon color="secondary" name="location"></ion-icon>\n      </ion-note>\n    </ion-item>\n    <!-- 还车门店 -->\n    <ion-item padding-horizontal>\n      <h3 float-left class="txt">还车门店</h3>\n      <h3>{{order?.returnCityName}} {{order?.returnShopName}}</h3>\n      <ion-note item-end>\n        <ion-icon color="secondary" name="location"></ion-icon>\n      </ion-note>\n    </ion-item>\n  </ion-list>\n\n  <!-- 订单信息 -->\n  <ion-list margin-top>\n    <ion-item>\n      <p>订单编号: {{order?.id}}</p>\n      <p>下单时间: {{order?.createTime | date:\'yyyy-MM-dd HH:mm:ss\'}}</p>\n    </ion-item>\n    <ion-item>\n      <p>支付方式: {{getPayChannel(order?.payChannel)}}</p>\n    </ion-item>\n    <!--<ion-item>-->\n      <!--<p>发票类型: {{order.invoice ? order.invoice.type : \'不开发票\'}}</p>-->\n      <!--<p *ngIf="order.invoice && order.invoice.title">发票抬头: {{order.invoice.title}}</p>-->\n    <!--</ion-item>-->\n  </ion-list>\n\n  <!-- 费用信息 -->\n  <ion-list margin-top class="cost">\n    <ion-item no-padding>\n      <p padding-left>费用明细</p>\n    </ion-item>\n    <ion-item no-padding *ngFor="let item of order?.feeList">\n      <h3 padding-left float-left class="txt">{{item.title}}</h3>\n      <!--<h3 *ngIf="!item.code">¥{{item.amount}}x{{item.number}}</h3>-->\n      <h3>¥{{item.price}}x{{item.number}}</h3>\n      <ion-note item-end color="disable">\n        <h3>¥{{item.amount}}</h3>\n      </ion-note>\n    </ion-item>\n    <!--<ion-item no-padding>-->\n      <!--<h3 padding-left float-left class="txt">基本保险</h3>-->\n      <!--<h3>¥{{order.insurance.price}}x{{order.insurance.count}}</h3>-->\n      <!--<ion-note item-end color="disable">-->\n        <!--<h3>¥{{order.insurance.amount}}</h3>-->\n      <!--</ion-note>-->\n    <!--</ion-item>-->\n    <!--<ion-item no-padding [hidden]="order.otherCost.length == 0">-->\n      <!--<h3 padding-left float-left class="txt">其他费用</h3>-->\n      <!--<h3 (click)="showDetail()">-->\n        <!--合计-->\n        <!--<ion-icon [name]="isShowDetail ? \'ios-arrow-up\':\'ios-arrow-down\'"></ion-icon>-->\n      <!--</h3>-->\n      <!--<ion-note item-end color="disable">-->\n        <!--<h3>¥{{order.otherCost.total}}</h3>-->\n      <!--</ion-note>-->\n    <!--</ion-item>-->\n    <!--<div class="other-cost" [hidden]="!isShowDetail">-->\n      <!--<ion-item no-padding *ngFor="let cost of order.otherCost.detail">-->\n        <!--<h3 padding-left float-left class="txt">-{{cost.name}}</h3>-->\n        <!--<h3>¥{{cost.price}}x{{cost.count}}</h3>-->\n        <!--<ion-note item-end color="disable">-->\n          <!--<h3>¥{{cost.amount}}</h3>-->\n        <!--</ion-note>-->\n      <!--</ion-item>-->\n    <!--</div>-->\n    <ion-item no-padding>\n      <h3 padding-left float-left class="txt">费用合计</h3>\n      <ion-note item-end color="danger">\n        <h3> ¥{{order?.allPrice}}</h3>\n      </ion-note>\n    </ion-item>\n  </ion-list>\n</ion-content>\n\n<ion-footer no-border>\n  <ion-toolbar color="light">\n    <!--<ion-buttons start>-->\n      <!--<button ion-button clear *ngIf="order?.ordersStatus == 8" (click)="deleteOrder()">删除订单</button>-->\n    <!--</ion-buttons>-->\n    <ion-buttons end>\n      <button ion-button color="secondary" padding-horizontal outline *ngIf="order?.ordersStatus == 11" (click)="contact()">联系客服</button>\n      <button ion-button color="secondary" padding-horizontal outline *ngIf="order?.ordersStatus == 5" (click)="relet()">续租</button>\n      <button ion-button color="secondary" padding-horizontal outline *ngIf="(order?.ordersStatus == 2 || order?.ordersStatus == 10) && order?.ordersType == 1" (click)="pay()">去支付</button>\n      <button ion-button color="secondary" padding-horizontal outline *ngIf="order?.ordersStatus == 7" (click)="buy()">再次租车</button>\n      <button ion-button color="secondary" padding-horizontal outline *ngIf="order?.ordersStatus < 5 || order?.ordersStatus==10" (click)="cancel()">取消订单</button>\n    </ion-buttons>\n  </ion-toolbar>\n</ion-footer>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/order-detail/order-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_5__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__service_OrderService__["a" /* OrderService */],
            __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__["a" /* NativeService */]])
    ], OrderDetailPage);
    return OrderDetailPage;
}());

//# sourceMappingURL=order-detail.js.map

/***/ })

});
//# sourceMappingURL=26.js.map