webpackJsonp([3],{

/***/ 779:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ViolationPageModule", function() { return ViolationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__violation__ = __webpack_require__(821);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ViolationPageModule = /** @class */ (function () {
    function ViolationPageModule() {
    }
    ViolationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__violation__["a" /* ViolationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__violation__["a" /* ViolationPage */]),
            ],
        })
    ], ViolationPageModule);
    return ViolationPageModule;
}());

//# sourceMappingURL=violation.module.js.map

/***/ }),

/***/ 821:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ViolationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_UserService__ = __webpack_require__(170);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ViolationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ViolationPage = /** @class */ (function () {
    function ViolationPage(navCtrl, navParams, nativeService, userService) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.nativeService = nativeService;
        this.userService = userService;
        this.selectMode = false;
        this.isSelectAll = false;
        this.showRule = false;
        this.amount = 0;
        this.totalPoint = 0;
        this.ids = [];
        this.userService.getIllegal().subscribe(function (data) {
            _this.data = data;
        });
    }
    ViolationPage.prototype.ionViewDidLoad = function () {
        // console.log('ionViewDidLoad ViolationPage');
    };
    ViolationPage.prototype.toggleMode = function () {
        this.selectMode = !this.selectMode;
        this.isSelectAll = false;
        this.selectAll();
    };
    ViolationPage.prototype.selectOne = function ($event) {
        this.isSelectAll = this.data.list.every(function (item) {
            return item.checked || !item.agentable;
        });
        this.calcServiceFee();
    };
    ViolationPage.prototype.selectAll = function () {
        var _this = this;
        this.data.list.forEach(function (item) {
            item.agentable && (item.checked = _this.isSelectAll);
        });
        this.calcServiceFee();
    };
    ViolationPage.prototype.calcServiceFee = function () {
        var _this = this;
        this.amount = 0;
        this.totalPoint = 0;
        var isSelected = this.data.list.some(function (item) {
            return item.checked;
        });
        this.data.list.forEach(function (item) {
            if (item.checked) {
                _this.totalPoint += item.point;
                _this.amount += item.fine;
                _this.ids.push(item.id);
            }
        });
        isSelected && (this.amount += this.totalPoint ? Math.ceil(this.totalPoint / 3) * 500 : 100);
    };
    ViolationPage.prototype.apply = function () {
        var _this = this;
        var has = this.data && this.data.list.length && this.data.list.some(function (item) {
            return item.checked;
        });
        if (!has) {
            this.nativeService.showToast('请选择要代办的违章！');
            return;
        }
        this.userService.agency(this.ids).subscribe(function (order) {
            _this.navCtrl.push('PayPage', { 'order': order });
        });
    };
    ViolationPage.prototype.getRestultText = function (status) {
        var text = '未处理';
        switch (status) {
            case -1:
                text = '查询失败';
                break;
            case 1:
                text = '未处理';
                break;
            case 2:
                text = '处理中';
                break;
            case 3:
                text = '已处理';
                break;
            default:
                text = '未知';
                break;
        }
        return text;
    };
    ViolationPage.prototype.getTextColor = function (status) {
        var color = '';
        switch (status) {
            case -1:
                color = 'faild';
                break;
            case 1:
                color = 'primary';
                break;
            case 2:
                color = 'process';
                break;
            case 3:
                color = 'success';
                break;
            default:
                color = '';
                break;
        }
        return color;
    };
    ViolationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-violation',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/violation/violation.html"*/'<!--\n  Generated template for the ViolationPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>违章处理</ion-title>\n    <ion-buttons end>\n      <button ion-button icon-only (click)="showRule = true">\n        <ion-icon name="ios-information-circle-outline"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n  <ion-item [hidden]="!data?.untreated">\n    <ion-row>\n      <ion-col>\n        <h3>未处理违章 <span class="title">{{data?.untreated}}</span></h3>\n      </ion-col>\n      <ion-col text-center>\n        <h3>扣分 <span class="title">{{data?.totalPoints}}</span></h3>\n      </ion-col>\n      <ion-col text-end>\n        <h3>罚款 <span class="title">￥{{data?.totalFine}}</span></h3>\n      </ion-col>\n    </ion-row>\n  </ion-item>\n  <ion-list margin-top *ngFor="let item of data?.list">\n    <ion-item>\n      <p>{{item.time | date: \'yyyy-MM-dd HH:mm\'}}</p>\n      <ion-note item-end [class]="getTextColor(item.queryResult)">\n        <h3>{{getRestultText(item.queryResult)}}</h3>\n      </ion-note>\n      <ion-checkbox *ngIf="selectMode" [disabled]="!item.agentable" [(ngModel)]="item.checked" (ionChange)="selectOne($event)"></ion-checkbox>\n    </ion-item>\n    <ion-item>\n      <h3>{{item.numbers}}</h3>\n      <p>{{item.reason}}</p>\n      <p>{{item.cityName}}{{item.address}}</p>\n      <ion-row>\n        <ion-col>\n          <h3>扣分{{item.point}}</h3>\n        </ion-col>\n        <ion-col>\n          <h3>罚款￥{{item.fine}}</h3>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n  </ion-list>\n\n</ion-content>\n\n<ion-footer no-border>\n  <ion-toolbar color="light">\n    <ion-checkbox [hidden]="!selectMode" [(ngModel)]="isSelectAll" (click)="selectAll()"></ion-checkbox>\n    <ion-buttons start>\n      <button ion-button color="dark" clear (click)="toggleMode()">选择代办</button>\n    </ion-buttons>\n    <ion-buttons end>\n      <button ion-button clear color="danger" margin-end [hidden]="amount == 0">¥{{amount}}</button>\n      <button padding-horizontal ion-button color="primary" [disabled]="amount == 0" solid (click)="apply()">去缴费</button>\n    </ion-buttons>\n  </ion-toolbar>\n</ion-footer>\n\n<div [hidden]="!showRule" class="animated fadeIn rules" ontouchmove="event.preventDefault();event.stopPropagation();">\n  <div class="rule-wrapper">\n    <h4 text-center>代办规则</h4>\n    <hr>\n    <ion-list class="rule">\n      <ion-item color="dark" text-wrap>\n        <p>1.部分地区特殊违章需要身份证、行驶证、驾驶证原件</p>\n        <p>2.如您的车辆需要年审，请在车辆年审前，提前三天办理违章</p>\n        <p>3.一次性扣12分，不予代办</p>\n        <p>4.办理时间：3-7个工作日</p>\n      </ion-item>\n      <ion-item color="dark">\n        <h3>温馨提示</h3>\n        <p>出行请谨慎，遵守交通规则！美牛祝您一路平安！</p>\n      </ion-item>\n    </ion-list>\n  </div>\n  <div class="rule-close">\n    <button style="width: 32px; height: 32px;" ion-button color="light" clear icon-only (click)="showRule=false">\n      <ion-icon name="ios-close-circle-outline"></ion-icon>\n    </button>\n  </div>\n</div>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/violation/violation.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_3__service_UserService__["a" /* UserService */]])
    ], ViolationPage);
    return ViolationPage;
}());

//# sourceMappingURL=violation.js.map

/***/ })

});
//# sourceMappingURL=3.js.map