webpackJsonp([32],{

/***/ 747:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddOrderPageModule", function() { return AddOrderPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__add_order__ = __webpack_require__(787);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AddOrderPageModule = /** @class */ (function () {
    function AddOrderPageModule() {
    }
    AddOrderPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__add_order__["a" /* AddOrderPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__add_order__["a" /* AddOrderPage */]),
            ],
        })
    ], AddOrderPageModule);
    return AddOrderPageModule;
}());

//# sourceMappingURL=add-order.module.js.map

/***/ }),

/***/ 787:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddOrderPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__store_city_city__ = __webpack_require__(171);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__store_store_modal_store_modal__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_8_rxjs_Observable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the AddOrderPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AddOrderPage = /** @class */ (function () {
    function AddOrderPage(navCtrl, navParams, modalCtrl, nativeService, fb) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.nativeService = nativeService;
        this.fb = fb;
        this.mode = 0;
        this.title = this.mode == 0 ? '到店取还' : '上门送取';
        this.msg = '部分城市指定区域，免费上门送取车！';
        this.order = {
            pickUp: {
                city: {
                    id: 0,
                    names: ''
                },
                store: {
                    id: 0,
                    deptName: '',
                    phone: ''
                },
                pickUpDate: 0,
                pickUpTime: 0,
                pickUpType: 0
            },
            return: {
                city: {
                    id: 0,
                    names: ''
                },
                store: {
                    id: 0,
                    name: '',
                    phone: ''
                },
                returnDate: 0,
                returnTime: 0,
                returnType: 0
            },
            orderType: 0,
            mode: {}
        };
        var store = this.navParams.get('store');
        console.log(store);
        if (store) {
            this.order.pickUp.city.id = store.cityId;
            this.order.return.city.id = store.cityId;
            this.order.pickUp.city.names = store.cityName;
            this.order.return.city.names = store.cityName;
            this.order.pickUp.store.id = store.id;
            this.order.return.store.id = store.id;
            this.order.pickUp.store.name = store.name;
            this.order.return.store.name = store.name;
        }
        this.form = fb.group({
            pickUpStore: [this.order ? this.order.pickUp.store.name : '', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required],
            returnStore: [this.order ? this.order.return.store.name : '', __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required]
        });
        var now = new Date();
        var day = now.getDate();
        var hours = now.getHours();
        var min = now.getMinutes();
        var add = min >= 30 ? 60 - min : 30 - min;
        var next = new Date(now.setHours(hours + 2, min + add));
        if (next.getHours() < 6) {
            now.setHours(6, 0);
        }
        else if (next.getHours() > 21) {
            now.setDate(day + 1);
            now.setHours(6, 0);
        }
        this.order.pickUp.pickUpDate = new Date(now.getFullYear(), now.getMonth(), now.getDate(), now.getHours(), now.getMinutes()).getTime();
        this.order.pickUp.pickUpTime = now.getHours() * 60 * 60 * 1000 + now.getMinutes() * 60 * 1000;
        this.order.return.returnDate = new Date(now.getFullYear(), now.getMonth(), now.getDate() + 2, now.getHours(), now.getMinutes()).getTime();
        this.order.return.returnTime = now.getHours() * 60 * 60 * 1000 + now.getMinutes() * 60 * 1000;
    }
    AddOrderPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        if (this.order.pickUp.city.id === 0) {
            this.nativeService.getUserLocation().subscribe(function (pos) {
                var observable = __WEBPACK_IMPORTED_MODULE_8_rxjs_Observable__["Observable"].create(function (observer) {
                    AMap.service('AMap.Geocoder', function () {
                        //实例化Geocoder
                        var geocoder = new AMap.Geocoder({
                            city: "010" //城市，默认：“全国”
                        });
                        //TODO: 使用geocoder 对象完成相关功能
                        geocoder.getAddress([pos.lng, pos.lat], function (status, result) {
                            if (status === 'complete' && result.info === 'OK') {
                                //获得了有效的地址信息:
                                observer.next(result.regeocode.addressComponent);
                                observer.complete();
                            }
                            else {
                                //获取地址失败
                                observer.error();
                            }
                        });
                    });
                });
                observable.subscribe({
                    next: function (city) {
                        _this.order.pickUp.city.id = city.adcode;
                        _this.order.pickUp.city.names = city.city;
                        _this.order.return.city.id = city.adcode;
                        _this.order.return.city.names = city.city;
                    },
                    error: function (err) {
                        _this.order.pickUp.city.id = 110100;
                        _this.order.pickUp.city.names = '北京';
                        _this.order.return.city.id = 110100;
                        _this.order.return.city.names = '北京';
                    }
                });
            });
        }
    };
    AddOrderPage.prototype.getCurrentCity = function () {
        var _this = this;
        this.nativeService.getUserLocation().subscribe(function (pos) {
            var that = _this;
            var observable = __WEBPACK_IMPORTED_MODULE_8_rxjs_Observable__["Observable"].create(function (observer) {
                AMap.service('AMap.Geocoder', function () {
                    //实例化Geocoder
                    var geocoder = new AMap.Geocoder({
                        city: "010" //城市，默认：“全国”
                    });
                    //TODO: 使用geocoder 对象完成相关功能
                    geocoder.getAddress([pos.lng, pos.lat], function (status, result) {
                        if (status === 'complete' && result.info === 'OK') {
                            //获得了有效的地址信息:
                            observer.next(result.regeocode.addressComponent);
                            observer.complete();
                        }
                        else {
                            //获取地址失败
                            observer.error();
                        }
                    });
                });
            });
            observable.subscribe({
                next: function (city) {
                    _this.order.pickUp.city.id = city.adcode;
                    _this.order.pickUp.city.names = city.city;
                    _this.order.return.city.id = city.adcode;
                    _this.order.return.city.names = city.city;
                },
                error: function (err) {
                    _this.order.pickUp.city.id = 110100;
                    _this.order.pickUp.city.names = '北京';
                    _this.order.return.city.id = 110100;
                    _this.order.return.city.names = '北京';
                },
                complete: function () { return console.log('done'); }
            });
        });
    };
    AddOrderPage.prototype.changePickUpType = function ($event) {
        this.order.pickUp.pickUpType = this.order.pickUp.pickUpType == 0 ? 1 : 0;
        $event.stopPropagation();
        $event.preventDefault();
    };
    AddOrderPage.prototype.changeReturnType = function ($event) {
        this.order.return.returnType = this.order.return.returnType == 0 ? 1 : 0;
        $event.stopPropagation();
        $event.preventDefault();
    };
    /**
     * 选择用车城市
     * @param dur
     */
    AddOrderPage.prototype.selectCity = function (dur) {
        var _this = this;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__store_city_city__["a" /* CityPage */]);
        modal.present();
        modal.onDidDismiss(function (city) {
            city && dur == 1 && (_this.order.pickUp.city = city, _this.order.return.city = city);
            city && dur == 2 && (_this.order.return.city = city, _this.order.return.store = { id: 0, name: '' }, _this.form.patchValue({
                returnStore: ''
            }));
        });
    };
    /**
     * 选择取还车门店
     * @param isPick
     */
    AddOrderPage.prototype.selectStore = function (isPick) {
        var _this = this;
        if (isPick && !this.order.pickUp.city.id) {
            this.nativeService.alert('请先选择取车城市');
            return;
        }
        if (!isPick && !this.order.return.city.id) {
            this.nativeService.alert('请先选择还车城市');
            return;
        }
        var city = isPick ? this.order.pickUp.city : this.order.return.city;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__store_store_modal_store_modal__["a" /* StoreModalPage */], { cityId: city.id });
        modal.present();
        modal.onDidDismiss(function (store) {
            store && isPick && (_this.order.pickUp.store = store, _this.order.return.store = store, _this.form.setValue({
                pickUpStore: store.name,
                returnStore: store.name
            }));
            store && !isPick && (_this.order.return.store = store, _this.form.patchValue({
                returnStore: store.name
            }));
        });
    };
    /**
     * 选择取车时间
     */
    AddOrderPage.prototype.selectStartDate = function () {
        var _this = this;
        function formatDate(count) {
            var arr = [], date = new Date();
            if (date.getHours() + 2 < 21) {
                arr.push({
                    id: new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() + '',
                    value: __WEBPACK_IMPORTED_MODULE_6__providers_Constants__["r" /* TODAY */]
                });
            }
            for (var i = 1; i <= count; i++) {
                date.setDate(date.getDate() + 1);
                arr.push({
                    id: new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() + '',
                    value: __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(date.getMonth() + 1) + "\u6708" + __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(date.getDate()) + "\u65E5 " + __WEBPACK_IMPORTED_MODULE_6__providers_Constants__["t" /* WEEKS */][date.getDay()]
                });
            }
            return arr;
        }
        function formatTime(date) {
            var arr = [], current = new Date(), hours = current.getHours(), min = current.getMinutes(), add = min >= 30 ? 60 - min : 30 - min, today = new Date(+date);
            if (current.getMonth() === today.getMonth() && current.getDate() === today.getDate()) {
                current.setHours(hours + 2, min + add - 30);
            }
            else {
                current.setHours(6, -30);
            }
            while (current.getHours() < 21) {
                current.setMinutes(current.getMinutes() + 30);
                arr.push({
                    id: current.getHours() * 60 * 60 * 1000 + current.getMinutes() * 60 * 1000,
                    value: __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(current.getHours()) + ":" + __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(current.getMinutes())
                });
            }
            return arr;
        }
        var dateDate = function (callback) {
            callback(formatDate(60));
        };
        var timeData = function timeData(date, callback) {
            callback(formatTime(date));
        };
        var iosSelect = new IosSelect(2, [dateDate, timeData], {
            title: '选择取车时间',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: this.order.pickUp.pickUpDate - this.order.pickUp.pickUpTime,
            twoLevelId: this.order.pickUp.pickUpTime,
            showLoading: true,
            callback: function (selectDate, selectTime) {
                _this.order.pickUp.pickUpDate = (+selectDate.id) + (+selectTime.id);
                _this.order.pickUp.pickUpTime = +selectTime.id;
                _this.order.return.returnDate = _this.order.pickUp.pickUpDate + 48 * 60 * 60 * 1000;
                setTimeout(function () {
                    _this.selectEndDate();
                }, 300);
            }
        });
    };
    /**
     * 选择还车时间
     */
    AddOrderPage.prototype.selectEndDate = function () {
        var _this = this;
        var This = this;
        function formatDate(count) {
            var arr = [], date = new Date(This.order.pickUp.pickUpDate);
            for (var i = 1; i <= count; i++) {
                arr.push({
                    id: new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() + '',
                    value: __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(date.getMonth() + 1) + "\u6708" + __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(date.getDate()) + "\u65E5 " + __WEBPACK_IMPORTED_MODULE_6__providers_Constants__["t" /* WEEKS */][date.getDay()]
                });
                date.setDate(date.getDate() + 1);
            }
            return arr;
        }
        function formatTime(date) {
            var arr = [], current = new Date(), pickTime = new Date(This.order.pickUp.pickUpDate), itemTime = new Date(+date);
            current.setHours(6, -30);
            if (pickTime.getMonth() == itemTime.getMonth() && pickTime.getDate() == itemTime.getDate()) {
                current.setHours(pickTime.getHours() + 1, 0);
            }
            while (current.getHours() < 21) {
                current.setMinutes(current.getMinutes() + 30);
                arr.push({
                    id: current.getHours() * 60 * 60 * 1000 + current.getMinutes() * 60 * 1000,
                    value: __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(current.getHours()) + ":" + __WEBPACK_IMPORTED_MODULE_7__providers_Utils__["a" /* Utils */].padLeft(current.getMinutes())
                });
            }
            return arr;
        }
        var dateDate = function (callback) {
            callback(formatDate(90));
        };
        var timeData = function timeData(date, callback) {
            callback(formatTime(date));
        };
        var iosSelect = new IosSelect(2, [dateDate, timeData], {
            title: '选择还车时间',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: this.order.return.returnDate - this.order.return.returnTime,
            twoLevelId: this.order.return.returnTime,
            showLoading: true,
            callback: function (selectDate, selectTime) {
                _this.order.return.returnDate = (+selectDate.id) + (+selectTime.id);
                _this.order.return.returnTime = +selectTime.id;
            }
        });
    };
    /**
     * 计算租期
     * @returns {number}
     */
    AddOrderPage.prototype.calcDays = function () {
        var mils = this.order.return.returnDate - this.order.pickUp.pickUpDate;
        var day = Math.floor(mils / 1000 / 3600 / 24);
        var hours = mils / 1000 / 3600 % 24;
        if (hours >= 4) {
            day += 1;
        }
        this.order.days = day > 1 ? day : 1;
        return this.order.days;
    };
    AddOrderPage.prototype.selectCar = function () {
        /**
         * 发送到后台校验参数 checkOrderParams
         * fromDateTime:2017-12-30 10:00
         * toDateTime:2018-01-01 10:00
         * fromCityId:1
         * fromStoreId:48
         * toCityId:1
         * toStoreId:48
         * sendAddress:
         * sendlng:
         * sendlat:
         * pickupAddress:
         * pickuplng:
         * pickuplat:
         */
        if (this.order.pickUp.store.remoteReturn == 0 && this.order.pickUp.city.id != this.order.return.city.id) {
            this.nativeService.alert('该门店不允许异地还车');
            return;
        }
        this.navCtrl.push('CarPage', { order: this.order });
    };
    AddOrderPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-add-order',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/add-order/add-order.html"*/'<!--\n  Generated template for the AddOrderPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>{{title}}</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n\n  <form [formGroup]="form" novalidate>\n\n  <ion-list>\n    <ion-item>\n      <ion-icon item-start color="primary" name="quche"></ion-icon>\n      <h3 ion-text color="disable">\n        取车位置\n      </h3>\n      <div style="font-size: 1.4rem;">\n        <span ion-text color="disable" (click)="selectCity(1)">\n          {{order.pickUp.city.names}}\n          <ion-icon name="md-arrow-dropdown"></ion-icon>\n        </span>\n        <input margin-left type="text" formControlName="pickUpStore" readonly placeholder="选择取车门店" (click)="selectStore(1)">\n      </div>\n      <!--<ion-note item-end class="pick-mode">-->\n        <!--<div class="wrap" tappable (click)="changePickUpType($event)">-->\n          <!--<span class="toggle" [class.color]="order.pickUp.pickUpType == 1">上门</span>-->\n          <!--<span class="active" [class.left]="order.pickUp.pickUpType == 1"></span>-->\n          <!--<span class="toggle" [class.color]="order.pickUp.pickUpType == 0">到店</span>-->\n        <!--</div>-->\n      <!--</ion-note>-->\n    </ion-item>\n    <ion-item>\n      <ion-icon item-start color="dark" name="huanche"></ion-icon>\n      <h3 ion-text color="disable">\n        还车位置\n      </h3>\n      <div style="font-size: 1.4rem;">\n        <span ion-text color="disable">\n          {{order.return.city.names}}\n          <ion-icon name="md-arrow-dropdown"></ion-icon>\n        </span>\n        <input margin-left type="text" formControlName="returnStore" readonly placeholder="选择还车门店">\n      </div>\n      <!--<ion-note item-end class="pick-mode">-->\n        <!--<div class="wrap" tappable (click)="changeReturnType($event)">-->\n          <!--<span class="toggle" [class.color]="order.return.returnType == 1">上门</span>-->\n          <!--<span class="active" [class.left]="order.return.returnType == 1"></span>-->\n          <!--<span class="toggle" [class.color]="order.return.returnType == 0">到店</span>-->\n        <!--</div>-->\n      <!--</ion-note>-->\n    </ion-item>\n    <ion-item>\n      <ion-icon item-start color="disable" name="shijian"></ion-icon>\n      <ion-row text-center>\n        <ion-col col-3 tappable (click)="selectStartDate()">\n          <h2>{{order.pickUp.pickUpDate | date: \'MM-dd\'}}</h2>\n          <p>{{order.pickUp.pickUpDate | date: \'HH:mm\'}}</p>\n        </ion-col>\n        <ion-col>\n          <h2 color="primary" class="hr">{{calcDays()}}</h2>\n          <h3>天</h3>\n        </ion-col>\n        <ion-col col-3 tappable (click)="selectEndDate()">\n          <h2>{{order.return.returnDate | date: \'MM-dd\'}}</h2>\n          <p>{{order.return.returnDate | date: \'HH:mm\'}}</p>\n        </ion-col>\n      </ion-row>\n    </ion-item>\n  </ion-list>\n  <div padding-horizontal>\n    <!--<span ion-text color="disable">-->\n      <!--<ion-icon name="ios-volume-up"></ion-icon>-->\n      <!--{{msg}}-->\n    <!--</span>-->\n    <button margin-top ion-button block [color]="form.valid?\'\':\'disable\'" [disabled]="!form.valid" (click)="selectCar()">\n      去选车\n    </button>\n  </div>\n\n  </form>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/order/add-order/add-order.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */]])
    ], AddOrderPage);
    return AddOrderPage;
}());

//# sourceMappingURL=add-order.js.map

/***/ })

});
//# sourceMappingURL=32.js.map