webpackJsonp([7],{

/***/ 775:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RealNamePageModule", function() { return RealNamePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__real_name__ = __webpack_require__(817);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RealNamePageModule = /** @class */ (function () {
    function RealNamePageModule() {
    }
    RealNamePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__real_name__["a" /* RealNamePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__real_name__["a" /* RealNamePage */]),
            ],
        })
    ], RealNamePageModule);
    return RealNamePageModule;
}());

//# sourceMappingURL=real-name.module.js.map

/***/ }),

/***/ 817:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RealNamePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_UserService__ = __webpack_require__(170);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Helper__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__providers_GlobalData__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the RealNamePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RealNamePage = /** @class */ (function () {
    function RealNamePage(navCtrl, navParams, viewCtrl, formBuilder, userService, commonService, helper, globalData, nativeService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.formBuilder = formBuilder;
        this.userService = userService;
        this.commonService = commonService;
        this.helper = helper;
        this.globalData = globalData;
        this.nativeService = nativeService;
        this.cardTypes = [];
        this.showBack = false;
        // this.currentType.id = this.cardTypes[0].id;
        // this.currentType.value = this.cardTypes[0].value;
        this.realNameForm = this.formBuilder.group({
            name: ['', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required]],
            cardNo: ['', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].maxLength(18)]],
            cardType: [0, [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required]],
            validDate: ['', [__WEBPACK_IMPORTED_MODULE_2__angular_forms__["f" /* Validators */].required]]
        });
    }
    RealNamePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.helper.getDicItem(__WEBPACK_IMPORTED_MODULE_7__providers_Constants__["l" /* ID_TYPE_KEY */]).subscribe(function (list) {
            list.map(function (item) {
                _this.cardTypes.push({
                    id: item.itemValue,
                    value: item.itemName
                });
            });
            if (_this.cardTypes.length > 0) {
                _this.realNameForm.patchValue({
                    cardType: _this.cardTypes[0].id
                });
                _this.currentType = _this.cardTypes[0];
            }
        });
        this.showBack = this.viewCtrl.isOverlay;
        ;
    };
    RealNamePage.prototype.selectType = function () {
        var _this = this;
        new IosSelect(1, [this.cardTypes], {
            // container: '.container',             // 容器class
            title: '选择证件类型',
            itemHeight: 50,
            itemShowCount: 3,
            oneLevelId: this.currentType.id,
            callback: function (selectOneObj) {
                _this.currentType.id = +selectOneObj.id;
                _this.currentType.value = selectOneObj.value;
            }
        });
    };
    RealNamePage.prototype.selectValidDate = function () {
        var _this = this;
        var now = new Date();
        var nowYear = now.getFullYear();
        var nowMonth = now.getMonth() + 1;
        var nowDate = now.getDate();
        // 数据初始化
        function formatYear(nowYear) {
            var arr = [];
            for (var i = nowYear; i <= nowYear + 20; i++) {
                arr.push({
                    id: i + '',
                    value: i + '年'
                });
            }
            return arr;
        }
        function formatMonth(year) {
            var arr = [], start = year == nowYear ? nowMonth : 1;
            for (var i = start; i <= 12; i++) {
                arr.push({
                    id: i + '',
                    value: i + '月'
                });
            }
            return arr;
        }
        function formatDate(count) {
            var arr = [];
            for (var i = 1; i <= count; i++) {
                arr.push({
                    id: i + '',
                    value: i + '日'
                });
            }
            return arr;
        }
        var yearData = function (callback) {
            // settimeout只是模拟异步请求，真实情况可以去掉
            // setTimeout(function() {
            callback(formatYear(nowYear));
            // }, 2000)
        };
        var monthData = function (year, callback) {
            // settimeout只是模拟异步请求，真实情况可以去掉
            // setTimeout(function() {
            callback(formatMonth(year));
            // }, 2000);
        };
        var dateData = function (year, month, callback) {
            // settimeout只是模拟异步请求，真实情况可以去掉
            // setTimeout(function() {
            if (/^(1|3|5|7|8|10|12)$/.test(month)) {
                callback(formatDate(31));
            }
            else if (/^(4|6|9|11)$/.test(month)) {
                callback(formatDate(30));
            }
            else if (/^2$/.test(month)) {
                if (year % 4 === 0 && year % 100 !== 0 || year % 400 === 0) {
                    callback(formatDate(29));
                }
                else {
                    callback(formatDate(28));
                }
            }
            else {
                throw new Error('month is illegal');
            }
        };
        var iosSelect = new IosSelect(3, [yearData, monthData, dateData], {
            title: '日期选择',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: nowYear,
            twoLevelId: nowMonth,
            threeLevelId: nowDate,
            showLoading: true,
            callback: function (selectOneObj, selectTwoObj, selectThreeObj) {
                _this.realNameForm.patchValue({
                    validDate: selectOneObj.id + "-" + selectTwoObj.id + "-" + selectThreeObj.id
                });
            }
        });
    };
    RealNamePage.prototype.save = function () {
        var _this = this;
        var params = {
            name: this.realNameForm.controls.name.value,
            cardNo: this.realNameForm.controls.cardNo.value,
            cardType: this.realNameForm.controls.cardType.value,
            validDate: new Date(this.realNameForm.controls.validDate.value).getTime()
        };
        this.userService.checkInfo(params).mergeMap(function () {
            _this.nativeService.showToast('验证通过');
            return _this.commonService.getUserInfo();
        }).subscribe(function (userInfo) {
            _this.globalData.user = userInfo;
            if (_this.viewCtrl.isOverlay) {
                _this.viewCtrl.dismiss(userInfo);
            }
            else {
                _this.navCtrl.popToRoot();
            }
        });
    };
    RealNamePage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    RealNamePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-real-name',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/real-name/real-name.html"*/'<!--\n  Generated template for the RealNamePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-buttons *ngIf="showBack" start>\n      <button ion-button small clear (click)="dismiss()">\n        <ion-icon name="ios-arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n    <ion-title>实名认证</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <form [formGroup]="realNameForm">\n    <ion-list margin-top>\n      <ion-item>\n        <ion-icon name="me-outline" class="icon-color" item-start></ion-icon>\n        <ion-input type="text" formControlName="name" placeholder="请输入真实姓名" clearInput></ion-input>\n      </ion-item>\n      <ion-item (click)="selectType()">\n        <ion-icon name="zhengjianzhao" class="icon-color" item-start></ion-icon>\n        <h3>{{currentType?.value}}</h3>\n        <input type="text" hidden formControlName="cardType" [ngModel]="currentType?.id"/>\n        <ion-icon name="ios-arrow-down" class="icon-color" item-end></ion-icon>\n      </ion-item>\n      <ion-item>\n        <ion-icon name="zhengjianhao" class="icon-color" item-start></ion-icon>\n        <ion-input type="text" formControlName="cardNo" placeholder="请输入证件号码" clearInput></ion-input>\n      </ion-item>\n      <ion-item (click)="selectValidDate()">\n        <ion-icon name="shijian" class="icon-color" item-start></ion-icon>\n        <ion-input type="text" readonly formControlName="validDate" placeholder="请选择有效期"></ion-input>\n      </ion-item>\n    </ion-list>\n\n    <div padding-horizontal>\n      <button ion-button block [disabled]="!realNameForm.valid" (click)="save()">提交</button>\n    </div>\n  </form>\n  <div class="container"></div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/real-name/real-name.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_3__service_UserService__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_4__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_8__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_5__providers_NativeService__["a" /* NativeService */]])
    ], RealNamePage);
    return RealNamePage;
}());

//# sourceMappingURL=real-name.js.map

/***/ })

});
//# sourceMappingURL=7.js.map