webpackJsonp([35],{

/***/ 100:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Helper; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_storage__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__jiguang_ionic_jpush__ = __webpack_require__(340);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_rxjs_Observable__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var Helper = /** @class */ (function () {
    function Helper(jPush, storage, events, nativeService, commonService, globalData) {
        this.jPush = jPush;
        this.storage = storage;
        this.events = events;
        this.nativeService = nativeService;
        this.commonService = commonService;
        this.globalData = globalData;
    }
    /**
     * 设置日志监控app的版本号
     */
    Helper.prototype.funDebugInit = function () {
        // if (this.nativeService.isMobile()) {
        //   this.nativeService.getVersionNumber().subscribe(version => {
        //     fundebug.appversion = version;
        //   });
        // }
    };
    /**
     * 登录成功处理
     */
    Helper.prototype.loginSuccessHandle = function (userInfo) {
        var _this = this;
        __WEBPACK_IMPORTED_MODULE_4__Utils__["a" /* Utils */].sessionStorageClear(); // 清除数据缓存
        this.globalData.user = userInfo;
        this.globalData.userId = userInfo.memberid;
        this.globalData.username = userInfo.membername;
        this.storage.get('enabled-file-cache-' + userInfo.memberid).then(function (res) {
            if (res === false) {
                _this.globalData.enabledFileCache = false;
            }
        });
        // this.loadAvatarPath(userInfo.avatarId).subscribe(avatarPath => {// 加载用户头像
        //   userInfo.avatarPath = avatarPath;
        //   this.globalData.user.avatarPath = avatarPath;
        // });
        this.setTags();
        this.setAlias();
        this.events.publish('user:login', userInfo);
        this.orderChangedHandle();
        console.log('登录成功!');
    };
    Helper.prototype.orderChangedHandle = function () {
        this.events.publish('order:change');
    };
    /**
     * 极光推送
     */
    Helper.prototype.initJpush = function () {
        if (!this.nativeService.isMobile()) {
            return;
        }
        this.jPush.init();
        this.jPush.setDebugMode(__WEBPACK_IMPORTED_MODULE_7__Constants__["n" /* IS_DEBUG */]);
        this.jPushAddEventListener();
    };
    Helper.prototype.jPushAddEventListener = function () {
        var _this = this;
        this.jPush.getUserNotificationSettings().then(function (result) {
            if (result == 0) {
                console.log('jpush-系统设置中已关闭应用推送');
            }
            else if (result > 0) {
                console.log('jpush-系统设置中打开了应用推送');
            }
        });
        // 点击通知进入应用程序时会触发的事件
        document.addEventListener('jpush.openNotification', function (event) {
            _this.setIosIconBadgeNumber(0);
            var content = _this.nativeService.isIOS() ? event['aps'].alert : event['alert'];
            console.log('jpush.openNotification' + content);
            _this.events.publish('jpush.openNotification', content);
        }, false);
        // 收到通知时会触发该事件
        document.addEventListener('jpush.receiveNotification', function (event) {
            var content = _this.nativeService.isIOS() ? event['aps'].alert : event['alert'];
            console.log('jpush.receiveNotification' + content);
        }, false);
        // 收到自定义消息时触发这个事件
        document.addEventListener('jpush.receiveMessage', function (event) {
            var message = _this.nativeService.isIOS() ? event['content'] : event['message'];
            console.log('jpush.receiveMessage' + message);
        }, false);
    };
    /**
     * 设置别名
     */
    Helper.prototype.setAlias = function () {
        if (!this.nativeService.isMobile()) {
            return;
        }
        this.jPush.setAlias({ sequence: 1, alias: this.globalData.userId + "" })
            .then(function (result) {
            console.log('jpush-设置别名成功');
            // console.log(result);
        }).catch(function (error) {
            console.log('jpush-设置别名失败:' + error.code);
        });
    };
    /**
     * 删除别名
     */
    Helper.prototype.deleteAlias = function () {
        if (!this.nativeService.isMobile()) {
            return;
        }
        this.jPush.deleteAlias({ sequence: 2 })
            .then(function (result) {
            console.log('jpush-删除别名成功');
            // console.log(result);
        }).catch(function (error) {
            console.log('jpush-设删除别名失败:' + error.code);
        });
    };
    /**
     *
     * @param tags 设置标签
     */
    Helper.prototype.setTags = function (tags) {
        if (tags === void 0) { tags = []; }
        if (!this.nativeService.isMobile()) {
            return;
        }
        if (this.nativeService.isAndroid()) {
            tags.push('android');
        }
        if (this.nativeService.isIOS()) {
            tags.push('ios');
        }
        this.jPush.setTags({ sequence: 3, tags: tags
        }).then(function (result) {
            console.log('jpush-设置标签成功');
            console.log(result);
        }).catch(function (error) {
            console.log('jpush-设置标签失败:' + error.code);
        });
    };
    /**
     * 删除标签
     * @param tags
     */
    Helper.prototype.deleteTags = function (tags) {
        if (tags === void 0) { tags = []; }
        if (!this.nativeService.isMobile()) {
            return;
        }
        this.jPush.deleteTags({ sequence: 4, tags: tags }).then(function (result) {
            console.log('jpush-删除标签成功');
            console.log(result);
        }).catch(function (error) {
            console.log('jpush-删除标签失败:' + error.code);
        });
    };
    /**
     * 设置IOS角标
     * @param badgeNumber
     */
    Helper.prototype.setIosIconBadgeNumber = function (badgeNumber) {
        if (this.nativeService.isIOS()) {
            this.jPush.setBadge(badgeNumber); // 上传badge值到jPush服务器
            this.jPush.setApplicationIconBadgeNumber(badgeNumber); // 设置应用badge值
        }
    };
    // 获取字典列表
    Helper.prototype.getDicItem = function (key) {
        var _this = this;
        if (this.globalData.dict[key]) {
            return __WEBPACK_IMPORTED_MODULE_9_rxjs_Observable__["Observable"].create(function (observer) { return observer.next(_this.globalData.dict[key]); });
        }
        else {
            return __WEBPACK_IMPORTED_MODULE_9_rxjs_Observable__["Observable"].create(function (observer) {
                _this.commonService.getDicList(key).subscribe(function (data) {
                    _this.globalData.dict[key] = data;
                    observer.next(data);
                });
            });
        }
    };
    Helper = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__jiguang_ionic_jpush__["a" /* JPush */],
            __WEBPACK_IMPORTED_MODULE_1__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_5__NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_8__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_6__GlobalData__["a" /* GlobalData */]])
    ], Helper);
    return Helper;
}());

//# sourceMappingURL=Helper.js.map

/***/ }),

/***/ 101:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignInPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Helper__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__tabs_tabs__ = __webpack_require__(102);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_forms__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__service_UserService__ = __webpack_require__(170);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










/**
 * Generated class for the SignInPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SignInPage = /** @class */ (function () {
    function SignInPage(navCtrl, navParams, viewCtrl, modalCtrl, formBuilder, storage, userService, nativeService, commonService, globalData, helper) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.formBuilder = formBuilder;
        this.storage = storage;
        this.userService = userService;
        this.nativeService = nativeService;
        this.commonService = commonService;
        this.globalData = globalData;
        this.helper = helper;
        this.submitted = false;
        this.backgroundImage = 'assets/imgs/background-5.jpg';
        this.loginForm = this.formBuilder.group({
            username: ['', [__WEBPACK_IMPORTED_MODULE_8__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_8__angular_forms__["f" /* Validators */].minLength(11), __WEBPACK_IMPORTED_MODULE_8__angular_forms__["f" /* Validators */].maxLength(11)]],
            password: ['', [__WEBPACK_IMPORTED_MODULE_8__angular_forms__["f" /* Validators */].required, __WEBPACK_IMPORTED_MODULE_8__angular_forms__["f" /* Validators */].minLength(6)]]
        });
        this.storage.get('userId').then(function (userId) {
            _this.loginForm.patchValue({ 'username': userId });
        });
    }
    SignInPage.prototype.login = function (user, $event) {
        var _this = this;
        this.submitted = true;
        this.commonService.getToken(user.username, user.password).mergeMap(function (data) {
            _this.globalData.token = data.token;
            _this.storage.set('token', data.token);
            _this.storage.set('userId', user.username);
            return _this.commonService.getUserInfo();
        }).subscribe(function (userInfo) {
            _this.submitted = false;
            _this.helper.loginSuccessHandle(userInfo);
            if (_this.viewCtrl.isOverlay) {
                _this.viewCtrl.dismiss(userInfo);
            }
            else {
                _this.navCtrl.setRoot(__WEBPACK_IMPORTED_MODULE_7__tabs_tabs__["a" /* TabsPage */]); // 重新设置首页
            }
        }, function () {
            _this.submitted = false;
        });
    };
    SignInPage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    SignInPage.prototype.gotoSignup = function () {
        var modal = this.modalCtrl.create('SignUpPage');
        modal.present();
    };
    SignInPage.prototype.gotoResetPassword = function () {
        var modal = this.modalCtrl.create('ResetPasswordPage');
        modal.present();
    };
    SignInPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-sign-in',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/sign-in/sign-in.html"*/'<!--\n  Generated template for the SignInPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header no-border>\n  <ion-navbar>\n    <ion-buttons start>\n      <button ion-button small clear color="disable" (click)="cancel()">\n        <ion-icon name="md-arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n\n<ion-content padding class="transparent-header" [ngStyle]="{\'background-image\': \'url(\' + backgroundImage +\')\'}">\n  <ion-row>\n    <ion-col>\n      <img class="logo" src="assets/imgs/logo.png" />\n    </ion-col>\n  </ion-row>\n  <div padding>\n    <form [formGroup]="loginForm">\n      <ion-row>\n        <ion-col>\n          <ion-list inset class="no-border">\n            <ion-item>\n              <ion-label>账号</ion-label>\n              <ion-input type="number" placeholder="请输入手机号" formControlName="username" max="11"></ion-input>\n            </ion-item>\n            <ion-item>\n              <ion-label>密码</ion-label>\n              <ion-input type="password" placeholder="请输入密码" formControlName="password"></ion-input>\n            </ion-item>\n          </ion-list>\n        </ion-col>\n      </ion-row>\n      <ion-row>\n        <ion-col padding-horizontal>\n          <button ion-button block (click)="login(loginForm.value, $event)" [disabled]="!loginForm.valid" [color]="loginForm.valid?\'primary\':\'disable\'">登录</button>\n        </ion-col>\n      </ion-row>\n    </form>\n    <ion-row>\n      <ion-col>\n        <div (click)="gotoSignup()">\n          <span>注册</span>\n        </div>\n      </ion-col>\n      <ion-col>\n        <div (click)="gotoResetPassword()">\n          <span>找回密码</span>\n        </div>\n      </ion-col>\n    </ion-row>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/user/sign-in/sign-in.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_8__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_9__service_UserService__["a" /* UserService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_4__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_5__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_6__providers_Helper__["a" /* Helper */]])
    ], SignInPage);
    return SignInPage;
}());

//# sourceMappingURL=sign-in.js.map

/***/ }),

/***/ 102:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__home_home__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var TabsPage = /** @class */ (function () {
    function TabsPage(events) {
        this.events = events;
        this.tabRoots = [
            {
                root: __WEBPACK_IMPORTED_MODULE_1__home_home__["a" /* HomePage */],
                tabTitle: '租车',
                tabIcon: 'ios-car'
            },
            {
                root: 'StoresPage',
                tabTitle: '附近',
                tabIcon: 'location'
            },
            {
                root: 'OrdersPage',
                tabTitle: '订单',
                tabIcon: 'order'
            },
            {
                root: 'MePage',
                tabTitle: '我的',
                tabIcon: 'me',
                tabBadge: 0
            }
        ];
    }
    TabsPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        this.events.subscribe('set:badge', function (num) {
            if (_this.tabRoots.length < 3) {
                return;
            }
            _this.tabRoots[3]['tabBadge'] = num;
        });
    };
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/tabs/tabs.html"*/'<ion-tabs>\n  <ion-tab *ngFor="let tabRoot of tabRoots" [root]="tabRoot.root" tabTitle="{{tabRoot.tabTitle}}"\n    tabIcon="{{tabRoot.tabIcon}}"\n    tabBadge="{{tabRoot.tabBadge?tabRoot.tabBadge:\'\'}}"\n    tabBadgeStyle="danger"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/tabs/tabs.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["h" /* Events */]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 170:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return UserService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_Logger__ = __webpack_require__(95);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var UserService = /** @class */ (function () {
    function UserService(httpService, logger) {
        this.httpService = httpService;
        this.logger = logger;
    }
    /**
     * 注册用户
     * @param phone
     * @param password
     * @param validatecode
     * @returns {Observable<any>}
     */
    UserService.prototype.signUp = function (phone, password, validatecode) {
        return this.httpService.post('/user/addUser', {
            'client_id': 'app',
            'mobile': phone,
            'password': __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(password),
            'authCode': validatecode
        });
    };
    /**
     * 重置密码
     * @param mobile
     * @param code
     * @param xpwd1
     * @param xpwd2
     * @returns {Observable<any>}
     */
    UserService.prototype.resetPassword = function (mobile, code, xpwd1, xpwd2) {
        return this.httpService.post('/user/resetPassword', {
            'mobile': mobile,
            'code': code,
            'password': __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(xpwd1),
            'xpassword': __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(xpwd2)
        });
    };
    /**
     * 更新会员信息
     * @param userInfo
     * @returns {Observable<any>}
     */
    UserService.prototype.updateMemberInfo = function (userInfo) {
        return this.httpService.post('/user/updateMemberInfo', userInfo);
    };
    /**
     * 实名认证
     * @param data
     * @returns {Observable<any>}
     */
    UserService.prototype.checkInfo = function (data) {
        return this.httpService.post('/member/checkInfo', data);
    };
    /**
     * 获取会员的优惠券
     * @returns {Observable<any>}
     */
    UserService.prototype.getCoupon = function () {
        return this.httpService.get('/member/couponInfo').map(function (res) { return res.data; });
    };
    /**
     * 新增或者修改发票
     * @param data
     * @returns {Observable<any>}
     */
    UserService.prototype.saveOrUpdateTitle = function (data) {
        return this.httpService.post('/invoice/saveOrUpdateTitle', data);
    };
    /**
     * 获取发票列表
     * @returns {Observable<any>}
     */
    UserService.prototype.getTitles = function () {
        return this.httpService.get('/invoice/getTitleList').map(function (res) { return res.data; });
    };
    /**
     * 根据发票编号删除发票
     * @param xid
     * @returns {Observable<any>}
     */
    UserService.prototype.delTitle = function (id) {
        return this.httpService.post('/invoice/delTitle', [id]);
    };
    /**
     * 新增或者修改常用地址
     * @param data
     * @returns {Observable<any>}
     */
    UserService.prototype.saveOrUpdateAddress = function (data) {
        return this.httpService.post('/invoice/saveOrUpdateAddress', data);
    };
    /**
     * 获取常用地址列表
     */
    UserService.prototype.getAddressList = function () {
        return this.httpService.get('/invoice/addressList').map(function (res) { return res.data; });
    };
    /**
     * 根据地址编号删除地址
     * @param xid
     * @returns {Observable<any>}
     */
    UserService.prototype.delAddress = function (id) {
        return this.httpService.post('/invoice/deleteAddress', [id]);
    };
    /**
     * 获取违章信息
     * @returns {Observable<any>}
     */
    UserService.prototype.getIllegal = function () {
        return this.httpService.get('/pecc/list').map(function (res) { return res.data; });
    };
    /**
     * 违章代办
     * @param data
     * @returns {Observable<any>}
     */
    UserService.prototype.agency = function (data) {
        return this.httpService.post('/peccOrder/add', data).map(function (res) { return res.data; });
    };
    UserService.prototype.updateInfo = function (oldPwd, pwd, xpwd) {
        return this.httpService.post('/user/updateMemberInfo', {
            oldPwd: __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(oldPwd),
            pwd: __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(pwd),
            xpwd: __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(xpwd)
        });
    };
    UserService.prototype.getOrderList = function () {
        return this.httpService.get('/peccOrder/list', {
            payStatus: 3
        }).map(function (res) { return res.data; });
    };
    /**
     * 获取支付宝支付签名
     * @returns {Observable<any>}
     */
    UserService.prototype.getSignForAlipay = function (params) {
        return this.httpService.get('/illegal/alipay/sign', {
            orderId: params.id
        });
    };
    /**
     * 获取微信支付签名
     * @param params
     */
    UserService.prototype.getSignForWeixin = function (params) {
        return this.httpService.get('/illegal/wxpay/sign', {
            orderId: params.id
        });
    };
    UserService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */],
            __WEBPACK_IMPORTED_MODULE_3__providers_Logger__["a" /* Logger */]])
    ], UserService);
    return UserService;
}());

//# sourceMappingURL=UserService.js.map

/***/ }),

/***/ 171:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_GlobalData__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CityPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CityPage = /** @class */ (function () {
    function CityPage(navCtrl, navParams, globalData, viewCtrl, commonService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.globalData = globalData;
        this.viewCtrl = viewCtrl;
        this.commonService = commonService;
        this.current = '上海';
        if (this.globalData.city) {
            this.groupCitys = this.formatCity(this.globalData.city);
            this.city = this.globalData.city;
        }
    }
    CityPage.prototype.ionViewDidLoad = function () {
    };
    CityPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        if (!this.groupCitys) {
            this.commonService.getCityList().subscribe(function (city) {
                _this.groupCitys = _this.formatCity(city);
                _this.globalData.city = _this.city = city;
            });
        }
    };
    CityPage.prototype.formatCity = function (citys) {
        var indexs = [], obj = {}, result = [];
        citys.forEach(function (item) {
            var index = item.enames ? item.enames.charAt(0).toUpperCase() : '#';
            if (indexs.indexOf(index) == -1) {
                indexs.push(index);
            }
        });
        indexs.sort();
        indexs.forEach(function (index) {
            obj[index] = [];
        });
        citys.forEach(function (item) {
            var index = item.enames ? item.enames.charAt(0).toUpperCase() : '#';
            obj[index].push(item);
        });
        for (var i = 0, len = indexs.length; i < len; i++) {
            var key = indexs[i];
            result.push({ "index": key, "citys": obj[key] });
        }
        return result;
    };
    CityPage.prototype.selectCity = function (city) {
        this.viewCtrl.dismiss(city);
    };
    CityPage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    CityPage.prototype.getItems = function (ev) {
        var val = ev.target.value;
        if (!val) {
            this.groupCitys = this.formatCity(this.city);
        }
        else {
            this.groupCitys = this.formatCity(this.city.filter(function (item) {
                return (item.names.indexOf(val) > -1 || item.enames.toLowerCase().indexOf(val.toLowerCase()) > -1);
            }));
        }
    };
    CityPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-city',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/store/city/city.html"*/'<!--\n  Generated template for the CityPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-buttons start>\n      <button ion-button small clear (click)="cancel()">\n        <ion-icon name="ios-arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n    <ion-title>选择城市</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <!--<ion-list style="margin-bottom: 0!important;" fixed>-->\n    <!--<ion-list-header>-->\n      <!--<p>当前城市</p>-->\n    <!--</ion-list-header>-->\n    <!--<ion-item>-->\n      <!--<h3><ion-icon name="location" color="primary"></ion-icon>{{current}}</h3>-->\n    <!--</ion-item>-->\n  <!--</ion-list>-->\n  <!--<ion-list>-->\n    <!--<ion-item-divider *ngFor="let i of groupCitys" no-padding>-->\n      <!--<p padding-left>{{i.index}}</p>-->\n      <!--<ion-item *ngFor="let city of i.citys" no-padding>-->\n        <!--<h3 padding-left>{{city.cityName}}</h3>-->\n      <!--</ion-item>-->\n    <!--</ion-item-divider>-->\n  <!--</ion-list>-->\n  <!--<div class="scroll-bar">-->\n    <!--<ul>-->\n      <!--<li *ngFor="let i of groupCitys">-->\n        <!--{{i.index}}-->\n      <!--</li>-->\n    <!--</ul>-->\n  <!--</div>-->\n  <ion-searchbar placeholder="输入城市名或者拼音" (ionInput)="getItems($event)"></ion-searchbar>\n  <ion-index-list>\n    <ion-index-section *ngFor="let i of groupCitys" [index]="i.index">\n      <ion-index-cell *ngFor="let city of i.citys" (click)="selectCity(city)">\n        {{city.names}}\n      </ion-index-cell>\n    </ion-index-section>\n  </ion-index-list>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/store/city/city.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_2__service_CommonService__["a" /* CommonService */]])
    ], CityPage);
    return CityPage;
}());

//# sourceMappingURL=city.js.map

/***/ }),

/***/ 173:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_forms__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__store_city_city__ = __webpack_require__(171);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__store_store_modal_store_modal__ = __webpack_require__(174);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__providers_GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__user_sign_in_sign_in__ = __webpack_require__(101);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var HomePage = /** @class */ (function () {
    function HomePage(navCtrl, modalCtrl, ngzone, fb, globalData, nativeService, commonService, platform) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.ngzone = ngzone;
        this.fb = fb;
        this.globalData = globalData;
        this.nativeService = nativeService;
        this.commonService = commonService;
        this.platform = platform;
        this.navOpacity = 0;
        this.order = {
            pickUp: {
                city: {
                    id: 320500,
                    names: '苏州'
                },
                store: {
                    id: 0,
                    name: '',
                    phone: ''
                },
                pickUpDate: 0,
                pickUpTime: 0,
                pickUpType: 0
            },
            return: {
                city: {
                    id: 320500,
                    names: '苏州'
                },
                store: {
                    id: 0,
                    name: '',
                    phone: ''
                },
                returnDate: 0,
                returnTime: 0,
                returnType: 0
            },
            orderType: 0,
            mode: {}
        };
        this._init();
        this.platform.ready().then(function () {
            _this.nativeService.getUserLocation().subscribe(function (pos) {
                _this.globalData.pos = pos;
                _this.geocoder(new AMap.LngLat(pos.lng, pos.lat));
            }, function () {
                console.log('定位失败!');
            });
        });
    }
    HomePage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.content.ionScroll.subscribe(function (event) {
            _this.ngzone.run(function () {
                var top = event.scrollTop;
                _this.navOpacity = top * 0.01;
            });
        });
        this.commonService.getTopics().subscribe(function (data) {
            if (data && data.length > 0) {
                _this.topics = data[0];
            }
            else {
                _this.topics = data;
            }
        });
    };
    HomePage.prototype.ionViewDidEnter = function () {
        this.navOpacity = 0;
        this.content.scrollToTop(0);
    };
    HomePage.prototype._init = function () {
        this.form = this.fb.group({
            pickUpStore: [this.order ? this.order.pickUp.store.name : '', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["f" /* Validators */].required],
            returnStore: [this.order ? this.order.return.store.name : '', __WEBPACK_IMPORTED_MODULE_4__angular_forms__["f" /* Validators */].required]
        });
        var now = new Date();
        var day = now.getDate();
        var hours = now.getHours();
        var min = now.getMinutes();
        var add = min >= 30 ? 60 - min : 30 - min;
        var next = new Date(now.setHours(hours + 2, min + add));
        if (next.getHours() < 8) {
            now.setHours(8, 0);
        }
        else if (next.getHours() > 21) {
            now.setDate(day + 1);
            now.setHours(8, 0);
        }
        this.order.pickUp.pickUpDate = new Date(now.getFullYear(), now.getMonth(), now.getDate(), now.getHours(), now.getMinutes()).getTime();
        this.order.pickUp.pickUpTime = now.getHours() * 60 * 60 * 1000 + now.getMinutes() * 60 * 1000;
        this.order.return.returnDate = new Date(now.getFullYear(), now.getMonth(), now.getDate() + 2, now.getHours(), now.getMinutes()).getTime();
        this.order.return.returnTime = now.getHours() * 60 * 60 * 1000 + now.getMinutes() * 60 * 1000;
    };
    HomePage.prototype.gotoBannerDetail = function (item) {
        this.nativeService.openUrlByBrowser(item.clickUrl);
    };
    HomePage.prototype.gotoMoreCar = function () {
        this.nativeService.showToast('暂未开通该功能...');
    };
    HomePage.prototype.gotoOrder = function (mode) {
        this.navCtrl.push('AddOrderPage', { mode: mode });
    };
    HomePage.prototype.gotoPackage = function () {
        this.nativeService.showToast('更多优惠敬请期待...');
    };
    HomePage.prototype.gotoLongRent = function () {
        this.navCtrl.push('LongRentPage');
    };
    HomePage.prototype.gotoCoupon = function () {
        this.navCtrl.push('CouponsPage');
    };
    HomePage.prototype.searchStore = function () {
        this.navCtrl.push('StoresPage');
    };
    HomePage.prototype.gotoAccident = function () {
        this.navCtrl.push('AccidentPage');
    };
    /**
     * 选择用车城市
     * @param dur
     */
    HomePage.prototype.selectCity = function (dur) {
        var _this = this;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__store_city_city__["a" /* CityPage */], {});
        modal.present();
        modal.onDidDismiss(function (city) {
            city && dur == 1 && (_this.order.pickUp.city = city
                , _this.order.return.city = city
                , _this.order.pickUp.store = { id: 0, name: '' }
                , _this.order.return.store = { id: 0, name: '' }
                , _this.form.patchValue({
                    pickUpStore: ''
                })
                , _this.form.patchValue({
                    returnStore: ''
                }));
            city && dur == 2 && (_this.order.return.city = city, _this.order.return.store = { id: 0, name: '' }, _this.form.patchValue({
                returnStore: ''
            }));
        });
    };
    /**
     * 选择取还车门店
     * @param isPick
     */
    HomePage.prototype.selectStore = function (isPick) {
        var _this = this;
        if (isPick && !this.order.pickUp.city.id) {
            this.nativeService.alert('请先选择取车城市');
            return;
        }
        if (!isPick && !this.order.return.city.id) {
            this.nativeService.alert('请先选择还车城市');
            return;
        }
        var city = isPick ? this.order.pickUp.city : this.order.return.city;
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_8__store_store_modal_store_modal__["a" /* StoreModalPage */], { cityId: city.id });
        modal.present();
        modal.onDidDismiss(function (store) {
            store && isPick && (_this.order.pickUp.store = store, _this.order.return.store = store, _this.form.setValue({
                pickUpStore: store.name,
                returnStore: store.name
            }));
            store && !isPick && (_this.order.return.store = store, _this.form.patchValue({
                returnStore: store.name
            }));
        });
    };
    /**
     * 选择取车时间
     */
    HomePage.prototype.selectStartDate = function () {
        var _this = this;
        function formatDate(count) {
            var arr = [], date = new Date();
            if (date.getHours() + 2 < 21) {
                arr.push({
                    id: new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() + '',
                    value: __WEBPACK_IMPORTED_MODULE_6__providers_Constants__["r" /* TODAY */]
                });
            }
            for (var i = 1; i <= count; i++) {
                date.setDate(date.getDate() + 1);
                arr.push({
                    id: new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() + '',
                    value: __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(date.getMonth() + 1) + "\u6708" + __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(date.getDate()) + "\u65E5 " + __WEBPACK_IMPORTED_MODULE_6__providers_Constants__["t" /* WEEKS */][date.getDay()]
                });
            }
            return arr;
        }
        function formatTime(date) {
            var arr = [], current = new Date(), hours = current.getHours(), min = current.getMinutes(), add = min >= 30 ? 60 - min : 30 - min, today = new Date(+date);
            if (current.getMonth() === today.getMonth() && current.getDate() === today.getDate()) {
                current.setHours(hours + 2, min + add - 30);
            }
            else {
                current.setHours(8, -30);
            }
            while (current.getHours() < 21) {
                current.setMinutes(current.getMinutes() + 30);
                arr.push({
                    id: current.getHours() * 60 * 60 * 1000 + current.getMinutes() * 60 * 1000,
                    value: __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(current.getHours()) + ":" + __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(current.getMinutes())
                });
            }
            return arr;
        }
        var dateDate = function (callback) {
            callback(formatDate(60));
        };
        var timeData = function timeData(date, callback) {
            callback(formatTime(date));
        };
        new IosSelect(2, [dateDate, timeData], {
            title: '选择取车时间',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: this.order.pickUp.pickUpDate - this.order.pickUp.pickUpTime,
            twoLevelId: this.order.pickUp.pickUpTime,
            showLoading: true,
            callback: function (selectDate, selectTime) {
                _this.order.pickUp.pickUpDate = (+selectDate.id) + (+selectTime.id);
                _this.order.pickUp.pickUpTime = +selectTime.id;
                _this.order.return.returnDate = _this.order.pickUp.pickUpDate + 48 * 60 * 60 * 1000;
                _this.order.return.returnTime = +selectTime.id;
                setTimeout(function () {
                    _this.selectEndDate();
                }, 300);
            }
        });
    };
    /**
     * 选择还车时间
     */
    HomePage.prototype.selectEndDate = function () {
        var _this = this;
        var This = this;
        function formatDate(count) {
            var arr = [], date = new Date(This.order.pickUp.pickUpDate);
            for (var i = 1; i <= count; i++) {
                arr.push({
                    id: new Date(date.getFullYear(), date.getMonth(), date.getDate()).getTime() + '',
                    value: __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(date.getMonth() + 1) + "\u6708" + __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(date.getDate()) + "\u65E5 " + __WEBPACK_IMPORTED_MODULE_6__providers_Constants__["t" /* WEEKS */][date.getDay()]
                });
                date.setDate(date.getDate() + 1);
            }
            return arr;
        }
        function formatTime(date) {
            var arr = [], current = new Date(), 
            // hours = current.getHours(),
            pickTime = new Date(This.order.pickUp.pickUpDate), itemTime = new Date(+date);
            // min = current.getMinutes();
            current.setHours(8, -30);
            if (pickTime.getMonth() == itemTime.getMonth() && pickTime.getDate() == itemTime.getDate()) {
                current.setHours(pickTime.getHours() + 1, 0);
            }
            while (current.getHours() < 21) {
                current.setMinutes(current.getMinutes() + 30);
                arr.push({
                    id: current.getHours() * 60 * 60 * 1000 + current.getMinutes() * 60 * 1000,
                    value: __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(current.getHours()) + ":" + __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].padLeft(current.getMinutes())
                });
            }
            return arr;
        }
        var dateDate = function (callback) {
            callback(formatDate(90));
        };
        var timeData = function timeData(date, callback) {
            callback(formatTime(date));
        };
        new IosSelect(2, [dateDate, timeData], {
            title: '选择还车时间',
            itemHeight: 35,
            itemShowCount: 5,
            oneLevelId: this.order.return.returnDate - this.order.return.returnTime,
            twoLevelId: this.order.return.returnTime,
            showLoading: true,
            callback: function (selectDate, selectTime) {
                _this.order.return.returnDate = (+selectDate.id) + (+selectTime.id);
                _this.order.return.returnTime = +selectTime.id;
            }
        });
    };
    /**
     * 计算租期
     * @returns {number}
     */
    HomePage.prototype.calcDays = function () {
        var mils = this.order.return.returnDate - this.order.pickUp.pickUpDate;
        var day = Math.floor(mils / 1000 / 3600 / 24);
        var hours = mils / 1000 / 3600 % 24;
        if (hours >= 4) {
            day += 1;
        }
        this.order.days = day > 1 ? day : 1;
        return this.order.days;
    };
    HomePage.prototype.selectCar = function () {
        var _this = this;
        /**
         * 发送到后台校验参数 checkOrderParams
         * fromDateTime:2017-12-30 10:00
         * toDateTime:2018-01-01 10:00
         * fromCityId:1
         * fromStoreId:48
         * toCityId:1
         * toStoreId:48
         * sendAddress:
         * sendlng:
         * sendlat:
         * pickupAddress:
         * pickuplng:
         * pickuplat:
         */
        if (!this.globalData.user) {
            this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_10__user_sign_in_sign_in__["a" /* SignInPage */]).present();
            return;
        }
        if (this.globalData.user.status < 2) {
            var modal = this.modalCtrl.create('RealNamePage');
            modal.onDidDismiss(function (userInfo) {
                userInfo && (_this.globalData.user = userInfo);
            });
            modal.present();
            return;
        }
        if (this.order.pickUp.store.remoteReturn == 0 && this.order.pickUp.city.id != this.order.return.city.id) {
            this.nativeService.alert('该门店不允许异地还车');
            return;
        }
        this.navCtrl.push('CarPage', { order: this.order });
    };
    HomePage.prototype.getStores = function (cityId, pos) {
        var _this = this;
        this.commonService.getStoreList(cityId, pos.lng, pos.lat).subscribe(function (data) {
            if (data.length > 0) {
                _this.order.pickUp.store = data[0];
                _this.order.return.store = data[0];
                _this.form.setValue({
                    pickUpStore: data[0].name,
                    returnStore: data[0].name
                });
            }
        });
    };
    HomePage.prototype.formatDate = function (time, format) {
        var date = new Date(time);
        return __WEBPACK_IMPORTED_MODULE_5__providers_Utils__["a" /* Utils */].dateFormat(date, format);
    };
    // 根据经纬坐标获取对应的地址
    HomePage.prototype.geocoder = function (position) {
        var that = this;
        AMap.plugin('AMap.Geocoder', function () {
            var geocoder = new AMap.Geocoder({
                // city 指定进行编码查询的城市，支持传入城市名、adcode 和 citycode
                radius: 1000,
                extensions: 'base'
            });
            var lnglat = [position.lng, position.lat];
            geocoder.getAddress(lnglat, function (status, result) {
                if (status === 'complete' && result.info === 'OK') {
                    // result为对应的地理位置详细信息
                    var cityName_1 = result.regeocode.addressComponent.district.indexOf('市') > 0 ? result.regeocode.addressComponent.district : result.regeocode.addressComponent.city || result.regeocode.addressComponent.province;
                    cityName_1 = cityName_1.slice(0, -1);
                    that.commonService.getCityByName(cityName_1).subscribe(function (data) {
                        if (data.length > 0) {
                            that.order.pickUp.city = {
                                id: +data[0].number,
                                names: cityName_1
                            };
                            that.order.return.city = {
                                id: +data[0].number,
                                names: cityName_1
                            };
                            that.getStores(+data[0].number, position);
                        }
                    });
                }
            });
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('mySlider'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["v" /* Slides */])
    ], HomePage.prototype, "slider", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* Content */])
    ], HomePage.prototype, "content", void 0);
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/home/home.html"*/'<ion-header [hidden]="navOpacity==0">\n  <ion-navbar [style.opacity]="navOpacity">\n    <ion-title>美牛租车</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content fullscreen>\n  <ion-slides #mySlider *ngIf="topics?.picList.length>0" pager loop autoplay="5000" style="width: 100%;height: 200px;" tappable>\n    <ion-slide *ngFor="let item of topics?.picList"  (click)="gotoBannerDetail(item)">\n      <img [src]="item.picUrl" [alt]="item.title">\n    </ion-slide>\n  </ion-slides>\n\n  <div class="content-wrapper">\n    <form [formGroup]="form">\n      <ion-list no-margin no-lines>\n        <ion-item class="order-item">\n          <ion-icon name="quche" color="secondary" item-start></ion-icon>\n          <div style="font-size: 1.4rem;">\n            <span ion-text color="disable" (click)="selectCity(1)">\n              {{order.pickUp.city.names}}\n              <ion-icon name="md-arrow-dropdown"></ion-icon>\n            </span>\n            <input margin-left type="text" formControlName="pickUpStore" readonly placeholder="选择取车门店" (click)="selectStore(1)"/>\n          </div>\n        </ion-item>\n        <ion-item class="order-item">\n          <ion-icon name="huanche" item-start></ion-icon>\n          <div style="font-size: 1.4rem;">\n            <span ion-text color="disable">\n              {{order.return.city.names}}\n              <ion-icon name="md-arrow-dropdown"></ion-icon>\n            </span>\n            <input margin-left type="text" formControlName="returnStore" readonly placeholder="选择还车门店"/>\n          </div>\n        </ion-item>\n        <ion-item class="order-item">\n          <ion-icon item-start color="disable" name="shijian" style="margin: 0;"></ion-icon>\n          <ion-row>\n            <ion-col text-center col-3 tappable (click)="selectStartDate()">\n              <h2>{{order.pickUp.pickUpDate | date: \'MM-dd\'}}</h2>\n              <p>{{formatDate(order.pickUp.pickUpDate, \'EE HH:mm\')}}</p>\n            </ion-col>\n            <ion-col text-center>\n              <h2 class="hr">{{calcDays()}}</h2>\n              <h3>天</h3>\n            </ion-col>\n            <ion-col text-center col-4 tappable (click)="selectEndDate()">\n              <h2>{{order.return.returnDate | date: \'MM-dd\'}}</h2>\n              <p>{{formatDate(order.return.returnDate,\'EE HH:mm\')}}</p>\n            </ion-col>\n          </ion-row>\n        </ion-item>\n      </ion-list>\n      <div padding-horizontal style="padding-top: 8px; padding-bottom: 4px;">\n        <button ion-button block [color]="form.valid?\'\':\'disable\'" [disabled]="!form.valid" (click)="selectCar()">\n          去选车\n        </button>\n      </div>\n    </form>\n  </div>\n\n  <div class="nav-wrapper">\n    <ion-grid no-padding>\n      <ion-row>\n        <ion-slides>\n          <ion-slide class="nav">\n            <ul>\n              <li>\n                <a (click)="searchStore()">\n                  <ion-icon class="nav-icon" name="search"></ion-icon>\n                  <span>门店查询</span>\n                </a>\n                <!--<a (click)="gotoPackage()">-->\n                <!--<ion-icon class="nav-icon" name="pricetags" style="color: orange;"></ion-icon>-->\n                <!--<span>超值套餐</span>-->\n                <!--</a>-->\n              </li>\n              <li>\n                <a (click)="gotoLongRent()">\n                  <ion-icon class="nav-icon" name="help-buoy"></ion-icon>\n                  <span>企业服务</span>\n                </a>\n              </li>\n              <li>\n                <a (click)="gotoCoupon()">\n                  <ion-icon class="nav-icon" name="coupon"></ion-icon>\n                  <span>领券中心</span>\n                </a>\n              </li>\n              <li>\n                <a (click)="gotoAccident()">\n                  <ion-icon class="nav-icon" name="search"></ion-icon>\n                  <span>事故上报</span>\n                </a>\n              </li>\n            </ul>\n          </ion-slide>\n          <!--<ion-slide class="nav">-->\n          <!--<ul>-->\n          <!--<li>-->\n          <!--<a (click)="searchStore()">-->\n          <!--<ion-icon class="nav-icon" name="search" style="color: lightblue;"></ion-icon>-->\n          <!--<span>门店查询</span>-->\n          <!--</a>-->\n          <!--</li>-->\n          <!--</ul>-->\n          <!--</ion-slide>-->\n        </ion-slides>\n      </ion-row>\n    </ion-grid>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/home/home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["N" /* NgZone */],
            __WEBPACK_IMPORTED_MODULE_4__angular_forms__["a" /* FormBuilder */],
            __WEBPACK_IMPORTED_MODULE_9__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_3__providers_NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_2__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 174:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StoreModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_GlobalData__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the StoreModalPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var StoreModalPage = /** @class */ (function () {
    function StoreModalPage(navCtrl, navParams, viewCtrl, modalCtrl, globalData, commonService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.globalData = globalData;
        this.commonService = commonService;
        this.current = 0;
        this.iscompleted = false;
        this.cityId = this.navParams.get("cityId") ? this.navParams.get("cityId") : 320500;
    }
    StoreModalPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        if (this.iscompleted) {
            return;
        }
        this.commonService.getStoreList(this.cityId, this.globalData.pos && this.globalData.pos.lng, this.globalData.pos && this.globalData.pos.lat).subscribe(function (data) {
            _this.iscompleted = true;
            _this.stores = _this.normalizeStore(data);
        });
    };
    /**
     * 处理系统返回的数据
     * @param {Array<any>} list
     */
    StoreModalPage.prototype.normalizeStore = function (list) {
        var map = {};
        list.sort(function (item, next) {
            return item.distance - next.distance;
        });
        list.forEach(function (item, index) {
            if (item.distance < 5) {
                item.areaName = '附近';
            }
            var key = item.areaName;
            if (!map[key]) {
                map[key] = {
                    title: key,
                    code: item.area,
                    stores: []
                };
            }
            map[key].stores.push(item);
        });
        var arr = [];
        for (var key in map) {
            arr.push(map[key]);
        }
        return arr;
    };
    StoreModalPage.prototype.selectMenu = function (index) {
        var element = document.getElementById(index.code);
        if (element) {
            element.scrollIntoView();
            this.current = index.code;
        }
    };
    StoreModalPage.prototype.selectStore = function (store) {
        this.viewCtrl.dismiss(store);
    };
    StoreModalPage.prototype.gotoDetail = function (store, $event) {
        var _this = this;
        var modal = this.modalCtrl.create('StoreDetailPage', { 'store': store }, {
            enterAnimation: 'modal-md-slide-in',
            leaveAnimation: 'modal-md-slide-out'
        });
        modal.onDidDismiss(function (data) {
            data && _this.viewCtrl.dismiss(data);
        });
        modal.present();
        $event.stopPropagation();
    };
    StoreModalPage.prototype.cancel = function () {
        this.viewCtrl.dismiss();
    };
    StoreModalPage.prototype.formatKm = function (mile) {
        if (mile < 1) {
            return Math.ceil(mile * 1000) + "\u7C73";
        }
        else if (mile < 5) {
            return mile.toFixed(1) + "\u5343\u7C73";
        }
        else {
            return '';
        }
    };
    StoreModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'page-store-modal',template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/store/store-modal/store-modal.html"*/'<!--\n  Generated template for the StoreModalPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-buttons start>\n      <button ion-button small clear (click)="cancel()">\n        <ion-icon name="ios-arrow-back"></ion-icon>\n      </button>\n    </ion-buttons>\n    <ion-title>选择门店</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <div class="list">\n    <ion-scroll scrollY="true" class="left">\n      <ion-list no-margin>\n        <ion-item class="city-title" (click)="selectMenu(item)" [class.active]="item.code==current" no-padding *ngFor="let item of stores,let i = index">\n          <h3 padding-left>{{item.title}}</h3>\n        </ion-item>\n      </ion-list>\n    </ion-scroll>\n    <ion-scroll #myScroll scrollY="true" style="width: 70%;float: right;position: absolute;top:0;right: 0; height: 100%;">\n      <ion-list no-margin>\n        <ion-item-group *ngFor="let item of stores">\n          <ion-item-divider no-margin [id]="item.code">\n            <p>{{item.title}}</p>\n          </ion-item-divider>\n          <ion-item *ngFor="let store of item.stores" (click)="selectStore(store)">\n            <h3>{{store.name}}</h3>\n            <p>{{store.address}}</p>\n            <ion-note *ngIf="store.distance <= 5" item-end color="dark">\n              <h3>{{formatKm(store.distance)}}</h3>\n            </ion-note>\n            <ion-note *ngIf="store.distance > 5" class="more" item-end color="secondary">\n              <ion-icon name="more" tappable (click)="gotoDetail(store, $event)"></ion-icon>\n            </ion-note>\n          </ion-item>\n        </ion-item-group>\n      </ion-list>\n    </ion-scroll>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/pages/store/store-modal/store-modal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["q" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["r" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["x" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_2__service_CommonService__["a" /* CommonService */]])
    ], StoreModalPage);
    return StoreModalPage;
}());

//# sourceMappingURL=store-modal.js.map

/***/ }),

/***/ 185:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 185;

/***/ }),

/***/ 229:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/home/accident/accident.module": [
		746,
		34
	],
	"../pages/home/coupons/coupons.module": [
		745,
		33
	],
	"../pages/order/add-order/add-order.module": [
		747,
		32
	],
	"../pages/order/cancel-order/cancel-order.module": [
		748,
		31
	],
	"../pages/order/car-detail/car-detail.module": [
		749,
		30
	],
	"../pages/order/car/car.module": [
		750,
		29
	],
	"../pages/order/confirm/confirm.module": [
		751,
		28
	],
	"../pages/order/long-rent/long-rent.module": [
		752,
		27
	],
	"../pages/order/order-detail/order-detail.module": [
		753,
		26
	],
	"../pages/order/order-modal/order-modal.module": [
		754,
		25
	],
	"../pages/order/orders/orders.module": [
		755,
		24
	],
	"../pages/order/payment/payment.module": [
		756,
		23
	],
	"../pages/order/position-picker/position-picker.module": [
		757,
		22
	],
	"../pages/order/relet/relet.module": [
		758,
		21
	],
	"../pages/order/rule/rule.module": [
		759,
		20
	],
	"../pages/store/city/city.module": [
		341
	],
	"../pages/store/share/share.module": [
		760,
		19
	],
	"../pages/store/store-detail/store-detail.module": [
		761,
		2
	],
	"../pages/store/store-modal/store-modal.module": [
		344
	],
	"../pages/store/stores/stores.module": [
		762,
		18
	],
	"../pages/user/about/about.module": [
		763,
		17
	],
	"../pages/user/balance/balance.module": [
		764,
		16
	],
	"../pages/user/cards/cards.module": [
		765,
		15
	],
	"../pages/user/commmproblem/commmproblem.module": [
		766,
		14
	],
	"../pages/user/coupon/coupon.module": [
		767,
		1
	],
	"../pages/user/feedback/feedback.module": [
		768,
		13
	],
	"../pages/user/invoice-detail/invoice-detail.module": [
		769,
		12
	],
	"../pages/user/invoice/invoice.module": [
		770,
		0
	],
	"../pages/user/me/me.module": [
		771,
		11
	],
	"../pages/user/pay/pay.module": [
		772,
		10
	],
	"../pages/user/profile-edit/profile-edit.module": [
		773,
		9
	],
	"../pages/user/profile/profile.module": [
		774,
		8
	],
	"../pages/user/real-name/real-name.module": [
		775,
		7
	],
	"../pages/user/reset-password/reset-password.module": [
		776,
		6
	],
	"../pages/user/sign-in/sign-in.module": [
		345
	],
	"../pages/user/sign-up/sign-up.module": [
		777,
		5
	],
	"../pages/user/violation-order/violation-order.module": [
		778,
		4
	],
	"../pages/user/violation/violation.module": [
		779,
		3
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return Promise.all(ids.slice(1).map(__webpack_require__.e)).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 229;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 30:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GlobalData; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};

var GlobalData = /** @class */ (function () {
    function GlobalData() {
        this._dict = {};
        // 设置http请求是否显示loading,注意:设置为true,接下来的请求会不显示loading,请求执行完成会自动设置为false
        this._showLoading = true;
        // 是否启用文件缓存
        this._enabledFileCache = true;
    }
    Object.defineProperty(GlobalData.prototype, "userId", {
        get: function () {
            return this._userId;
        },
        set: function (value) {
            this._userId = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "username", {
        get: function () {
            return this._username;
        },
        set: function (value) {
            this._username = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "user", {
        get: function () {
            return this._user;
        },
        set: function (value) {
            this._user = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "token", {
        get: function () {
            return this._token;
        },
        set: function (value) {
            this._token = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "city", {
        get: function () {
            return this._city;
        },
        set: function (value) {
            this._city = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "dict", {
        get: function () {
            return this._dict;
        },
        set: function (value) {
            this._dict = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "pos", {
        get: function () {
            return this._pos;
        },
        set: function (value) {
            this._pos = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "showLoading", {
        get: function () {
            return this._showLoading;
        },
        set: function (value) {
            this._showLoading = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GlobalData.prototype, "enabledFileCache", {
        get: function () {
            return this._enabledFileCache;
        },
        set: function (value) {
            this._enabledFileCache = value;
        },
        enumerable: true,
        configurable: true
    });
    GlobalData = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])()
    ], GlobalData);
    return GlobalData;
}());

//# sourceMappingURL=GlobalData.js.map

/***/ }),

/***/ 341:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CityPageModule", function() { return CityPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__city__ = __webpack_require__(171);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_index_list_index_list_module__ = __webpack_require__(387);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var CityPageModule = /** @class */ (function () {
    function CityPageModule() {
    }
    CityPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__city__["a" /* CityPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__components_index_list_index_list_module__["a" /* IndexListModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__city__["a" /* CityPage */]),
            ],
        })
    ], CityPageModule);
    return CityPageModule;
}());

//# sourceMappingURL=city.module.js.map

/***/ }),

/***/ 342:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IndexSectionComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__index_cell__ = __webpack_require__(343);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var IndexSectionComponent = /** @class */ (function () {
    function IndexSectionComponent(elementRef) {
        this.elementRef = elementRef;
        this._current = false;
    }
    IndexSectionComponent.prototype.getElementRef = function () {
        return this.elementRef;
    };
    IndexSectionComponent.prototype.ngAfterViewChecked = function () {
        if (this._listOfIndexCell && this._listOfIndexCell.length) {
            var listArray = this._listOfIndexCell.toArray();
            listArray[listArray.length - 1]._lastItem = true;
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", String)
    ], IndexSectionComponent.prototype, "index", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["s" /* ContentChildren */])(__WEBPACK_IMPORTED_MODULE_1__index_cell__["a" /* IndexCellComponent */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["U" /* QueryList */])
    ], IndexSectionComponent.prototype, "_listOfIndexCell", void 0);
    IndexSectionComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'ion-index-section',
            template: "\n    <div class=\"index-section\" [class.index-section-current]=\"_current\">\n      <!-- group-->\n      <div class=\"index-section-index\" >\n        {{index}}\n      </div>\n      <!--\u5206\u7EC4\u4E0B\u7684\u8BE6\u7EC6\u5185\u5BB9-->\n      <div class=\"index-section-main\">\n        <ng-content>\n        </ng-content>\n      </div>\n    </div>\n    ",
            styles: ["\n    .index-section-index{\n      margin: 0;\n      padding: 2px 10px 2px 10px;\n      background-color: #f0f0f5;\n      border-bottom: 1px solid rgba(7,17,27,0.1);\n    }\n    .index-section-main{\n      /*border-bottom: 1px solid #dedede;*/\n    }\n    .index-section-current .index-section-index{\n      position: sticky;\n      position: -webkit-sticky;\n      top: 0px;\n      left: 0px;\n      width: 100%;\n      z-index: 3;\n      transform: translateZ(0px);\n      transition: all 0.3s linear;\n      color: #fc9153;\n      background-color: #fff;\n    }\n  "]
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */]])
    ], IndexSectionComponent);
    return IndexSectionComponent;
}());

//# sourceMappingURL=index-section.js.map

/***/ }),

/***/ 343:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IndexCellComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};

var IndexCellComponent = /** @class */ (function () {
    function IndexCellComponent() {
        this._lastItem = false;
    }
    IndexCellComponent.prototype.ngOnInit = function () { };
    IndexCellComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'ion-index-cell',
            template: "\n      <div class=\"index-cell\">\n        <div class=\"index-cell-item\" [class.index-cell-item-last]=\"_lastItem\">\n          <ng-content></ng-content>\n        </div>\n      </div>\n    ",
            styles: ["\n      .index-cell{\n        background-color: #fff;\n        padding-left:10px\n      }\n\n      .index-cell-item{\n        box-sizing: border-box;\n        color: inherit;\n        min-height: 48px;\n        display: block;\n        overflow: hidden;\n        position: relative;\n        text-decoration: none;\n        border-bottom: 1px solid rgba(7,17,27,0.1);\n        width: 100%;\n        display: flex;\n        align-items: center;\n      }\n\n      .index-cell-item-last{\n        border-bottom: none;\n      }\n    "]
        }),
        __metadata("design:paramtypes", [])
    ], IndexCellComponent);
    return IndexCellComponent;
}());

//# sourceMappingURL=index-cell.js.map

/***/ }),

/***/ 344:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StoreModalPageModule", function() { return StoreModalPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__store_modal__ = __webpack_require__(174);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var StoreModalPageModule = /** @class */ (function () {
    function StoreModalPageModule() {
    }
    StoreModalPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__store_modal__["a" /* StoreModalPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__store_modal__["a" /* StoreModalPage */]),
            ],
        })
    ], StoreModalPageModule);
    return StoreModalPageModule;
}());

//# sourceMappingURL=store-modal.module.js.map

/***/ }),

/***/ 345:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignInPageModule", function() { return SignInPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__sign_in__ = __webpack_require__(101);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SignInPageModule = /** @class */ (function () {
    function SignInPageModule() {
    }
    SignInPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__sign_in__["a" /* SignInPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__sign_in__["a" /* SignInPage */]),
            ]
        })
    ], SignInPageModule);
    return SignInPageModule;
}());

//# sourceMappingURL=sign-in.module.js.map

/***/ }),

/***/ 385:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(85);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var OrderService = /** @class */ (function () {
    function OrderService(httpService) {
        this.httpService = httpService;
    }
    /**
     * 获取订单列表
     * @returns {Observable<any>}
     */
    OrderService.prototype.getOrderList = function (params) {
        return this.httpService.get('/base/getShortOrderList', params).map(function (res) { return res.data; });
    };
    /**
     * 获取城市列表
     * @returns {Observable<any>}
     */
    OrderService.prototype.getCityList = function () {
        return this.httpService.get('/base/cityList').map(function (res) { return res.data; });
    };
    /**
     * 获取车型列表
     * @param params
     * @returns {Observable<any>}
     */
    OrderService.prototype.getCarList = function (params) {
        return this.httpService.get('/order/carList', params).map(function (res) { return res.data; });
    };
    /**
     * 获取支付宝支付签名
     * @returns {Observable<any>}
     */
    OrderService.prototype.getSignForAlipay = function (params) {
        return this.httpService.get('/order/alipay/sign', {
            orderId: params.id
        });
    };
    /**
     * 获取微信支付签名
     * @param params
     */
    OrderService.prototype.getSignForWeixin = function (params) {
        return this.httpService.get('/order/wxpay/sign', {
            orderId: params.id
        });
    };
    /**
     * 获取订单总价
     * @param params
     */
    OrderService.prototype.getPriceInfo = function (params) {
        return this.httpService.get('/order/orderPriceInfo', params);
    };
    OrderService.prototype.availableCoupons = function (params) {
        return this.httpService.get('/order/availableCoupons', params).map(function (res) { return res.data; });
    };
    /**
     * 提交订单
     * @param params
     * @returns {Observable<any>}
     */
    OrderService.prototype.addOrder = function (params) {
        return this.httpService.post('/order/addOrder', {
            fromCityId: params.pickUp.city.id,
            toCityId: params.return.city.id,
            fromStoreId: params.pickUp.store.id,
            toStoreId: params.return.store.id,
            fromDateTime: params.pickUp.pickUpDate,
            toDateTime: params.return.returnDate,
            modelId: params.mode.id,
            level: params.mode.level,
            orderType: params.orderType,
            pickupType: params.pickUp.pickUpType,
            sendlat: 0,
            sendlng: 0,
            returnType: params.return.returnType,
            pickuplat: 0,
            pickuplng: 0,
            vipService: params.addtionals,
            prePay: params.prePay,
            prePayType: params.prePayType,
            ordersType: params.ordersType
            // couponId:0
        });
    };
    /**
     * 根据城市获取长租车型
     * @param cityId
     * @returns {Observable<any>}
     */
    OrderService.prototype.getLongOrderCarList = function (cityId) {
        return this.httpService.get('/longOrder/carList', { 'cityId': cityId }).map(function (res) { return res.data; });
    };
    /**
     * 长租订单
     * @param params
     * @returns {Observable<any>}
     */
    OrderService.prototype.addLongOrder = function (params) {
        return this.httpService.post('/longOrder/save', params);
    };
    /**
     * 获取续租总价
     * @param params
     * @returns {Observable<any>}
     */
    OrderService.prototype.getReletPrice = function (params) {
        return this.httpService.post('/order/relet', params);
    };
    /**
     * 续租
     * @param params
     * @returns {Observable<any>}
     */
    OrderService.prototype.relet = function (params) {
        return this.httpService.post('/order/reOrder', params).map(function (res) { return res.data; });
    };
    OrderService.prototype.delete = function (params) {
        return this.httpService.post('/order/delete', params);
    };
    OrderService.prototype.cancel = function (params) {
        return this.httpService.post('/order/cancel', params);
    };
    /**
     * 模拟支付操作
     * @returns {Observable<any>}
     */
    OrderService.prototype.pay = function () {
        return this.httpService.post('/mock/pay');
    };
    /**
     * 获取车辆保险
     */
    OrderService.prototype.getInsurance = function (params) {
        return this.httpService.post('/car/insurance', params).map(function (res) { return res.data; });
    };
    OrderService.prototype.reportAccident = function (params) {
        return this.httpService.post('/accident/report', params);
    };
    OrderService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], OrderService);
    return OrderService;
}());

//# sourceMappingURL=OrderService.js.map

/***/ }),

/***/ 387:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IndexListModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__index_list__ = __webpack_require__(724);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__index_section__ = __webpack_require__(342);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common__ = __webpack_require__(45);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__index_cell__ = __webpack_require__(343);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var IndexListModule = /** @class */ (function () {
    function IndexListModule() {
    }
    IndexListModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_1__index_list__["a" /* IndexListComponent */],
                __WEBPACK_IMPORTED_MODULE_2__index_section__["a" /* IndexSectionComponent */],
                __WEBPACK_IMPORTED_MODULE_4__index_cell__["a" /* IndexCellComponent */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__angular_common__["b" /* CommonModule */],
            ],
            exports: [
                __WEBPACK_IMPORTED_MODULE_1__index_list__["a" /* IndexListComponent */],
                __WEBPACK_IMPORTED_MODULE_2__index_section__["a" /* IndexSectionComponent */],
                __WEBPACK_IMPORTED_MODULE_4__index_cell__["a" /* IndexCellComponent */]
            ]
        })
    ], IndexListModule);
    return IndexListModule;
}());

//# sourceMappingURL=index-list.module.js.map

/***/ }),

/***/ 388:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(389);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(393);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 393:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* unused harmony export FunDebugErrorHandler */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(48);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_component__ = __webpack_require__(742);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_home_home__ = __webpack_require__(173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_tabs_tabs__ = __webpack_require__(102);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__ = __webpack_require__(331);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_splash_screen__ = __webpack_require__(332);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_toast__ = __webpack_require__(333);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_camera__ = __webpack_require__(334);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_network__ = __webpack_require__(330);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_app_minimize__ = __webpack_require__(335);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_in_app_browser__ = __webpack_require__(336);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__angular_common_http__ = __webpack_require__(131);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15_fundebug_javascript__ = __webpack_require__(338);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15_fundebug_javascript___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_15_fundebug_javascript__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16_ionic_gallery_modal__ = __webpack_require__(172);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__jiguang_ionic_jpush__ = __webpack_require__(340);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__providers_HttpService__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__providers_Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__providers_Helper__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__providers_GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__providers_Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__providers_JWTInterceptor__ = __webpack_require__(743);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__providers_Logger__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_store_city_city_module__ = __webpack_require__(341);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__pages_store_store_modal_store_modal_module__ = __webpack_require__(344);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__modal_transitions__ = __webpack_require__(744);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__ionic_native_diagnostic__ = __webpack_require__(337);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__service_OrderService__ = __webpack_require__(385);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32_wechat_chenyu__ = __webpack_require__(386);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__pages_user_sign_in_sign_in_module__ = __webpack_require__(345);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__service_UserService__ = __webpack_require__(170);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_35__ionic_native_app_version__ = __webpack_require__(339);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_36__ionic_native_file_transfer__ = __webpack_require__(232);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






































__WEBPACK_IMPORTED_MODULE_15_fundebug_javascript__["apikey"] = __WEBPACK_IMPORTED_MODULE_23__providers_Constants__["k" /* FUNDEBUG_API_KEY */];
__WEBPACK_IMPORTED_MODULE_15_fundebug_javascript__["releasestage"] = __WEBPACK_IMPORTED_MODULE_23__providers_Constants__["n" /* IS_DEBUG */] ? 'development' : 'production'; // 应用开发阶段，development:开发;production:生产
__WEBPACK_IMPORTED_MODULE_15_fundebug_javascript__["silent"] = !__WEBPACK_IMPORTED_MODULE_23__providers_Constants__["j" /* ENABLE_FUNDEBUG */]; //如果暂时不需要使用Fundebug，将silent属性设为true
var FunDebugErrorHandler = /** @class */ (function () {
    function FunDebugErrorHandler() {
    }
    FunDebugErrorHandler.prototype.handleError = function (err) {
        __WEBPACK_IMPORTED_MODULE_15_fundebug_javascript__["notifyError"](err);
        console.error(err);
    };
    return FunDebugErrorHandler;
}());

var AppModule = /** @class */ (function () {
    function AppModule(config) {
        this.config = config;
        this.setCustomTransitions();
    }
    AppModule.prototype.setCustomTransitions = function () {
        this.config.setTransition('modal-from-right-enter', __WEBPACK_IMPORTED_MODULE_29__modal_transitions__["c" /* ModalFromRightEnter */]);
        this.config.setTransition('modal-from-right-leave', __WEBPACK_IMPORTED_MODULE_29__modal_transitions__["d" /* ModalFromRightLeave */]);
        this.config.setTransition('modal-from-bottom-enter', __WEBPACK_IMPORTED_MODULE_29__modal_transitions__["a" /* ModalFromBottomEnter */]);
        this.config.setTransition('modal-from-bottom-leave', __WEBPACK_IMPORTED_MODULE_29__modal_transitions__["b" /* ModalFromBottomLeave */]);
        this.config.setTransition('modal-scale-enter', __WEBPACK_IMPORTED_MODULE_29__modal_transitions__["e" /* ModalScaleEnter */]);
        this.config.setTransition('modal-scale-leave', __WEBPACK_IMPORTED_MODULE_29__modal_transitions__["f" /* ModalScaleLeave */]);
    };
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["J" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_5__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_tabs_tabs__["a" /* TabsPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */], {
                    tabsHideOnSubPages: 'true',
                    backButtonText: '',
                    mode: 'ios',
                    modalEnter: 'modal-slide-in',
                    modalLeave: 'modal-slide-out'
                }, {
                    links: [
                        { loadChildren: '../pages/home/coupons/coupons.module#CouponsPageModule', name: 'CouponsPage', segment: 'coupons', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/accident/accident.module#AccidentPageModule', name: 'AccidentPage', segment: 'accident', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/add-order/add-order.module#AddOrderPageModule', name: 'AddOrderPage', segment: 'add-order', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/cancel-order/cancel-order.module#CancelOrderPageModule', name: 'CancelOrderPage', segment: 'cancel-order', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/car-detail/car-detail.module#CarDetailPageModule', name: 'CarDetailPage', segment: 'car-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/car/car.module#CarPageModule', name: 'CarPage', segment: 'car', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/confirm/confirm.module#ConfirmPageModule', name: 'ConfirmPage', segment: 'confirm', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/long-rent/long-rent.module#LongRentPageModule', name: 'LongRentPage', segment: 'long-rent', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/order-detail/order-detail.module#OrderDetailPageModule', name: 'OrderDetailPage', segment: 'order-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/order-modal/order-modal.module#OrderModalPageModule', name: 'OrderModalPage', segment: 'order-modal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/orders/orders.module#OrdersPageModule', name: 'OrdersPage', segment: 'orders', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/payment/payment.module#PaymentPageModule', name: 'PaymentPage', segment: 'payment', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/position-picker/position-picker.module#PositionPickerPageModule', name: 'PositionPickerPage', segment: 'position-picker', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/relet/relet.module#ReletPageModule', name: 'ReletPage', segment: 'relet', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/order/rule/rule.module#RulePageModule', name: 'RulePage', segment: 'rule', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/store/city/city.module#CityPageModule', name: 'CityPage', segment: 'city', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/store/share/share.module#SharePageModule', name: 'SharePage', segment: 'share', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/store/store-detail/store-detail.module#StoreDetailPageModule', name: 'StoreDetailPage', segment: 'store-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/store/store-modal/store-modal.module#StoreModalPageModule', name: 'StoreModalPage', segment: 'store-modal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/store/stores/stores.module#StoresPageModule', name: 'StoresPage', segment: 'stores', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/about/about.module#AboutPageModule', name: 'AboutPage', segment: 'about', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/balance/balance.module#BalancePageModule', name: 'BalancePage', segment: 'balance', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/cards/cards.module#CardsPageModule', name: 'CardsPage', segment: 'cards', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/commmproblem/commmproblem.module#CommmproblemPageModule', name: 'CommmproblemPage', segment: 'commmproblem', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/coupon/coupon.module#CouponPageModule', name: 'CouponPage', segment: 'coupon', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/feedback/feedback.module#FeedbackPageModule', name: 'FeedbackPage', segment: 'feedback', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/invoice-detail/invoice-detail.module#InvoiceDetailPageModule', name: 'InvoiceDetailPage', segment: 'invoice-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/invoice/invoice.module#InvoicePageModule', name: 'InvoicePage', segment: 'invoice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/me/me.module#MePageModule', name: 'MePage', segment: 'me', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/pay/pay.module#PayPageModule', name: 'PayPage', segment: 'pay', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/profile-edit/profile-edit.module#ProfileEditPageModule', name: 'ProfileEditPage', segment: 'profile-edit', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/profile/profile.module#ProfilePageModule', name: 'ProfilePage', segment: 'profile', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/real-name/real-name.module#RealNamePageModule', name: 'RealNamePage', segment: 'real-name', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/reset-password/reset-password.module#ResetPasswordPageModule', name: 'ResetPasswordPage', segment: 'reset-password', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/sign-in/sign-in.module#SignInPageModule', name: 'SignInPage', segment: 'sign-in', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/sign-up/sign-up.module#SignUpPageModule', name: 'SignUpPage', segment: 'sign-up', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/violation-order/violation-order.module#ViolationOrderPageModule', name: 'ViolationOrderPage', segment: 'violation-order', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/user/violation/violation.module#ViolationPageModule', name: 'ViolationPage', segment: 'violation', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["a" /* IonicStorageModule */].forRoot(),
                __WEBPACK_IMPORTED_MODULE_33__pages_user_sign_in_sign_in_module__["SignInPageModule"],
                __WEBPACK_IMPORTED_MODULE_27__pages_store_city_city_module__["CityPageModule"],
                __WEBPACK_IMPORTED_MODULE_28__pages_store_store_modal_store_modal_module__["StoreModalPageModule"],
                __WEBPACK_IMPORTED_MODULE_16_ionic_gallery_modal__["c" /* GalleryModalModule */],
                __WEBPACK_IMPORTED_MODULE_14__angular_common_http__["c" /* HttpClientModule */]
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_5__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_6__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_16_ionic_gallery_modal__["a" /* GalleryModal */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_toast__["a" /* Toast */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_17__jiguang_ionic_jpush__["a" /* JPush */],
                __WEBPACK_IMPORTED_MODULE_11__ionic_native_network__["a" /* Network */],
                __WEBPACK_IMPORTED_MODULE_35__ionic_native_app_version__["a" /* AppVersion */],
                __WEBPACK_IMPORTED_MODULE_12__ionic_native_app_minimize__["a" /* AppMinimize */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_in_app_browser__["a" /* InAppBrowser */],
                __WEBPACK_IMPORTED_MODULE_30__ionic_native_diagnostic__["a" /* Diagnostic */],
                __WEBPACK_IMPORTED_MODULE_36__ionic_native_file_transfer__["a" /* FileTransfer */],
                { provide: __WEBPACK_IMPORTED_MODULE_14__angular_common_http__["a" /* HTTP_INTERCEPTORS */], useClass: __WEBPACK_IMPORTED_MODULE_25__providers_JWTInterceptor__["a" /* JWTInterceptor */], multi: true },
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["v" /* ErrorHandler */], useClass: FunDebugErrorHandler },
                __WEBPACK_IMPORTED_MODULE_18__providers_NativeService__["a" /* NativeService */],
                __WEBPACK_IMPORTED_MODULE_31__service_OrderService__["a" /* OrderService */],
                __WEBPACK_IMPORTED_MODULE_19__providers_HttpService__["a" /* HttpService */],
                __WEBPACK_IMPORTED_MODULE_22__providers_GlobalData__["a" /* GlobalData */],
                __WEBPACK_IMPORTED_MODULE_20__providers_Utils__["a" /* Utils */],
                __WEBPACK_IMPORTED_MODULE_21__providers_Helper__["a" /* Helper */],
                __WEBPACK_IMPORTED_MODULE_26__providers_Logger__["a" /* Logger */],
                __WEBPACK_IMPORTED_MODULE_24__service_CommonService__["a" /* CommonService */],
                __WEBPACK_IMPORTED_MODULE_34__service_UserService__["a" /* UserService */],
                __WEBPACK_IMPORTED_MODULE_32_wechat_chenyu__["a" /* WechatChenyu */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["d" /* HAMMER_GESTURE_CONFIG */], useClass: __WEBPACK_IMPORTED_MODULE_16_ionic_gallery_modal__["b" /* GalleryModalHammerConfig */] }
            ]
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["f" /* Config */]])
    ], AppModule);
    return AppModule;
}());

Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_15" /* enableProdMode */])();
//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 42:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NativeService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__ionic_native_network__ = __webpack_require__(330);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(331);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(332);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_toast__ = __webpack_require__(333);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_camera__ = __webpack_require__(334);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_minimize__ = __webpack_require__(335);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__ = __webpack_require__(336);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_diagnostic__ = __webpack_require__(337);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__Logger__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__ionic_native_app_version__ = __webpack_require__(339);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__Constants__ = __webpack_require__(44);
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};














var NativeService = /** @class */ (function () {
    function NativeService(platform, toastCtrl, alertCtrl, statusBar, toast, camera, splashScreen, loadingCtrl, network, appVersion, logger, diagnostic, inAppBrowser, appMinimize) {
        var _this = this;
        this.platform = platform;
        this.toastCtrl = toastCtrl;
        this.alertCtrl = alertCtrl;
        this.statusBar = statusBar;
        this.toast = toast;
        this.camera = camera;
        this.splashScreen = splashScreen;
        this.loadingCtrl = loadingCtrl;
        this.network = network;
        this.appVersion = appVersion;
        this.logger = logger;
        this.diagnostic = diagnostic;
        this.inAppBrowser = inAppBrowser;
        this.appMinimize = appMinimize;
        /**
         * 获得用户当前坐标
         */
        this.getUserLocation = (function () {
            var lastTime = null; //  缓存上次获取定位时间
            var lastResult = null; //  缓存上次获取的结果
            return function () {
                return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
                    //  5秒内有获取过定位则不再重复获取
                    if (lastTime && (new Date().getTime() - lastTime < 5000)) {
                        if (lastResult) {
                            observer.next(lastResult);
                        }
                        else {
                            //  获取定位是异步,所以这里用定时,直到获取到结果
                            var timer_1 = setInterval(function () {
                                if (lastResult) {
                                    clearInterval(timer_1);
                                    observer.next(lastResult);
                                }
                            }, 1000);
                        }
                    }
                    else {
                        lastTime = new Date().getTime(); //  准备获取定位时记录时间
                        lastResult = null; //  每次重新获取时,需清空上次结果,以免下次一获取在5秒内直接返回上次结果
                        _this.getLocation().subscribe(function (res) {
                            lastTime = new Date().getTime(); //  当获取成功,重置上次获取时间
                            lastResult = res;
                            observer.next(res);
                        }, function (err) {
                            lastTime = null;
                            observer.error(err);
                        });
                    }
                });
            };
        })();
        /**
       * 只有一个确定按钮的弹出框.
       * 如果已经打开则不再打开
       */
        this.alert = (function () {
            var isExist = false;
            return function (title, subTitle, message, callBackFun) {
                if (subTitle === void 0) { subTitle = ''; }
                if (message === void 0) { message = ''; }
                if (callBackFun === void 0) { callBackFun = null; }
                if (!isExist) {
                    isExist = true;
                    _this.alertCtrl.create({
                        title: title,
                        subTitle: subTitle,
                        message: message,
                        cssClass: 'alert-zIndex-highest',
                        buttons: [{
                                text: '确定', handler: function () {
                                    isExist = false;
                                    callBackFun && callBackFun();
                                }
                            }],
                        enableBackdropDismiss: false
                    }).present();
                }
            };
        })();
        //检测app位置服务是否开启
        this.assertLocationService = (function () {
            var enabledLocationService = false; //手机是否开启位置服务
            return function () {
                return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
                    if (enabledLocationService) {
                        observer.next(true);
                    }
                    else {
                        _this.diagnostic.isLocationEnabled().then(function (enabled) {
                            if (enabled) {
                                enabledLocationService = true;
                                observer.next(true);
                            }
                            else {
                                enabledLocationService = false;
                                _this.alertCtrl.create({
                                    title: '您未开启位置服务',
                                    subTitle: '正在获取位置信息',
                                    buttons: [{ text: '取消' },
                                        {
                                            text: '去开启',
                                            handler: function () {
                                                _this.diagnostic.switchToLocationSettings();
                                            }
                                        }
                                    ]
                                }).present();
                                observer.next(false);
                            }
                        }).catch(function (err) {
                            observer.next(false);
                            _this.logger.log(err, '调用diagnostic.isLocationEnabled方法失败');
                        });
                    }
                });
            };
        })();
        //检测app是否有定位权限
        this.assertLocationAuthorization = (function () {
            var locationAuthorization = false;
            return function () {
                return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
                    if (locationAuthorization) {
                        observer.next(true);
                    }
                    else {
                        _this.diagnostic.isLocationAuthorized().then(function (res) {
                            if (res) {
                                locationAuthorization = true;
                                observer.next(true);
                            }
                            else {
                                locationAuthorization = false;
                                _this.diagnostic.requestLocationAuthorization('always').then(function (res) {
                                    if (res == 'DENIED_ALWAYS') {
                                        locationAuthorization = false;
                                        _this.alertCtrl.create({
                                            title: '缺少定位权限',
                                            subTitle: '请在手机设置或app权限管理中开启',
                                            buttons: [{ text: '取消' },
                                                {
                                                    text: '去开启',
                                                    handler: function () {
                                                        _this.diagnostic.switchToSettings();
                                                    }
                                                }
                                            ]
                                        }).present();
                                        observer.next(false);
                                    }
                                    else {
                                        locationAuthorization = true;
                                        observer.next(true);
                                    }
                                }).catch(function (err) {
                                    observer.next(false);
                                    _this.logger.log(err, '调用diagnostic.requestLocationAuthorization方法失败');
                                });
                            }
                        }).catch(function (err) {
                            _this.logger.log(err, '调用diagnostic.isLocationAvailable方法失败');
                        });
                    }
                });
            };
        })();
    }
    /**
     * 获取位置
     */
    NativeService.prototype.getLocation = function () {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
            if (_this.isMobile()) {
                //  检查app是否开始位置服务和定位权限.没有则会请求权限
                __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].zip(_this.assertLocationService(), _this.assertLocationAuthorization()).subscribe(function () {
                    LocationPlugin.getLocation(function (data) {
                        //  android返回data形如:{"locationType":4,"latitude":23.119225,"longitude":113.350784,"hasAccuracy":true,"accuracy":29,"address":"广东省广州市天河区潭乐街靠近广电科技大厦","country":"中国","province":"广东省","city":"广州市","district":"天河区","street":"平云路","cityCode":"020","adCode":"440106","aoiName":"广电平云广场","speed":0,"bearing":0,"time":1515976535559}
                        //  其中locationType为定位来源.定位类型对照表: http://lbs.amap.com/api/android-location-sdk/guide/utilities/location-type/
                        //  iOS只会返回data形如:{longitude: 113.35081420800906, latitude: 23.119172707345594}
                        observer.next({ 'lng': data.longitude, 'lat': data.latitude });
                    }, function (msg) {
                        if (msg.indexOf('缺少定位权限') != -1 || (_this.isIOS() && msg.indexOf('定位失败') != -1)) {
                            _this.alertCtrl.create({
                                title: '缺少定位权限',
                                subTitle: '请在手机设置或app权限管理中开启',
                                buttons: [{ text: '取消' },
                                    {
                                        text: '去开启',
                                        handler: function () {
                                            _this.diagnostic.switchToSettings();
                                        }
                                    }
                                ]
                            }).present();
                        }
                        else if (msg.indexOf('WIFI信息不足') != -1) {
                            alert('定位失败,请确保连上WIFI或者关掉WIFI只开流量数据');
                        }
                        else if (msg.indexOf('网络连接异常') != -1) {
                            alert('网络连接异常,请检查您的网络是否畅通');
                        }
                        else {
                            alert('获取位置错误,错误消息:' + msg);
                            _this.logger.log(msg, '获取位置失败');
                        }
                        observer.error('获取位置失败');
                    });
                }, function (err) {
                    observer.error(err);
                });
            }
            else {
                console.log('非手机环境,即测试环境返回固定坐标');
                observer.next({ 'lng': 121.031787, 'lat': 31.393797 });
            }
        });
    };
    /**
     * 地图导航
     * @param startPoint 开始坐标
     * @param endPoint 结束坐标
     * @param type 0驾车实时导航,1驾车模拟导航,2步行实时导航,3步行模拟导航.默认为0
     */
    NativeService.prototype.navigation = function (startPoint, endPoint, type) {
        var _this = this;
        if (type === void 0) { type = 1; }
        return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
            if (_this.platform.is('mobile') && !_this.platform.is('mobileweb')) {
                AMapNavigation.navigation({
                    lng: startPoint.lng,
                    lat: startPoint.lat
                }, {
                    lng: endPoint.lng,
                    lat: endPoint.lat
                }, type, function (message) {
                    observer.next(message);
                }, function (err) {
                    _this.logger.log(err, '导航失败');
                    _this.alert('导航失败');
                    observer.error(false);
                });
            }
            else {
                _this.alert('非手机环境不能导航');
                observer.error(false);
            }
        });
    };
    /**
     * 获取网络类型 如`unknown`, `ethernet`, `wifi`, `2g`, `3g`, `4g`, `cellular`, `none`
     */
    NativeService.prototype.getNetworkType = function () {
        if (!this.isMobile()) {
            return 'wifi';
        }
        return this.network.type;
    };
    /**
     * 获得app版本号,如0.0.1
     * @description  对应/config.xml中version的值
     */
    NativeService.prototype.getVersionNumber = function () {
        var _this = this;
        return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
            _this.appVersion.getVersionNumber().then(function (value) {
                observer.next(value);
            }).catch(function (err) {
                _this.logger.log(err, '获得app版本号失败');
                observer.error(false);
            });
        });
    };
    /**
   * 通过浏览器打开url
   */
    NativeService.prototype.openUrlByBrowser = function (url) {
        this.inAppBrowser.create(url, '_system');
    };
    /**
     * 状态栏
     */
    NativeService.prototype.statusBarStyle = function () {
        if (this.isMobile()) {
            // this.statusBar.overlaysWebView(false);
            // this.statusBar.styleLightContent();
            // this.statusBar.backgroundColorByHexString('#488aff'); // 3261b3
        }
    };
    /**
   * 隐藏启动页面
   */
    NativeService.prototype.splashScreenHide = function () {
        this.isMobile() && this.splashScreen.hide();
    };
    /**
     * 最小化APP
     */
    NativeService.prototype.minimize = function () {
        console.log('最小化');
        this.appMinimize.minimize();
    };
    /**
     * 判断是否有网络
     */
    NativeService.prototype.isConnecting = function () {
        return this.getNetworkType() != 'none';
    };
    /**
   * 是否真机环境
   */
    NativeService.prototype.isMobile = function () {
        return this.platform.is('mobile') && !this.platform.is('mobileweb');
    };
    /**
     * 是否android真机环境
     */
    NativeService.prototype.isAndroid = function () {
        return this.isMobile() && this.platform.is('android');
    };
    /**
   * 是否ios真机环境
   */
    NativeService.prototype.isIOS = function () {
        return this.isMobile() && (this.platform.is('ios') || this.platform.is('ipad') || this.platform.is('iphone'));
    };
    /**
   * 统一调用此方法显示提示信息
   * @param message 信息内容
   * @param duration 显示时长
   */
    NativeService.prototype.showToast = function (message, duration) {
        if (message === void 0) { message = '操作完成'; }
        if (duration === void 0) { duration = 2000; }
        if (this.isMobile()) {
            this.toast.show(message, String(duration), 'center').subscribe();
        }
        else {
            this.toastCtrl.create({
                message: message,
                duration: duration,
                position: 'middle',
                showCloseButton: false
            }).present();
        }
    };
    /**
   * 统一调用此方法显示loading
   * @param {string} content 显示内容
   */
    NativeService.prototype.showLoading = function (content) {
        var _this = this;
        if (content === void 0) { content = ''; }
        if (!this.loading) {
            var loading = this.loadingCtrl.create({
                content: content,
                duration: 20000
            });
            loading.onDidDismiss(function () {
                _this.loading = null;
            });
            loading.present();
            this.loading = loading;
        }
    };
    /**
     * 关闭loading
     */
    NativeService.prototype.hideLoading = function () {
        this.loading && this.loading.dismiss();
        // this.loading = null;
    };
    /**
     * 使用cordova-plugin-camera获取照片
     * @param options
     */
    NativeService.prototype.getPicture = function (options) {
        var _this = this;
        if (options === void 0) { options = {}; }
        var ops = __assign({ sourceType: this.camera.PictureSourceType.CAMERA, destinationType: this.camera.DestinationType.DATA_URL, quality: __WEBPACK_IMPORTED_MODULE_13__Constants__["q" /* QUALITY_SIZE */], allowEdit: false, encodingType: this.camera.EncodingType.JPEG, targetWidth: __WEBPACK_IMPORTED_MODULE_13__Constants__["m" /* IMAGE_SIZE */], targetHeight: __WEBPACK_IMPORTED_MODULE_13__Constants__["m" /* IMAGE_SIZE */], saveToPhotoAlbum: false, correctOrientation: true }, options);
        return __WEBPACK_IMPORTED_MODULE_10_rxjs_Observable__["Observable"].create(function (observer) {
            _this.camera.getPicture(ops).then(function (imgData) {
                if (ops.destinationType === _this.camera.DestinationType.DATA_URL) {
                    observer.next('data:image/jpg;base64,' + imgData);
                }
                else {
                    observer.next(imgData);
                }
            }).catch(function (err) {
                console.log(JSON.stringify(err));
                if (err == 20) {
                    _this.alert('没有权限,请在设置中开启权限');
                }
                else if (String(err).indexOf('cancel') != -1) {
                    console.log('用户点击了取消按钮');
                }
                else {
                    _this.logger.log(err, '使用cordova-plugin-camera获取照片失败');
                    _this.alert('获取照片失败');
                }
                observer.error(false);
            });
        });
    };
    /**
     * 通过拍照获取照片
     * @param options
     */
    NativeService.prototype.getPictureByCamera = function (options) {
        if (options === void 0) { options = {}; }
        var ops = __assign({ sourceType: this.camera.PictureSourceType.CAMERA, destinationType: this.camera.DestinationType.DATA_URL }, options);
        return this.getPicture(ops);
    };
    /**
     * 通过图库获取照片
     * @param options
     */
    NativeService.prototype.getPictureByPhotoLibrary = function (options) {
        if (options === void 0) { options = {}; }
        var ops = __assign({ sourceType: this.camera.PictureSourceType.PHOTOLIBRARY, destinationType: this.camera.DestinationType.DATA_URL }, options);
        return this.getPicture(ops);
    };
    NativeService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_9_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_9_ionic_angular__["w" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_9_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_toast__["a" /* Toast */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_9_ionic_angular__["n" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_0__ionic_native_network__["a" /* Network */],
            __WEBPACK_IMPORTED_MODULE_12__ionic_native_app_version__["a" /* AppVersion */],
            __WEBPACK_IMPORTED_MODULE_11__Logger__["a" /* Logger */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_diagnostic__["a" /* Diagnostic */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_minimize__["a" /* AppMinimize */]])
    ], NativeService);
    return NativeService;
}());

//# sourceMappingURL=NativeService.js.map

/***/ }),

/***/ 43:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CommonService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_HttpService__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_Utils__ = __webpack_require__(52);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var CommonService = /** @class */ (function () {
    function CommonService(httpService) {
        this.httpService = httpService;
    }
    /**
     * 登录获取token
     */
    CommonService.prototype.getToken = function (username, password) {
        return this.httpService.post('/user/login', {
            'client_id': 'app',
            'mobile': username,
            'password': __WEBPACK_IMPORTED_MODULE_2__providers_Utils__["a" /* Utils */].hex_sha256(password)
        });
    };
    /**
     * 获取短信验证码,用途0注册，1登录，2重置密码
     * @returns {Observable<any>}
     */
    CommonService.prototype.getSmsCode = function (params) {
        return this.httpService.get('/common/getSmsCode', params);
    };
    CommonService.prototype.getAreaData = function () {
        return this.httpService.get('https://www.easy-mock.com/mock/59dddf4f88ea025ff441901d/AnyCar/common/areaData').map(function (res) { return res.data; });
    };
    /**
     * 查询用户信息
     */
    CommonService.prototype.getUserInfo = function () {
        return this.httpService.get('/user/info').map(function (res) { return res.data; });
    };
    /**
     * 获取新token
     */
    CommonService.prototype.getNewToken = function () {
        return this.httpService.get('/refresh/token').map(function (res) { return res.token; });
    };
    CommonService.prototype.getTopics = function () {
        return this.httpService.get('/topic/getWapFocusPics').map(function (res) { return res.data; });
    };
    /**
     * 获取城市列表
     * @returns {Observable<any>}
     */
    CommonService.prototype.getCityList = function () {
        return this.httpService.get('/base/cityList').map(function (res) { return res.data; });
    };
    CommonService.prototype.getCityByName = function (name) {
        return this.httpService.get('/base/cityList', { 'names': name }).map(function (res) { return res.data; });
    };
    CommonService.prototype.getStoreList = function (cityId, lng, lat) {
        if (lng === void 0) { lng = 0; }
        if (lat === void 0) { lat = 0; }
        return this.httpService.get('/base/storeList', {
            cityId: cityId,
            lon: lng,
            lat: lat
        }).map(function (res) { return res.data; });
    };
    /**
     * 获取门店详细信息
     * @param params
     * @returns {Observable<any>}
     */
    CommonService.prototype.getStoreInfo = function (params) {
        return this.httpService.get('/base/storeInfo', params).map(function (res) { return res.data; });
    };
    CommonService.prototype.getCouponList = function () {
        return this.httpService.get('/base/coupon').map(function (res) { return res.data; });
    };
    CommonService.prototype.getCoupon = function (id) {
        return this.httpService.post('/base/getCoupon', { couponId: id });
    };
    CommonService.prototype.getDicList = function (key) {
        return this.httpService.get('/dictionary/code', { key: key }).map(function (res) { return res.data; });
    };
    CommonService.prototype.getDicChildList = function (parentId) {
        return this.httpService.get('/dictionary/child', { parentId: parentId }).map(function (res) { return res.data; });
    };
    CommonService.prototype.upload = function (file) {
        return this.httpService.upload(file, '/upload');
    };
    CommonService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__providers_HttpService__["a" /* HttpService */]])
    ], CommonService);
    return CommonService;
}());

//# sourceMappingURL=CommonService.js.map

/***/ }),

/***/ 44:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return APP_SERVE_URL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "n", function() { return IS_DEBUG; });
/* unused harmony export REQUEST_TIMEOUT */
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "i", function() { return COUNTDOWN_SMS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "m", function() { return IMAGE_SIZE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "q", function() { return QUALITY_SIZE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "t", function() { return WEEKS; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "p", function() { return PAYTYPE; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "r", function() { return TODAY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "j", function() { return ENABLE_FUNDEBUG; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "k", function() { return FUNDEBUG_API_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "s", function() { return USER_LEVEL; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "o", function() { return ORDER_CANCEL_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "l", function() { return ID_TYPE_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return CAR_AIRBAG_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "g", function() { return CAR_SEAT_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return CAR_GEARS_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return CAR_OIL_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return CAR_GPS_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return CAR_RADAR_KEY; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "h", function() { return CAR_VIDEO_KEY; });
/**
 * 后台Api地址
 * @type {string}
 */
// export const APP_SERVE_URL = 'http://192.168.3.17:8080/lvms/app';
var APP_SERVE_URL = 'http://47.100.179.49:9080/lvms/app';
// export const APP_SERVE_URL = 'https://www.easy-mock.com/mock/59dddf4f88ea025ff441901d/AnyCar';
var IS_DEBUG = false; //是否开发(调试)模式
var REQUEST_TIMEOUT = 50000; //请求超时时间,单位为毫秒
var COUNTDOWN_SMS = 60; //短信验证码倒计时
var IMAGE_SIZE = 1024; // 拍照/从相册选择照片压缩大小
var QUALITY_SIZE = 94; // 图像压缩质量，范围为0 - 100
var WEEKS = ['周日', '周一', '周二', '周三', '周四', '周五', '周六'];
var PAYTYPE = ['其他', '微信', '支付宝', 'POS机', '现金'];
var TODAY = '今天';
var ENABLE_FUNDEBUG = false; //是否启用fundebug日志监控
var FUNDEBUG_API_KEY = '143bdc73cd407453233eae8fe9d2aa1b0f0e92eafcbc5f74934ce09aaeb2c2aa'; //去https://fundebug.com/申请key
var USER_LEVEL = ['未知', '铜牌', '银牌', '金牌', '铂金', '钻石'];
var ORDER_CANCEL_KEY = 'order_cancel_reason'; // 订单取消原因字典值
var ID_TYPE_KEY = 'member_zjlx'; // 证件类型
var CAR_AIRBAG_KEY = 'vt_airbag'; // 气囊
var CAR_SEAT_KEY = 'vt_seat'; // 座椅
var CAR_GEARS_KEY = 'vt_gears'; // 排挡,变速箱类型
var CAR_OIL_KEY = 'vt_oil'; // 燃油标号
var CAR_GPS_KEY = 'vt_gps'; // GPS
var CAR_RADAR_KEY = 'vt_radar'; // 倒车雷达
var CAR_VIDEO_KEY = 'vt_video'; // 倒车影像
//# sourceMappingURL=Constants.js.map

/***/ }),

/***/ 52:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Utils; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_crypto_js__ = __webpack_require__(697);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_crypto_js___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_crypto_js__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__Constants__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var Utils = /** @class */ (function () {
    function Utils() {
    }
    /**
     * 日期对象转为日期字符串
     * @param date 需要格式化的日期对象
     * @param sFormat 输出格式,默认为yyyy-MM-dd                        年：y，月：M，日：d，时：h，分：m，秒：s，周：EE
     * @example  dateFormat(new Date())                               "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd')                  "2017-02-28"
     * @example  dateFormat(new Date(),'yyyy-MM-dd HH:mm:ss')         "2017-02-28 13:24:00"   ps:HH:24小时制
     * @example  dateFormat(new Date(),'yyyy-MM-dd hh:mm:ss')         "2017-02-28 01:24:00"   ps:hh:12小时制
     * @example  dateFormat(new Date(),'hh:mm')                       "09:24"
     * @example  dateFormat(new Date(),'yyyy-MM-ddTHH:mm:ss+08:00')   "2017-02-28T13:24:00+08:00"
     * @example  dateFormat(new Date('2017-02-28 13:24:00'),'yyyy-MM-ddTHH:mm:ss+08:00')   "2017-02-28T13:24:00+08:00"
     * @returns {string}
     */
    Utils.dateFormat = function (date, sFormat) {
        if (sFormat === void 0) { sFormat = 'yyyy-MM-dd'; }
        var time = {
            Year: 0,
            TYear: '0',
            Month: 0,
            TMonth: '0',
            Day: 0,
            TDay: '0',
            Hour: 0,
            THour: '0',
            hour: 0,
            Thour: '0',
            Minute: 0,
            TMinute: '0',
            Second: 0,
            TSecond: '0',
            Millisecond: 0
        };
        var week = ['周日', '周一', '周二', '周三', '周四', '周五', '周六'];
        time.Year = date.getFullYear();
        time.TYear = String(time.Year).substr(2);
        time.Month = date.getMonth() + 1;
        time.TMonth = time.Month < 10 ? '0' + time.Month : String(time.Month);
        time.Day = date.getDate();
        time.TDay = time.Day < 10 ? '0' + time.Day : String(time.Day);
        time.Hour = date.getHours();
        time.THour = time.Hour < 10 ? '0' + time.Hour : String(time.Hour);
        time.hour = time.Hour < 13 ? time.Hour : time.Hour - 12;
        time.Thour = time.hour < 10 ? '0' + time.hour : String(time.hour);
        time.Minute = date.getMinutes();
        time.TMinute = time.Minute < 10 ? '0' + time.Minute : String(time.Minute);
        time.Second = date.getSeconds();
        time.TSecond = time.Second < 10 ? '0' + time.Second : String(time.Second);
        time.Millisecond = date.getMilliseconds();
        return sFormat.replace(/yyyy/ig, String(time.Year))
            .replace(/yyy/ig, String(time.Year))
            .replace(/yy/ig, time.TYear)
            .replace(/y/ig, time.TYear)
            .replace(/MM/g, time.TMonth)
            .replace(/M/g, String(time.Month))
            .replace(/dd/ig, time.TDay)
            .replace(/d/ig, String(time.Day))
            .replace(/HH/g, time.THour)
            .replace(/H/g, String(time.Hour))
            .replace(/hh/g, time.Thour)
            .replace(/h/g, String(time.hour))
            .replace(/mm/g, time.TMinute)
            .replace(/m/g, String(time.Minute))
            .replace(/ss/ig, time.TSecond)
            .replace(/s/ig, String(time.Second))
            .replace(/fff/ig, String(time.Millisecond))
            .replace(/EE/g, week[date.getDay()]);
    };
    /**
     * 把url中的双斜杠替换为单斜杠
     * 如:http://localhost:8080//api//demo.替换后http://localhost:8080/api/demo
     * @param url
     * @returns {string}
     */
    Utils.formatUrl = function (url) {
        if (url === void 0) { url = ''; }
        var index = 0;
        if (url.startsWith('http')) {
            index = 7;
        }
        return url.substring(0, index) + url.substring(index).replace(/\/\/*/g, '/');
    };
    Utils.sessionStorageClear = function () {
        sessionStorage.clear();
    };
    /**
     * 字符串加密
     * @param str
     * @returns {any}
     */
    Utils.hex_md5 = function (str) {
        return __WEBPACK_IMPORTED_MODULE_1_crypto_js___default.a.MD5(str).toString(__WEBPACK_IMPORTED_MODULE_1_crypto_js___default.a.enc.Hex);
    };
    /**
     * 散列算法加密字符串
     * @param {string} str
     */
    Utils.hex_sha256 = function (str) {
        return __WEBPACK_IMPORTED_MODULE_1_crypto_js___default.a.SHA256(str).toString(__WEBPACK_IMPORTED_MODULE_1_crypto_js___default.a.enc.Hex);
    };
    /**
     * 数字左边填充0
     * @param num
     * @param {number} n
     * @returns {any}
     */
    Utils.padLeft = function (num, n) {
        if (n === void 0) { n = 2; }
        var len = num.toString().length;
        while (len < n) {
            num = '0' + num;
            len++;
        }
        return num;
    };
    Utils.checkCellphone = function (phone) {
        if ((phone + "").length !== 11) {
            return false;
        }
        if (!(/^1[3|4|5|7|8][0-9]\d{4,8}$/.test(phone))) {
            return false;
        }
        return true;
    };
    /**
     * 获取用户等级
     */
    Utils.getLevelText = function (level) {
        return __WEBPACK_IMPORTED_MODULE_2__Constants__["s" /* USER_LEVEL */][level];
    };
    Utils = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])()
    ], Utils);
    return Utils;
}());

//# sourceMappingURL=Utils.js.map

/***/ }),

/***/ 724:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IndexListComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__index_section__ = __webpack_require__(342);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var IndexListComponent = /** @class */ (function () {
    function IndexListComponent() {
        this._flag = true;
        this._indexes = []; //右侧导航
        this._offsetTops = []; // 每个IndexSection 的offsetTop
        this._indicatorTime = null;
        this._showModal = false;
        this.hasTop = false;
    }
    IndexListComponent.prototype.ngAfterViewChecked = function () {
        var _this = this;
        if (this._flag && this._listOfIndexSection.length > 0) {
            this._indexes.length = 0;
            this._listOfIndexSection.forEach(function (section) {
                _this._indexes.push(section.index);
                var offsetTop = section.getElementRef().nativeElement.offsetTop;
                _this._offsetTops.push(offsetTop);
            });
            this._flag = false;
            if (this.hasTop) {
                this._indexes.unshift('#');
                this._offsetTops.unshift(0);
            }
        }
    };
    IndexListComponent.prototype.onScroll = function (e) {
        var _this = this;
        e.preventDefault();
        var scrollTopOffsetTop = this.scrollContent.nativeElement.scrollTop;
        this._offsetTops.forEach(function (v, i) {
            if (scrollTopOffsetTop >= v) {
                _this._currentIndicator = _this._indexes[i];
                //
                _this.setCurrentSection(_this._currentIndicator);
            }
        });
    };
    IndexListComponent.prototype.touchstart = function (e) {
        this._navOffsetX = e.changedTouches[0].clientX;
        this.scrollList(e.changedTouches[0].clientY);
    };
    IndexListComponent.prototype.touchmove = function (e) {
        e.preventDefault();
        this.scrollList(e.changedTouches[0].clientY);
    };
    IndexListComponent.prototype.touchend = function (e) {
        var _this = this;
        this._indicatorTime = setTimeout(function () {
            _this._showModal = false;
            _this._currentIndicator = '';
        }, 500);
    };
    IndexListComponent.prototype.scrollList = function (y) {
        var currentItem = document.elementFromPoint(this._navOffsetX, y);
        if (!currentItem || !currentItem.classList.contains('index-bar')) {
            return;
        }
        this._currentIndicator = currentItem['innerText'];
        var index = this._indexes.indexOf(this._currentIndicator);
        this.scrollContent.nativeElement.scrollTop = this._offsetTops[index];
        this._showModal = true;
        if (this._indicatorTime) {
            clearTimeout(this._indicatorTime);
        }
    };
    IndexListComponent.prototype.setCurrentSection = function (currentindex) {
        var listArray = this._listOfIndexSection.toArray();
        listArray.forEach(function (section) {
            if (section.index === currentindex) {
                section._current = true;
            }
            else {
                section._current = false;
            }
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["E" /* Input */])(),
        __metadata("design:type", Boolean)
    ], IndexListComponent.prototype, "hasTop", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('top'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], IndexListComponent.prototype, "top", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["s" /* ContentChildren */])(__WEBPACK_IMPORTED_MODULE_1__index_section__["a" /* IndexSectionComponent */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["U" /* QueryList */])
    ], IndexListComponent.prototype, "_listOfIndexSection", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('scrollContent'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ElementRef */])
    ], IndexListComponent.prototype, "scrollContent", void 0);
    IndexListComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({
            selector: 'ion-index-list',
            template: "\n    <div class=\"index-list\">\n      <div class=\"index-list-wrapper\"  #scrollContent tappable (scroll)=\"onScroll($event)\">\n        <ng-content select=\"[top]\"></ng-content>\n        <ng-content></ng-content>\n      </div>\n      <div class=\"index-list-nav\" (touchstart)=\"touchstart($event)\" (touchmove)=\"touchmove($event)\" (touchend)=\"touchend($event)\">\n        <div class=\"index-bar\" *ngFor=\"let index of _indexes;\"\n             [class.index-list-nav-activate]=\"index === _currentIndicator\">\n          {{index}}\n        </div>\n      </div>\n\n      <div class=\"modal\" [class.show]=\"_showModal\">\n        {{_currentIndicator}}\n      </div>\n    </div>\n  ",
            styles: ["\n    ::-webkit-scrollbar {\n      width: 0\n    }\n    .index-list{\n      width: 100%;\n      display: flex;\n      justify-content: space-between;\n      height: 100%;\n      overflow: hidden;\n      transform:translate(0,0);\n    }\n    .index-list-wrapper{\n      width: 100%;\n      overflow-y: scroll;\n      -webkit-overflow-scrolling: touch;\n    }\n    .index-list-nav{\n      width:6%;\n      position: absolute;\n      top: 5%;\n      right: 0;\n      display: flex;\n      justify-content:center;\n      flex-direction: column;\n      text-align: center;\n      background-color: rgba(245, 245, 245, 0.2);\n      border-radius: 12px;\n      height: 90%;\n      z-index: 1000;\n      -webkit-touch-callout: none;\n    }\n    .index-bar{\n      padding: 3px 6px;\n      font-size: 1.2rem;\n    }\n    .index-list-nav-activate{\n      color: #fc9153;\n    }\n    .modal {\n      top: 50%;\n      left: 50%;\n      z-index: 100;\n      position: fixed;\n      pointer-events: none;\n      width: 20vw;\n      height: 20vw;\n      line-height: 20vw;\n      margin-left: -10vw;\n      margin-top: -10vw;\n      color: #fff;\n      font-size: 3em;\n      text-align: center;\n      border-radius: 8px;\n      background-color: rgba(0, 0, 0, 0.52);\n      -webkit-box-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.16);\n      box-shadow: 0 0 4px 1px rgba(0, 0, 0, 0.16);\n      -webkit-transition: opacity .5s;\n      -o-transition: opacity .5s;\n      transition: opacity .5s;\n      opacity: 0;\n    }\n    .modal.show {\n      opacity: 1;\n    }\n  "]
        }),
        __metadata("design:paramtypes", [])
    ], IndexListComponent);
    return IndexListComponent;
}());

//# sourceMappingURL=index-list.js.map

/***/ }),

/***/ 742:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_Helper__ = __webpack_require__(100);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__service_CommonService__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_tabs_tabs__ = __webpack_require__(102);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_user_sign_in_sign_in__ = __webpack_require__(101);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var MyApp = /** @class */ (function () {
    function MyApp(platform, keyboard, ionicApp, storage, globalData, helper, toastCtrl, modalCtrl, events, commonService, nativeService) {
        var _this = this;
        this.platform = platform;
        this.keyboard = keyboard;
        this.ionicApp = ionicApp;
        this.storage = storage;
        this.globalData = globalData;
        this.helper = helper;
        this.toastCtrl = toastCtrl;
        this.modalCtrl = modalCtrl;
        this.events = events;
        this.commonService = commonService;
        this.nativeService = nativeService;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_7__pages_tabs_tabs__["a" /* TabsPage */];
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            _this.assertNetwork(); // 检测网络
            _this.storage.get('token').then(function (token) {
                if (token) {
                    _this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_7__pages_tabs_tabs__["a" /* TabsPage */]); // 设置首页为tabs页
                    _this.globalData.token = token;
                    // 用旧token获取新token,旧token作为请求头
                    _this.commonService.getNewToken().mergeMap(function (newToken) {
                        _this.globalData.token = newToken;
                        _this.storage.set('token', newToken);
                        return _this.commonService.getUserInfo();
                    }).subscribe(function (userInfo) {
                        _this.helper.loginSuccessHandle(userInfo);
                        _this.events.publish('set:badge', userInfo.peccancy);
                    }, function () {
                        // this.nav.setRoot(LoginPage); // 设置首页为login页
                    });
                }
                else {
                    // this.nav.setRoot(LoginPage); // 设置首页为login页
                }
                // 订阅重新登录事件
                _this.events.subscribe('user:reLogin', function () {
                    _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_8__pages_user_sign_in_sign_in__["a" /* SignInPage */]).present();
                });
                _this.helper.funDebugInit(); // 初始化fundebug
                _this.helper.initJpush(); // 初始化极光推送
                _this.jPushOpenNotification(); // 处理打开推送消息事件
            });
            _this.nativeService.statusBarStyle(); // 设置状态栏颜色
            _this.nativeService.splashScreenHide(); // 隐藏启动页
            _this.registerBackButtonAction(); // 注册android返回按键事件
        });
    }
    // 检测网络
    MyApp.prototype.assertNetwork = function () {
        if (!this.nativeService.isConnecting()) {
            this.toastCtrl.create({
                message: '未检测到网络,请连接网络',
                showCloseButton: true,
                closeButtonText: '确定'
            }).present();
        }
    };
    MyApp.prototype.jPushOpenNotification = function () {
        var _this = this;
        // 当点击极光推送消息跳转到指定页面
        this.events.subscribe('jpush.openNotification', function (content) {
            var childNav = _this.nav.getActiveChildNav();
            if (childNav) {
                var tab = childNav.getSelected();
                var activeVC = tab.getActive();
                // if (activeVC.component == AboutPage) {//如果当前所在页面就是将要跳转到的页面则不处理
                //   return;
                // }
                var activeNav = activeVC.getNav();
                activeNav.popToRoot({}).then(function () {
                    childNav.select(2); // 选中第四个tab
                    var t = childNav.getSelected(); // 获取选中的tab
                    var v = t.getActive(); // 通过当前选中的tab获取ViewController
                    var n = v.getNav(); // 通过当前视图的ViewController获取的NavController
                    n.push('OrdersPage'); // 跳转到指定页面
                });
            }
        });
    };
    // 注册安卓的返回按钮
    MyApp.prototype.registerBackButtonAction = function () {
        var _this = this;
        if (!this.nativeService.isAndroid()) {
            return;
        }
        this.platform.registerBackButtonAction(function () {
            _this.events.publish('android:backButtonAction');
            if (_this.keyboard.isOpen()) {
                _this.keyboard.close();
                return;
            }
            // 如果想点击返回按钮隐藏toast或loading或Overlay就把下面加上
            // this.ionicApp._toastPortal.getActive() ||this.ionicApp._loadingPortal.getActive()|| this.ionicApp._overlayPortal.getActive()
            var activePortal = _this.ionicApp._modalPortal.getActive() || _this.ionicApp._toastPortal.getActive() || _this.ionicApp._overlayPortal.getActive();
            if (activePortal) {
                activePortal.dismiss();
                return;
            }
            var childNav = _this.nav.getActiveChildNav(); // 获取tabs导航,this.nav是总导航,tabs是子导航
            if (!childNav) {
                _this.nativeService.minimize();
                return;
            }
            var tab = childNav.getSelected(); // 获取选中的tab
            var activeVC = tab.getActive(); // 通过当前选中的tab获取ViewController
            var activeNav = activeVC.getNav(); // 通过当前视图的ViewController获取的NavController
            return activeNav.canGoBack() ? activeNav.pop() : _this.nativeService.minimize();
        }, 1);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_9" /* ViewChild */])('myNav'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* Nav */])
    ], MyApp.prototype, "nav", void 0);
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["n" /* Component */])({template:/*ion-inline-start:"/Users/limingguang/Documents/dev/ionic/izuche/src/app/app.html"*/'<ion-nav #myNav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"/Users/limingguang/Documents/dev/ionic/izuche/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["t" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* Keyboard */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicApp */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__providers_GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_4__providers_Helper__["a" /* Helper */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["w" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_5__service_CommonService__["a" /* CommonService */],
            __WEBPACK_IMPORTED_MODULE_6__providers_NativeService__["a" /* NativeService */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 743:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JWTInterceptor; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__ = __webpack_require__(236);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(131);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__NativeService__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__Logger__ = __webpack_require__(95);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__Constants__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var JWTInterceptor = /** @class */ (function () {
    function JWTInterceptor(globalData, logger, events, nativeService) {
        this.globalData = globalData;
        this.logger = logger;
        this.events = events;
        this.nativeService = nativeService;
        this.count = 0; //  记录未完成的请求数量,当请求数为0关闭loading,当不为0显示loading
    }
    JWTInterceptor.prototype.intercept = function (req, next) {
        var _this = this;
        // 身份认证
        var jwtReq = req.clone({
            headers: req.headers.set("token", this.globalData.token || "")
        });
        __WEBPACK_IMPORTED_MODULE_7__Constants__["n" /* IS_DEBUG */] && console.log('%c 请求发送前 %c', 'color:blue', '', 'url', req.url, 'options', req);
        this.showLoading();
        return next.handle(jwtReq).flatMap(function (event) {
            if (event instanceof __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["f" /* HttpResponse */] && event.body.code !== 0) {
                return __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__["Observable"].create(function (observer) { return observer.error(event); });
            }
            __WEBPACK_IMPORTED_MODULE_7__Constants__["n" /* IS_DEBUG */] && console.log('%c 请求发送成功 %c', 'color:green', '', 'url', req.url, 'options', req, 'res', event);
            if (event.type !== 0) {
                _this.hideLoading();
            }
            return __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__["Observable"].create(function (observer) { return observer.next(event); });
        }).catch(function (res) {
            _this.hideLoading();
            // 处理异常
            switch (res.status) {
                // 401 token无效或过期需要重新登录
                case 401:
                    _this.nativeService.showToast('密码已过期,请重新登录');
                    _this.events.publish('user:reLogin'); //  跳转到登录页面
                    break;
            }
            _this.requestFailedHandle(req.url, req.params, res);
            __WEBPACK_IMPORTED_MODULE_7__Constants__["n" /* IS_DEBUG */] && console.log('%c 请求发送失败 %c', 'color:red', '', 'url', req.url, 'options', req, 'err', res.statusText);
            return __WEBPACK_IMPORTED_MODULE_1_rxjs_Rx__["Observable"].throw(res);
        });
    };
    /**
     * 处理请求失败事件
     */
    JWTInterceptor.prototype.requestFailedHandle = function (url, options, err) {
        if (!this.nativeService.isConnecting()) {
            this.nativeService.showToast('似乎已断开与互联网的连接!');
        }
        else {
            var status_1 = err.status;
            var msg = '请求发生异常';
            if (status_1 === 0) {
                msg = '请求失败，请求响应出错';
            }
            else if (status_1 === 200) {
                if (err.body.code == 401) {
                    this.nativeService.showToast('密码已过期,请重新登录');
                    this.events.publish('user:reLogin'); //  跳转到登录页面
                    return;
                }
                else {
                    msg = err.body.msg;
                }
            }
            else if (status_1 === 404) {
                msg = '请求失败，未找到请求地址';
            }
            else if (status_1 === 500) {
                msg = '请求失败，服务器出错，请稍后再试';
            }
            this.nativeService.showToast(msg);
            this.logger.httpLog(err, msg, {
                url: url,
                status: status_1
            });
        }
        return err;
    };
    JWTInterceptor.prototype.showLoading = function () {
        if (++this.count > 0) {
            this.globalData.showLoading && this.nativeService.showLoading();
        }
    };
    JWTInterceptor.prototype.hideLoading = function () {
        var _this = this;
        if (this.globalData.showLoading) {
            // 延迟处理可以避免嵌套请求关闭了第一个loading,突然后弹出第二个loading情况(结合nativeService.showLoading())
            setTimeout(function () {
                if (--_this.count === 0) {
                    _this.nativeService.hideLoading();
                }
            }, 200);
        }
        else {
            this.count--;
            this.globalData.showLoading = true;
        }
    };
    JWTInterceptor = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__GlobalData__["a" /* GlobalData */],
            __WEBPACK_IMPORTED_MODULE_5__Logger__["a" /* Logger */],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_4__NativeService__["a" /* NativeService */]])
    ], JWTInterceptor);
    return JWTInterceptor;
}());

//# sourceMappingURL=JWTInterceptor.js.map

/***/ }),

/***/ 744:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return ModalFromRightEnter; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return ModalFromRightLeave; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ModalFromBottomEnter; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return ModalFromBottomLeave; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "e", function() { return ModalScaleEnter; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "f", function() { return ModalScaleLeave; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(19);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();

var ModalFromRightEnter = /** @class */ (function (_super) {
    __extends(ModalFromRightEnter, _super);
    function ModalFromRightEnter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalFromRightEnter.prototype.init = function () {
        _super.prototype.init.call(this);
        var ele = this.enteringView.pageRef().nativeElement;
        var backdrop = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('ion-backdrop'));
        backdrop.beforeStyles({ 'z-index': 0, 'opacity': 0.3, 'visibility': 'visible' });
        var wrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('.modal-wrapper'));
        wrapper.beforeStyles({ 'opacity': 1 });
        wrapper.fromTo('transform', 'translateX(100%)', 'translateX(20%)');
        var contentWrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('ion-content.content'));
        contentWrapper.beforeStyles({ 'width': '80%' });
        this
            .element(this.enteringView.pageRef())
            .duration(300)
            .easing('cubic-bezier(.25, .1, .25, 1)')
            .add(backdrop)
            .add(wrapper)
            .add(contentWrapper);
    };
    return ModalFromRightEnter;
}(__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* PageTransition */]));

var ModalFromRightLeave = /** @class */ (function (_super) {
    __extends(ModalFromRightLeave, _super);
    function ModalFromRightLeave() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalFromRightLeave.prototype.init = function () {
        _super.prototype.init.call(this);
        var ele = this.leavingView.pageRef().nativeElement;
        var backdrop = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('ion-backdrop'));
        backdrop.beforeStyles({ 'visibility': 'hidden' });
        var wrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('.modal-wrapper'));
        wrapper.fromTo('transform', 'translateX(40%)', 'translateX(100%)');
        this
            .element(this.leavingView.pageRef())
            .duration(300)
            .easing('cubic-bezier(.25, .1, .25, 1)')
            .add(backdrop)
            .add(wrapper);
    };
    return ModalFromRightLeave;
}(__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* PageTransition */]));

var ModalFromBottomEnter = /** @class */ (function (_super) {
    __extends(ModalFromBottomEnter, _super);
    function ModalFromBottomEnter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalFromBottomEnter.prototype.init = function () {
        _super.prototype.init.call(this);
        var ele = this.enteringView.pageRef().nativeElement;
        var backdrop = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('ion-backdrop'));
        backdrop.beforeStyles({ 'z-index': 0, 'opacity': 0.3, 'visibility': 'visible' });
        var wrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('.modal-wrapper'));
        wrapper.beforeStyles({ 'opacity': 1 });
        wrapper.fromTo('transform', 'translateY(100%)', 'translateY(40%)');
        var contentWrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('ion-content.content'));
        // contentWrapper.beforeStyles({ 'height': '60%' });
        this
            .element(this.enteringView.pageRef())
            .duration(300)
            .easing('cubic-bezier(.25, .1, .25, 1)')
            .add(backdrop)
            .add(wrapper)
            .add(contentWrapper);
    };
    return ModalFromBottomEnter;
}(__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* PageTransition */]));

var ModalFromBottomLeave = /** @class */ (function (_super) {
    __extends(ModalFromBottomLeave, _super);
    function ModalFromBottomLeave() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalFromBottomLeave.prototype.init = function () {
        _super.prototype.init.call(this);
        var ele = this.leavingView.pageRef().nativeElement;
        var backdrop = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('ion-backdrop'));
        backdrop.beforeStyles({ 'visibility': 'hidden' });
        var wrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('.modal-wrapper'));
        wrapper.fromTo('transform', 'translateY(40%)', 'translateY(100%)');
        this
            .element(this.leavingView.pageRef())
            .duration(300)
            .easing('cubic-bezier(.25, .1, .25, 1)')
            .add(backdrop)
            .add(wrapper);
    };
    return ModalFromBottomLeave;
}(__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* PageTransition */]));

var ModalScaleEnter = /** @class */ (function (_super) {
    __extends(ModalScaleEnter, _super);
    function ModalScaleEnter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalScaleEnter.prototype.init = function () {
        _super.prototype.init.call(this);
        var ele = this.enteringView.pageRef().nativeElement;
        var wrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('.modal-wrapper'));
        wrapper.beforeStyles({ 'opacity': 1 });
        wrapper.fromTo('transform', 'scale(0)', 'scale(1)');
        this
            .element(this.enteringView.pageRef())
            .duration(400)
            .easing('cubic-bezier(.1, .7, .1, 1)')
            .add(wrapper);
    };
    return ModalScaleEnter;
}(__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* PageTransition */]));

var ModalScaleLeave = /** @class */ (function (_super) {
    __extends(ModalScaleLeave, _super);
    function ModalScaleLeave() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ModalScaleLeave.prototype.init = function () {
        _super.prototype.init.call(this);
        var ele = this.leavingView.pageRef().nativeElement;
        var wrapper = new __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["c" /* Animation */](this.plt, ele.querySelector('.modal-wrapper'));
        wrapper.fromTo('transform', 'scale(1)', 'scale(0)');
        this
            .element(this.leavingView.pageRef())
            .duration(400)
            .easing('cubic-bezier(.1, .7, .1, 1)')
            .add(wrapper);
    };
    return ModalScaleLeave;
}(__WEBPACK_IMPORTED_MODULE_0_ionic_angular__["s" /* PageTransition */]));

//# sourceMappingURL=modal-transitions.js.map

/***/ }),

/***/ 85:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HttpService; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_common_http__ = __webpack_require__(131);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_file_transfer__ = __webpack_require__(232);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs__ = __webpack_require__(236);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__Utils__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__Constants__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_angular__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__NativeService__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var HttpService = /** @class */ (function () {
    function HttpService(http, transfer, events, nativeService, globalData) {
        this.http = http;
        this.transfer = transfer;
        this.events = events;
        this.nativeService = nativeService;
        this.globalData = globalData;
    }
    HttpService.prototype.get = function (url, paramMap) {
        if (paramMap === void 0) { paramMap = null; }
        var options = {
            params: this.encodeComplexHttpParams(paramMap)
        };
        return this.request('GET', url, options);
    };
    HttpService.prototype.post = function (url, body) {
        if (body === void 0) { body = {}; }
        var options = {
            body: body,
            headers: new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["d" /* HttpHeaders */]({
                'Content-Type': 'application/json; charset=UTF-8'
            })
        };
        return this.request("POST", url, options);
    };
    HttpService.prototype.request = function (method, url, options) {
        url = __WEBPACK_IMPORTED_MODULE_4__Utils__["a" /* Utils */].formatUrl(url.startsWith('http') ? url : __WEBPACK_IMPORTED_MODULE_5__Constants__["a" /* APP_SERVE_URL */] + url);
        return this.http.request(method, url, options);
    };
    HttpService.prototype.upload = function (file, url) {
        var _this = this;
        url = __WEBPACK_IMPORTED_MODULE_4__Utils__["a" /* Utils */].formatUrl(url.startsWith('http') ? url : __WEBPACK_IMPORTED_MODULE_5__Constants__["a" /* APP_SERVE_URL */] + url);
        var options = {
            // fileKey: 'file', // 表单元素的名称，默认为file
            // fileName: 'name.jpg', // 保存到服务器的文件名称,默认为 image.jpg
            headers: {
                token: this.globalData.token || ""
            }
        };
        var fileTransfer = this.transfer.create();
        return __WEBPACK_IMPORTED_MODULE_3_rxjs__["Observable"].create(function (observer) {
            _this.nativeService.showLoading('正在上传...');
            fileTransfer.upload(file, url, options).then(function (res) {
                var response = JSON.parse(res.response);
                if (response.code === 0) {
                    observer.next(response);
                }
                else if (response.code === 401) {
                    _this.events.publish('user:reLogin'); //  跳转到登录页面
                }
                else {
                    observer.error(response.msg);
                }
                _this.nativeService.hideLoading();
            }, function (err) {
                observer.error(err);
                _this.nativeService.hideLoading();
            });
        });
    };
    HttpService.prototype.encodeComplexHttpParams = function (params) {
        if (!params)
            return null;
        return new __WEBPACK_IMPORTED_MODULE_1__angular_common_http__["e" /* HttpParams */]({ fromString: this.paramsString(params) });
    };
    /**
     * 将复杂的参数组装成字符串
     */
    HttpService.prototype.paramsString = function (params) {
        if (!params)
            return null;
        var str = "";
        for (var key in params) {
            if (params.hasOwnProperty(key)) {
                var value = params[key];
                if (value === null)
                    continue;
                if (Array.isArray(value)) {
                    if (value.length === 0)
                        continue;
                    for (var index = 0; index < value.length; index++) {
                        var k = key + "[" + index + "]";
                        var v = value[index];
                        if (str.length > 1)
                            str += "&";
                        str += k + "=" + v;
                    }
                }
                else if (this.isObject(value)) {
                    if (value instanceof Date) {
                        if (str.length > 1)
                            str += "&";
                        str += key + "=" + __WEBPACK_IMPORTED_MODULE_4__Utils__["a" /* Utils */].dateFormat(value, 'yyyy-MM-dd hh:mm:ss');
                    }
                    else {
                        for (var subKey in value) {
                            if (value.hasOwnProperty(subKey)) {
                                var v = value[subKey];
                                if (v === null)
                                    continue;
                                var k = key + "[" + subKey + "]";
                                if (str.length > 1)
                                    str += "&";
                                if (value instanceof Date) {
                                    value = __WEBPACK_IMPORTED_MODULE_4__Utils__["a" /* Utils */].dateFormat(value, 'yyyy-MM-dd hh:mm:ss');
                                }
                                str += k + "=" + v;
                            }
                        }
                    }
                }
                else {
                    if (str.length > 1)
                        str += "&";
                    str += key + "=" + value;
                }
            }
        }
        return str;
    };
    HttpService.prototype.isObject = function (val) {
        return val != null && typeof val === 'object' && Array.isArray(val) === false;
    };
    HttpService = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_common_http__["b" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_file_transfer__["a" /* FileTransfer */],
            __WEBPACK_IMPORTED_MODULE_7_ionic_angular__["h" /* Events */],
            __WEBPACK_IMPORTED_MODULE_8__NativeService__["a" /* NativeService */],
            __WEBPACK_IMPORTED_MODULE_6__GlobalData__["a" /* GlobalData */]])
    ], HttpService);
    return HttpService;
}());

//# sourceMappingURL=HttpService.js.map

/***/ }),

/***/ 95:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return Logger; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__GlobalData__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_fundebug_javascript__ = __webpack_require__(338);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_fundebug_javascript___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_fundebug_javascript__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Utils类存放和业务无关的公共方法
 */
var Logger = /** @class */ (function () {
    function Logger(globalData) {
        this.globalData = globalData;
    }
    Logger.prototype.log = function (err, action, other) {
        if (other === void 0) { other = null; }
        console.log('Logger.log：action-' + action);
        other && console.log(other);
        __WEBPACK_IMPORTED_MODULE_2_fundebug_javascript__["notifyError"](err, {
            metaData: {
                action: action,
                other: other,
                user: { id: this.globalData.userId, name: this.globalData.username }
            }
        });
    };
    Logger.prototype.httpLog = function (err, msg, other) {
        if (other === void 0) { other = {}; }
        console.log('Logger.httpLog：msg-' + msg);
        __WEBPACK_IMPORTED_MODULE_2_fundebug_javascript__["notifyError"](err, {
            metaData: {
                action: msg,
                other: other,
                user: { id: this.globalData.userId, name: this.globalData.username }
            }
        });
    };
    Logger = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["B" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__GlobalData__["a" /* GlobalData */]])
    ], Logger);
    return Logger;
}());

//# sourceMappingURL=Logger.js.map

/***/ })

},[388]);
//# sourceMappingURL=main.js.map